tigase (@version@) unstable; urgency=medium

  * For full changelog, see
  http://www.tigase.org/

 -- Sergey Nazarov <phearnot@renee.ru>  @builddate@
2008-11-07 13:38  kobit

	* build.xml, package.html, src/main/izpack/install.xml,
	  src/main/izpack/java/TigaseConfigLoadPanel.java,
	  src/main/izpack/java/TigaseConfigSavePanel.java,
	  src/main/izpack/java/TigaseDBCheckPanel.java,
	  src/main/izpack/resources/pics/tigase-install-logo.png,
	  src/main/izpack/userInputSpec.xml: A few installer fixes, added
	  unix scripts

2008-11-07 13:38  kobit

	* etc/tigase.conf, win-stuff/wrapper/wrapper.conf: Added jdbc
	  drivers for all 3 supported databases: derby, mysql, pgsql

2008-11-06 11:37  kobit

	* License.html: GPLv3 license copy in HTML frmat

2008-11-06 11:37  kobit

	* database/mysql-schema-4-props.sql, src/main/izpack,
	  src/main/izpack/install.xml, src/main/izpack/java,
	  src/main/izpack/java/DerbyPathPanel.java,
	  src/main/izpack/java/TigaseConfigConst.java,
	  src/main/izpack/java/TigaseConfigLoadPanel.java,
	  src/main/izpack/java/TigaseConfigSavePanel.java,
	  src/main/izpack/java/TigaseDBCheckPanel.java,
	  src/main/izpack/resources,
	  src/main/izpack/resources/packsLang.xml,
	  src/main/izpack/resources/pics,
	  src/main/izpack/resources/pics/tigase-install-logo.png,
	  src/main/izpack/resources/pics/tiger.png,
	  src/main/izpack/userInputSpec.xml: Installer files added

2008-11-06 11:13  kobit

	* database/derby-create-db.sql, database/derby-schema-4-props.sql,
	  database/derby-schema-4-sp.schema, database/derby-schema-4.sql,
	  database/mysql-create-db.sql, database/mysql-schema-4-sp.schema,
	  database/mysql-schema-4.sql,
	  database/mysql-schema-upgrade-to-4.sql,
	  database/postgresql-create-db.sql,
	  database/postgresql-schema-4-props.sql,
	  database/postgresql-schema-4-sp.schema,
	  database/postgresql-schema-4.sql, etc/tigase.conf: Changes for
	  the installer

2008-11-04 12:28  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Added more detailed logging for session closing event

2008-10-30 12:54  kobit

	* src/main/java/tigase/xmpp/impl/roster/RosterFlat.java: Fixed a
	  bug in RosterFlat that the code didn't remove the resource part

2008-10-30 11:48  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Added patch from Yate guys for the user status command containing
	  presence info

2008-10-30 11:24  kobit

	* src/main/java/tigase/net/IOService.java,
	  src/main/java/tigase/server/xmppsession/PacketFilter.java,
	  src/main/java/tigase/util/RepositoryUtils.java,
	  src/main/java/tigase/xmpp/impl/AnonymousRoster.java,
	  src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRoster.java,
	  src/main/java/tigase/xmpp/impl/Presence.java,
	  src/main/java/tigase/xmpp/impl/Roster.java,
	  src/main/java/tigase/xmpp/impl/RosterAbstract.java,
	  src/main/java/tigase/xmpp/impl/RosterFactory.java,
	  src/main/java/tigase/xmpp/impl/RosterFlat.java,
	  src/main/java/tigase/xmpp/impl/roster,
	  src/main/java/tigase/xmpp/impl/roster/Roster.java,
	  src/main/java/tigase/xmpp/impl/roster/RosterAbstract.java,
	  src/main/java/tigase/xmpp/impl/roster/RosterElement.java,
	  src/main/java/tigase/xmpp/impl/roster/RosterFactory.java,
	  src/main/java/tigase/xmpp/impl/roster/RosterFlat.java:
	  Implemented roster flat storage

2008-10-28 22:42  kobit

	* src/main/java/tigase/net/IOService.java: Disconnection monitoring
	  and debugging added

2008-10-28 22:27  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java:
	  Disconnection monitoring and debugging added

2008-10-28 22:20  kobit

	* src/main/java/tigase/server/xmppclient/ClientConnectionManager.java:
	  Disconnection monitoring and debugging added

2008-10-28 22:16  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java:
	  Disconnection monitoring and debugging added

2008-10-28 21:43  kobit

	* etc/init.properties, package.html,
	  src/main/java/tigase/cluster/ClusterConnectionManager.java,
	  src/main/java/tigase/cluster/SessionManagerClustered.java,
	  src/main/java/tigase/net/IOService.java,
	  src/main/java/tigase/net/SocketReadThread.java,
	  src/main/java/tigase/server/AbstractMessageReceiver.java,
	  src/main/java/tigase/util/TimeUtils.java: Disconnection
	  monitoring and debugging added

2008-10-22 19:35  kobit

	* src/main/java/tigase/db/jdbc/JDBCRepository.java,
	  src/main/java/tigase/db/jdbc/TigaseAuth.java,
	  src/main/java/tigase/db/jdbc/TigaseCustomAuth.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  Fixed deadlock problem occuring in derby database, if a query
	  returns results it must be read and freed....

2008-10-22 17:20  bmalkow

	* src/main/java/tigase/db/derby/StoredProcedures.java: add
	  connection closing

2008-10-22 15:25  bmalkow

	* src/main/java/tigase/db/derby/StoredProcedures.java: fixed
	  problem with login user. I don't know why, but now it works

2008-10-22 13:32  kobit

	* database/derby-schema-4.sql,
	  src/main/java/tigase/conf/Configurable.java,
	  src/main/java/tigase/db/derby/StoredProcedures.java,
	  src/main/java/tigase/db/jdbc/JDBCRepository.java,
	  src/main/java/tigase/db/jdbc/TigaseAuth.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  Fixes and changes for Derby database

2008-10-21 20:15  kobit

	* src/main/java/tigase/conf/Configurable.java,
	  src/main/java/tigase/db/jdbc/TigaseCustomAuth.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  TigaseCustomAuth is finished, tested and added as a standard
	  authentication connector to the system

2008-10-21 20:14  kobit

	* database/mysql-schema-4-sp.schema,
	  database/postgresql-schema-4-sp.schema: Fixed problem with the SP
	  incorrectly removing users from the database

2008-10-21 17:33  kobit

	* src/main/java/tigase/db/jdbc/TigaseCustomAuth.java: Custom auth
	  implementation finished, not tested yet

2008-10-21 17:16  kobit

	* database/mysql-schema-4-sp.schema,
	  database/postgresql-schema-4-sp.schema: Added new SP for password
	  update with procedure parameters in reverse order

2008-10-21 16:32  kobit

	* src/main/java/tigase/db/jdbc/TigaseCustomAuth.java: JavaDoc
	  documentation updated

2008-10-21 13:43  kobit

	* src/main/java/tigase/db/jdbc/TigaseCustomAuth.java: User
	  authentication connector allowing to use custom SQL queries

2008-10-21 08:47  kobit

	* database/postgresql-schema-4-sp.schema: Added
	  MD5-USERNAME-PASSWORD password encoding support

2008-10-20 23:40  kobit

	* src/main/java/tigase/cluster/ClusterConnectionManager.java,
	  src/main/java/tigase/cluster/ClusterElement.java,
	  src/main/java/tigase/cluster/ServerConnectionClustered.java,
	  src/main/java/tigase/cluster/SessionManagerClustered.java,
	  src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	  src/main/java/tigase/server/bosh/BoshSession.java,
	  src/main/java/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/PacketFilter.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/xmpp/ConnectionStatus.java,
	  src/main/java/tigase/xmpp/RepositoryAccess.java,
	  src/main/java/tigase/xmpp/XMPPIOService.java,
	  src/main/java/tigase/xmpp/XMPPResourceConnection.java,
	  src/main/java/tigase/xmpp/XMPPSession.java: Reimplementation of
	  the clustering code in the SM and lots of improvements in other
	  areas, all related to the clustering and user session management
	  for multiple user connections

2008-10-16 12:02  kobit

	* database/mysql-schema-4-sp.schema: Added a new password encoding
	  option: MD5_USERNAME_PASSWORD

2008-10-09 20:35  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Offline presence is
	  not now broadcasted if the client didn't send initial presence
	  before

2008-10-08 22:41  kobit

	* src/main/java/tigase/server/xmppclient/ClientConnectionManager.java:
	  Attempt to solve the first TLS problem

2008-10-08 22:39  kobit

	* src/main/java/tigase/server/xmppclient/ClientConnectionManager.java:
	  Attempt to solve the first TLS problem

2008-10-08 22:31  kobit

	* src/main/java/tigase/io/TLSIO.java: Attempt to solve the first
	  TLS problem

2008-10-08 22:26  kobit

	* src/main/java/tigase/io/SocketIO.java,
	  src/main/java/tigase/net/IOService.java: Attempt to solve the
	  first TLS problem

2008-10-08 22:21  kobit

	* src/main/java/tigase/io/SocketIO.java: Attempt to solve the first
	  TLS problem

2008-10-08 22:18  kobit

	* src/main/java/tigase/io/TLSIO.java,
	  src/main/java/tigase/net/IOService.java: Attempt to solve the
	  first TLS problem

2008-10-08 22:14  kobit

	* src/main/java/tigase/net/IOService.java: Attempt to solve the
	  first TLS problem

2008-10-08 22:10  kobit

	* src/main/java/tigase/io/TLSIO.java,
	  src/main/java/tigase/io/TLSWrapper.java,
	  src/main/java/tigase/server/xmppclient/ClientConnectionManager.java:
	  Attempt to solve the first TLS problem

2008-10-08 20:35  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Server vhosts session has now resource bond

2008-10-08 17:11  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java: Fixed
	  a problem with not releasing hold on session in some cases

2008-10-08 15:35  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  sendAllOnHold can now process packet locally if there is no
	  packet rdirection address

2008-10-08 15:25  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java,
	  src/main/java/tigase/xmpp/XMPPSession.java: The session is put on
	  hold just after successful authentication

2008-10-08 11:13  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Presence broadcast
	  sends only unavailable presence to all entities to which user
	  sent direct presence

2008-10-03 15:51  kobit

	* src/main/java/tigase/server/bosh/BoshSession.java: Removed
	  inserting HTML tags around http links detected in the message,
	  this is client side stuff

2008-10-03 11:25  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Presence
	  subscription flow changed to match last changes in the RFC

2008-10-01 22:12  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Added responses either the 'result' or 'error' to all USER_STATUS
	  commands

2008-10-01 17:52  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/xmpp/XMPPSession.java,
	  src/main/java/tigase/xmpp/impl/Presence.java: Fixed problem with
	  the USER_STATUS command

2008-10-01 15:47  kobit

	* src/main/java/tigase/server/xmppsession/PacketFilter.java,
	  src/main/java/tigase/xmpp/XMPPResourceConnection.java,
	  src/main/java/tigase/xmpp/impl/Presence.java: Now the server
	  requires user to bind the resource first before sending any other
	  packet

2008-10-01 12:05  kobit

	* src/main/java/tigase/xmpp/XMPPDomBuilderHandler.java: Added more
	  logging infor

2008-09-30 20:51  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  IsBrokenPacket detection fixed

2008-09-30 16:05  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java:
	  CHECK_USER_SESSION result may arrive when the user session is
	  gone already, added a code to handle this

2008-09-30 07:13  kobit

	* src/main/java/tigase/cluster/ClusterConnectionManager.java,
	  src/main/java/tigase/xmpp/XMPPIOService.java: Added read/write
	  locking mechanism, apparently in certain cases multiple threads
	  may try to read/write on a single socket

2008-09-29 20:06  kobit

	* src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/xmpp/XMPPIOService.java: Removed silly
	  logging messages

2008-09-29 18:41  kobit

	* src/main/java/tigase/xmpp/XMPPIOService.java: XML parser
	  exception printed to a log file

2008-09-29 14:11  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java,
	  src/main/java/tigase/xmpp/impl/RosterAbstract.java: Fixed a bug
	  with presence subscription when contact replies with unsubscribed
	  to the subscription request

2008-09-29 12:57  bmalkow

	* database/derby-schema-4.sql: fix

2008-09-29 12:57  bmalkow

	* src/main/java/tigase/db/derby/StoredProcedures.java: fix

2008-09-26 21:56  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Subscription
	  management has been simplified to meet requirements from
	  RFC-3921bis-5

2008-09-26 14:10  kobit

	* src/main/java/tigase/db/UserAuthRepository.java: Comment fixed
	  for the digestAuth method

2008-09-26 07:46  bmalkow

	* database/derby-schema-4.sql, src/main/java/tigase/db/derby,
	  src/main/java/tigase/db/derby/StoredProcedures.java: add: JavaDB
	  (Derby) DDL and Stored Procedures

2008-09-24 13:03  kobit

	* src/main/java/tigase/xmpp/impl/OfflineMessages.java: Fixed
	  problem with sorting off-line presence packets, corrected offline
	  message removal and changes the time stamp from the xep-0091 to
	  xep-0203

2008-09-20 17:57  kobit

	* src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	  src/main/java/tigase/server/bosh/BoshIOService.java,
	  src/main/java/tigase/server/bosh/BoshSession.java,
	  src/main/java/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/PacketFilter.java,
	  src/main/java/tigase/xmpp/XMPPIOService.java: Fixes in the Bosh
	  protocol for clustering supoprt - the BoshConnectionManager
	  exyends now ClientConnectionManager

2008-09-18 18:29  kobit

	* src/main/java/tigase/db/jdbc/JDBCRepository.java: getUserUID now
	  expects result greater then 0

2008-09-18 17:53  kobit

	* database/postgresql-schema-4-sp.schema: Removed returning from
	  the stored procedures for compatibility with postgresql 8.0

2008-09-18 17:04  kobit

	* database/mysql-schema-4-sp.schema,
	  database/postgresql-schema-4-sp.schema,
	  src/main/java/tigase/db/jdbc/TigaseAuth.java: Removed OUT
	  parameters from stored procedures for compatibility with
	  postgresql 8.0. These parameters were not used in normal
	  operation anyway. Only in SQL database test script.

2008-09-17 17:20  kobit

	* src/main/java/tigase/xmpp/RepositoryAccess.java,
	  src/main/java/tigase/xmpp/XMPPResourceConnection.java,
	  src/main/java/tigase/xmpp/impl/JabberIqIq.java,
	  src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java,
	  src/main/java/tigase/xmpp/impl/JabberIqPrivate.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRegister.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRoster.java,
	  src/main/java/tigase/xmpp/impl/OfflineMessages.java,
	  src/main/java/tigase/xmpp/impl/Presence.java,
	  src/main/java/tigase/xmpp/impl/Privacy.java,
	  src/main/java/tigase/xmpp/impl/Roster.java,
	  src/main/java/tigase/xmpp/impl/RosterAbstract.java,
	  src/main/java/tigase/xmpp/impl/RosterFlat.java,
	  src/main/java/tigase/xmpp/impl/VCardTemp.java: The repository
	  access code no longer catches and hides database exceptions, they
	  are passed out to the calling code allowing for proper error
	  singaling

2008-09-17 11:51  kobit

	* src/main/java/tigase/server/XMPPServer.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRoster.java: In some cases
	  strange characters cause database to throw error as en effect the
	  whole roster can not be loaded properly as well as it also
	  impacts presence, the fix should hangel it properly

2008-09-17 08:59  kobit

	* pom.xml, src/main/java/tigase/conf/ConfigRepository.java,
	  src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/server/XMPPServer.java: Fixed a bug when the
	  server is run with incorrect (non-xml) configuration file, now
	  the server discovers it and terminates it's work with a proper
	  message

2008-09-16 14:02  kobit

	* database/postgresql-schema-4-sp.schema: Fixed a bug in the stored
	  function

2008-09-16 11:06  kobit

	* src/main/java/tigase/db/jdbc/JDBCRepository.java: Fixed a bug
	  where prepared statement was used instead of callable statement,
	  apparently MySQL can handle it, PostreSQL throws an error

2008-09-16 11:06  kobit

	* database/postgresql-schema-4-sp.schema: Fixed a problem with
	  returing query results

2008-09-16 09:58  kobit

	* database/postgresql-schema-4-sp.schema,
	  database/postgresql-schema-4.sql,
	  database/postgresql-schema-upgrade-to-4.sql: The first complete
	  (untested) version of the schema 4 and upgrade script for
	  postgresql

2008-09-16 00:37  kobit

	* database/mysql-schema-4-sp.schema,
	  database/postgresql-schema-4-sp.schema,
	  database/postgresql-schema-4.sql: PostgreSQL schema ver 4.0
	  updated

2008-09-15 20:48  kobit

	* database/postgresql-schema-4.sql: postgresql schema definition
	  updated to version 4.0

2008-09-11 18:04  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  filter processing condition changed

2008-09-11 16:38  kobit

	* database/mysql-schema-upgrade-to-4.sql: Fixed problem with
	  tig_nodes table upgrade

2008-09-11 16:29  kobit

	* database/mysql-schema-upgrade-to-4.sql: Fixed tig_nodes
	  conversion

2008-09-11 15:18  kobit

	* src/main/java/tigase/db/jdbc/JDBCRepository.java: Added code to
	  online fix the database and adding root node when missing

2008-09-11 13:42  kobit

	* src/main/java/tigase/db/jdbc/JDBCRepository.java: Revertet back a
	  fix causing problems with database - the case with null submode

2008-09-11 09:36  kobit

	* src/main/java/tigase/db/jdbc/JDBCRepository.java: Fixed problem
	  when the subnode is null

2008-09-10 19:16  kobit

	* src/main/java/tigase/db/jdbc/JDBCRepository.java: Removed dumping
	  stack trace on the db schema version conflict

2008-09-10 18:56  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  serverSession object initialization added

2008-09-10 18:56  kobit

	* src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  Added support for TigaseAuth connector

2008-09-10 18:55  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Changed log level for statistics from finest to info

2008-09-10 18:54  kobit

	* src/main/java/tigase/xmpp/XMPPImplIfc.java: init(UserRepository
	  rep) method added to allow custom repository configuration by
	  plugins

2008-09-10 18:53  kobit

	* src/main/java/tigase/xmpp/XMPPProcessor.java: init(UserRepository
	  rep) method added to allow custom repository configuration by
	  plugins

2008-09-10 18:52  kobit

	* src/main/java/tigase/xmpp/impl/UrnXmppPing.java: Added proper
	  response on user session missing - which means the user is not
	  connected and can not respond to the ping

2008-09-10 18:51  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqRoster.java: Added roster
	  abstract to allow different Roster storage implementations

2008-09-10 18:51  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java: Added roster
	  abstract to allow different Roster storage implementations

2008-09-10 18:50  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Added roster
	  abstract to allow different Roster storage implementations

2008-09-10 18:50  kobit

	* src/main/java/tigase/xmpp/impl/Roster.java,
	  src/main/java/tigase/xmpp/impl/RosterAbstract.java,
	  src/main/java/tigase/xmpp/impl/RosterFactory.java,
	  src/main/java/tigase/xmpp/impl/RosterFlat.java: Added roster
	  abstract to allow different Roster storage implementations

2008-09-10 18:49  kobit

	* src/main/java/tigase/db/jdbc/TigaseAuth.java: A new
	  authentication connector whish can base on the stored procedures
	  in the database

2008-09-10 18:48  kobit

	* src/main/java/tigase/db/jdbc/JDBCRepository.java: Database schema
	  upgrade to version 4.0

2008-09-10 18:47  kobit

	* database/mysql-schema-4-sp.schema, database/mysql-schema-4.sql,
	  database/mysql-schema-upgrade-to-4.sql: A few fixes to stored
	  procedures and schema upgrade process

2008-09-09 16:24  kobit

	* database/mysql-schema-4-sp.schema, database/mysql-schema-4.sql:
	  Added missing drop stored procedure expression and changed the
	  order of the table creation

2008-09-08 13:51  kobit

	* database/mysql-schema-4-sp.schema, database/mysql-schema-4.sql,
	  database/mysql-schema-upgrade-to-4.sql: Improved schema upgrade
	  script, it correctly copies tables to new one with
	  auto-incrementing IDs and it should work with any database now

2008-09-06 16:33  kobit

	* database/mysql-schema-4-sp.schema,
	  database/mysql-schema-4-test.sql, database/mysql-schema-4.sql,
	  database/mysql-schema-upgrade-to-4.sql: Proper schema upgrade
	  procedure which converts also UIDs and NIDs to autoincrementing
	  fields

2008-09-05 16:38  kobit

	* database/mysql-schema-4-sp.schema: TigGetDBProperty funciton is
	  READS SQL DATA now

2008-09-05 12:13  kobit

	* database/mysql-schema-4-sp.schema, database/mysql-schema-4.sql,
	  database/mysql-schema-upgrade-to-4.sql: MySQL Schema for Tigase
	  4.0 and schema upgarde scripts are ready

2008-09-03 22:26  kobit

	* src/main/java/tigase/db/jdbc/JDBCRepository.java: More detailed
	  logging in case of exception

2008-09-03 20:09  kobit

	* src/main/java/tigase/conf/Configurable.java,
	  src/main/java/tigase/db/UserAuthRepository.java,
	  src/main/java/tigase/db/jdbc/DrupalAuth.java,
	  src/main/java/tigase/db/jdbc/TigaseAuth.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  Added TigaseAuth - generic connector which can authenticate users
	  agains any SQL (JDBC) database if the database offers specific
	  stored procedures

2008-09-03 13:02  kobit

	* pom.xml: utils dependency changed to 3.1.1

2008-09-02 17:43  kobit

	* src/main/java/tigase/db/DummyRepository.java,
	  src/main/java/tigase/db/UserRepository.java,
	  src/main/java/tigase/db/jdbc/JDBCRepository.java,
	  src/main/java/tigase/db/xml/XMLRepository.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Blocked automatic adding anonymous users to the database when
	  userAutoCreate property is set to true

2008-09-02 13:19  kobit

	* etc/init-mysql.properties, etc/tigase-mysql.conf: Changed default
	  vhost name from tigase.org to devel.tigase.org and added line to
	  clear the default classpath to reduce number of classes loaded at
	  runtime and avoid conflicts

2008-09-02 13:17  kobit

	* database/mysql-schema-4.sql,
	  database/mysql-schema-upgrade-to-4.sql: Adjusted database schema
	  to handle JID of size according to XMPP spec - 2048

2008-09-02 13:16  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Fixed problem with redirect result arriving before cluster
	  session_transfer result

2008-09-02 13:16  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java: Fixed
	  problem with redirect result arriving before cluster
	  session_transfer result

2008-09-01 21:17  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Added support for
	  nickname for anonymous user connection

2008-09-01 16:02  kobit

	* etc/init.properties: Removed anonymouse roster line which is not
	  needed anymore

2008-08-29 15:01  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqAuth.java,
	  src/main/java/tigase/xmpp/impl/SaslAuth.java: The authentication
	  plugin allows now for 3 tries before the user gets disconnected

2008-08-29 14:17  kobit

	* src/main/java/tigase/xmpp/RepositoryAccess.java: Intendation
	  corrected

2008-08-27 17:00  kobit

	* src/main/java/tigase/db/jdbc/DrupalAuth.java: drupal users table
	  is automatically altered if online_status field is missing

2008-08-27 09:08  kobit

	* src/main/java/tigase/server/gateways/Gateway.java: Incorrect
	  VHost initalization bug fixed

2008-08-27 07:32  kobit

	* src/main/java/tigase/xmpp/impl/BindResource.java: Fixed a bug
	  with the resource part incorrectly send to the client

2008-08-27 07:31  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Performance
	  improvements - the dynamic roster is queried first and if it
	  returns null then the static roster is queried

2008-08-22 16:57  kobit

	* database/mysql-schema-4.sql,
	  database/mysql-schema-upgrade-to-4.sql: Upgrade to the Tigase db
	  schema version 4.0

2008-08-22 16:44  kobit

	* database/mysql-schema-4.sql,
	  database/mysql-schema-upgrade-to-4.sql,
	  database/postgresql-schema-4.sql,
	  database/sqlserver-schema-4.sql: Upgrade to the Tigase db schema
	  version 4.0

2008-08-19 12:28  kobit

	* pom.xml, src/main/java/tigase/cluster/MethodCall.java,
	  src/main/java/tigase/cluster/MethodCallCriteria.java,
	  src/main/java/tigase/cluster/SessionManagerClustered.java,
	  src/main/java/tigase/cluster/methodcalls,
	  src/main/java/tigase/cluster/methodcalls/SessionTransferMC.java,
	  src/main/java/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/xmpp/ConnectionStatus.java,
	  src/main/java/tigase/xmpp/XMPPResourceConnection.java: Initial
	  fix for the session transfer bug

2008-08-07 06:13  kobit

	* src/main/java/tigase/server/gateways/Gateway.java: Temp code just
	  compilable but not finished yet

2008-08-07 06:12  kobit

	* src/main/java/tigase/cluster/ServerConnectionClustered.java:
	  Replaced DEF_S2S_NAME with getName()

2008-08-07 06:12  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java: Fixed
	  bug causing NPE for 'onHold()' connection mode

2008-08-07 06:11  kobit

	* win-stuff/scripts/Run.bat: Changed loading initial.properties to
	  init.properties

2008-08-07 05:22  bmalkow

	* src/main/java/tigase/server/DisableDisco.java,
	  src/main/java/tigase/server/MessageRouter.java: this ugly patch
	  allows to process Disco stanzas as normal stanzas, not by
	  getDisco*() methods

2008-08-07 05:18  bmalkow

	* src/main/java/tigase/server/XMPPServer.java:
	  getImplementationVersion() should return '0.0.0-0' if manifest is
	  unavailable

2008-08-07 05:17  bmalkow

	* src/main/java/tigase/server/Packet.java: add copying xmlns from
	  source stanza to error stanza

2008-07-03 15:53  kobit

	* src/main/java/tigase/server/ssender/DrupalCommentsTask.java,
	  src/main/java/tigase/server/ssender/StanzaSender.java: Added
	  drupal comments notifier task

2008-07-03 10:35  kobit

	* src/main/bash/users-list-moitor.sh: Corrected wording in the
	  welcome email

2008-07-03 10:35  kobit

	* src/main/java/tigase/server/gateways/Gateway.java: is_moderated
	  better handling

2008-07-03 00:27  kobit

	* src/main/java/tigase/server/gateways/Gateway.java: Fixes for the
	  Gateway to work with the new API

2008-07-02 17:29  kobit

	* src/main/bash/users-list-moitor.sh: Added full path to adduser
	  program which is needed when run from the cron job and also mail
	  program is used to send the first greetings message to newly
	  created user account

2008-07-02 09:08  kobit

	* src/main/php/drupal/modules/tigase_usrreg-5.x/tigase_usrreg.module:
	  Added missing semicolon

2008-07-02 09:07  kobit

	* src/main/php/drupal/modules/short_news-5.x/short_news.module,
	  src/main/php/drupal/modules/tigase_usrreg-5.x,
	  src/main/php/drupal/modules/tigase_usrreg-5.x/tigase_usrreg.info,
	  src/main/php/drupal/modules/tigase_usrreg-5.x/tigase_usrreg.module:
	  Module used for adding user directories when the account is
	  created

2008-07-01 23:10  kobit

	* src/main/java/tigase/server/sreceiver/StanzaReceiver.java: Ad-hoc
	  commands for task managemebt work again

2008-07-01 23:04  kobit

	* src/main/bash, src/main/bash/cron-dnotify-check.sh,
	  src/main/bash/users-list-moitor.sh: User accounts from drupal to
	  system scripts

2008-07-01 22:41  kobit

	* src/main/java/tigase/server/xmppsession/PacketFilter.java,
	  src/main/java/tigase/xmpp/XMPPResourceConnection.java,
	  src/main/java/tigase/xmpp/impl/JabberIqCommand.java,
	  src/main/java/tigase/xmpp/impl/JabberIqVersion.java,
	  src/main/java/tigase/xmpp/impl/ServiceDiscovery.java,
	  src/main/java/tigase/xmpp/impl/UrnXmppPing.java: Fixed a bug when
	  some packets were not routed correctly between different user
	  connections (resources), instead they were send back to the
	  sender

2008-07-01 06:32  kobit

	* src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	  src/main/java/tigase/server/bosh/BoshIOService.java,
	  src/main/java/tigase/server/bosh/BoshSession.java: Added more
	  control over packets received from the client, if body element
	  name is incorrect or xmlns is incorrect or to=hostname is
	  incorrect the bosh returns an error message to the client and
	  terminates connection

2008-07-01 06:31  kobit

	* src/main/java/tigase/server/sreceiver/ShortNewsPublisher.java:
	  Accept news without subject and put 'No subject' string if the
	  subject is missing

2008-07-01 06:30  kobit

	* src/main/java/tigase/server/Packet.java: Added getXMLNS
	  convenience method

2008-06-23 22:13  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java: A fix
	  for slow database update in cluster mode when the user session
	  trasfer arrives to the node before database has been updated with
	  the authorization token - 2 secs for now....

2008-06-21 22:14  kobit

	* src/main/java/tigase/cluster/ClientConnectionClustered.java:
	  Added logging information

2008-06-21 22:08  kobit

	* src/main/java/tigase/conf/Configurable.java,
	  src/main/java/tigase/server/MessageRouterConfig.java: Added c2s
	  clustered implementation

2008-06-21 22:06  kobit

	* src/main/java/tigase/cluster/ClientConnectionClustered.java,
	  src/main/java/tigase/server/ConnectionManager.java,
	  src/main/java/tigase/server/ServiceChecker.java: Added support
	  for disconnecting all connections when cluster node with
	  corresponding SM has been disconnected

2008-06-21 16:39  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java: user
	  session transfer is run with 1/2 sec delay to allow all queued
	  packet to be processed

2008-06-21 15:42  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Cluster notifications are sent now from default (the first) vhost

2008-06-21 15:31  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/xmpp/XMPPResourceConnection.java,
	  src/main/java/tigase/xmpp/XMPPSession.java: Better calculation
	  session life time and added also packets forwarding for the
	  session being transfered

2008-06-21 12:53  kobit

	* src/main/java/tigase/xmpp/XMPPIOService.java: Added XML parser
	  error better handling

2008-06-21 12:51  kobit

	* src/main/java/tigase/xmpp/XMPPDomBuilderHandler.java,
	  src/main/java/tigase/xmpp/XMPPIOService.java: Added XML parser
	  error better handling

2008-06-21 12:31  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Added log message on sending connection verify result

2008-06-21 06:59  kobit

	* src/main/java/tigase/cluster/ClusterConnectionManager.java,
	  src/main/java/tigase/cluster/SessionManagerClustered.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Session closed after the session tranfser doesn't send unavilable
	  packet

2008-06-20 22:37  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  handleLogin is not now called on user session transfer

2008-06-20 22:04  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java:
	  droping check_user_session packet when all nodes are checked

2008-06-20 21:54  kobit

	* src/main/java/tigase/cluster/ClusterElement.java: Added more
	  logging messages and improved calculation of the next cluster
	  node

2008-06-20 21:54  kobit

	* src/main/java/tigase/cluster/ClusterElement.java: Added more
	  logging messages and improved calculation of the next cluster
	  node

2008-06-20 21:40  kobit

	* src/main/java/tigase/cluster/ClusterElement.java,
	  src/main/java/tigase/cluster/SessionManagerClustered.java:
	  Corrected stanza type settings

2008-06-20 21:30  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java: Added
	  detailed logging information

2008-06-20 16:01  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java:
	  Changed cluster notifications from headline to normal to make
	  them archivizable by offline message plugin

2008-06-20 15:53  kobit

	* src/main/java/tigase/cluster/ClusterElement.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java: Try
	  without serverSession loaded

2008-06-20 15:32  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java:
	  Commented out packet-from usage, for now

2008-06-20 15:12  kobit

	* src/main/java/tigase/cluster/ClusterConnectionManager.java:
	  Changed code to not pack clustered packets

2008-06-20 14:57  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Changed logging parameters

2008-06-20 09:29  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnections.java:
	  New s2s implementation supporting reuse of the incoming
	  connection

2008-06-20 07:37  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Started support for reusing s2s connection by... google?

2008-06-20 06:45  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnections.java:
	  Added detection for adding incoming connection when this is
	  outgoing in fact

2008-06-19 23:58  kobit

	* src/main/java/tigase/cluster/ClusterConnectionManager.java,
	  src/main/java/tigase/cluster/ClusterElement.java,
	  src/main/java/tigase/cluster/ServerConnectionClustered.java,
	  src/main/java/tigase/cluster/SessionManagerClustered.java: Fixed
	  problem with user session transfer

2008-06-19 23:35  kobit

	* src/main/java/tigase/server/ConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Added calculation s2s connections for debugging

2008-06-19 23:35  kobit

	* src/main/java/tigase/server/xmppclient/ClientConnectionManager.java:
	  Handling properly case when the IOService for REDIRECT command
	  does not exist

2008-06-19 18:57  kobit

	* src/main/java/tigase/server/ConnectionManager.java,
	  src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/stats/StatisticsCollector.java: Fixed
	  retrieving disco items from components

2008-06-19 14:04  kobit

	* src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/stats/StatisticsCollector.java: Service
	  disovery processing corrected to call for all components based on
	  component id

2008-06-19 13:33  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnections.java:
	  Fixed problem with statistics - number of open s2s connections

2008-06-19 12:57  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnections.java:
	  Added extra logging information

2008-06-19 12:42  kobit

	* src/main/java/tigase/server/MessageRouter.java: Added support for
	  configurable components IDs

2008-06-19 10:51  kobit

	* src/main/java/tigase/server/MessageRouter.java: Fixed service
	  discovery problem when asking non-local domain or entity

2008-06-19 10:01  kobit

	* pom.xml: tigase-utils dependency set to version 3.0.12 - opendns
	  workaround

2008-06-19 07:13  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnections.java:
	  Added more loggin for s2s connections

2008-06-18 06:24  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java,
	  src/main/java/tigase/net/IOService.java,
	  src/main/java/tigase/server/Command.java,
	  src/main/java/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java: User
	  session inter-node transfer

2008-06-18 05:43  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java: User
	  session inter-node transfer

2008-06-18 05:41  kobit

	* src/main/java/tigase/cluster/ClusterConnectionManager.java,
	  src/main/java/tigase/cluster/ClusterController.java,
	  src/main/java/tigase/cluster/ClusterMethods.java,
	  src/main/java/tigase/cluster/ServerConnectionClustered.java,
	  src/main/java/tigase/cluster/SessionManagerClustered.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/xmpp/RepositoryAccess.java,
	  src/main/java/tigase/xmpp/XMPPResourceConnection.java,
	  src/main/java/tigase/xmpp/XMPPSession.java: Added support for
	  cluster method calls and querying other cluster nodes for
	  dialback key

2008-06-17 11:21  bmalkow

	* src/main/java/tigase/xmpp/impl/PubSub.java: Plugin has moved to
	  tigase-pubsub project

2008-06-17 09:38  kobit

	* src/main/java/tigase/cluster/ClusterConnectionManager.java,
	  src/main/java/tigase/cluster/ClusterController.java,
	  src/main/java/tigase/cluster/ClusterElement.java,
	  src/main/java/tigase/cluster/ClusterMethods.java,
	  src/main/java/tigase/cluster/ServerConnectionClustered.java,
	  src/main/java/tigase/cluster/SessionManagerClustered.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Added support for cluster method calls and querying other cluster
	  nodes for dialback key

2008-06-16 10:56  kobit

	* src/main/java/tigase/server/MessageRouter.java: Infinite loop
	  detecting logic has changed a bit to block packets with 'error'
	  type only

2008-06-16 09:56  kobit

	* src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  Added pubsub plugin to the list of default plugins

2008-06-16 09:53  bmalkow

	* src/main/java/tigase/xmpp/impl/PubSub.java: PEP: add notification
	  to account owner

2008-06-16 09:51  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Fixed problem with storing incoming connections with incorrect
	  session id

2008-06-16 09:50  kobit

	* src/main/php/drupal/modules/tigase_monitor-5.x/tigase_monitor.module:
	  Added statistics for s2s component

2008-06-16 09:50  kobit

	* src/main/java/tigase/server/ConnectionManager.java: Connection is
	  now tested evert 29 minutes instead of 60

2008-06-16 09:38  bmalkow

	* src/main/java/tigase/xmpp/impl/PubSub.java: first simple
	  implementation of PEP

2008-06-14 00:47  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnections.java:
	  Statistics added

2008-06-13 19:59  kobit

	* src/main/java/tigase/cluster/ServerConnectionClustered.java,
	  src/main/java/tigase/conf/Configurable.java,
	  src/main/java/tigase/net/IOService.java,
	  src/main/java/tigase/server/ConnectionManager.java,
	  src/main/java/tigase/server/MessageRouterConfig.java,
	  src/main/java/tigase/server/xmppserver/ConnectionHandlerIfc.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManagerOLD.java,
	  src/main/java/tigase/server/xmppserver/ServerConnections.java,
	  src/main/java/tigase/xmpp/XMPPIOService.java: New implementation
	  of s2s protocol, initial version suitable for clustering

2008-06-10 17:24  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java: Fixed
	  a bug with adding new cluster node

2008-06-10 17:14  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java: Fixed
	  a bug with adding new cluster node

2008-06-10 16:02  kobit

	* src/main/java/tigase/cluster/ClusterConnectionManager.java,
	  src/main/java/tigase/conf/Configurable.java: Changed wording in
	  messages and parameters

2008-06-10 15:38  kobit

	* src/main/java/tigase/conf/Configurable.java,
	  src/main/java/tigase/server/MessageRouterConfig.java:
	  ClusterController it loaded automatically in cluster mode

2008-06-10 14:01  kobit

	* src/main/java/tigase/cluster/ClusterConnectionManager.java,
	  src/main/java/tigase/cluster/ClusterElement.java,
	  src/main/java/tigase/cluster/SessionManagerClustered.java,
	  src/main/java/tigase/conf/Configurable.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Added cluster components registrator and notifications mechanism

2008-06-10 14:00  kobit

	* src/main/java/tigase/cluster/ClusterController.java,
	  src/main/java/tigase/cluster/ClusteredComponent.java: Added
	  cluster components registrator and notifications mechanism

2008-06-09 14:09  kobit

	* src/main/java/tigase/cluster/ClusterConnectionManager.java:
	  Connect all parameter name change to --cluster-connect-all

2008-06-09 14:07  kobit

	* src/main/java/tigase/cluster/ClusterConnectionManager.java:
	  Connect all parameter added

2008-06-09 13:22  kobit

	* src/main/java/tigase/cluster/ClusterConnectionManager.java: Fixed
	  a bug with multiple cluser nodes connections

2008-06-09 13:22  kobit

	* pom.xml: Updated tigase-utils version dependency

2008-06-09 12:20  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java: Allows
	  for multiple cluster nodes connection on single connection
	  manager

2008-06-09 12:19  kobit

	* src/main/java/tigase/cluster/ClusterConnectionManager.java:
	  Allows for multiple cluster nodes connection on single connection
	  manager

2008-06-06 09:11  kobit

	* src/main/java/tigase/server/Packet.java,
	  src/main/java/tigase/xmpp/impl/VCardTemp.java: Removed direct
	  usage of errorResult method

2008-06-06 09:06  bmalkow

	* src/main/java/tigase/server/Packet.java: add deprecated
	  annotation to errorResult

2008-06-06 09:05  bmalkow

	* src/main/java/tigase/xmpp/impl/VCardTemp.java: change error
	  stanza generation way

2008-06-06 09:02  bmalkow

	* src/main/java/tigase/xmpp/impl/VCardTemp.java: change error
	  stanza generation way

2008-06-06 08:46  bmalkow

	* src/main/java/tigase/server/ErrorCondition.java,
	  src/main/java/tigase/server/Packet.java,
	  src/main/java/tigase/xmpp/Authorization.java: fix: remove
	  reduntant code

2008-06-06 08:25  bmalkow

	* src/main/java/tigase/server/ErrorCondition.java,
	  src/main/java/tigase/server/Packet.java: add XEP-0086 (Error
	  Condition) implementation

2008-06-05 19:52  kobit

	* src/main/java/tigase/cluster/ClusterElement.java,
	  src/main/java/tigase/cluster/SessionManagerClustered.java:
	  Cluster packets processing fixes

2008-06-05 19:52  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Added XMLNS for all
	  created presence stanzas

2008-06-05 18:42  kobit

	* src/main/java/tigase/cluster/ClusterConnectionManager.java: Fixed
	  routings for cluster connection manager bug

2008-06-05 18:25  kobit

	* src/main/java/tigase/cluster/ClusterConnectionManager.java: New
	  routings for cluster connection manager are set properly

2008-06-05 16:42  kobit

	* src/main/java/tigase/cluster/ClusterConnectionManager.java:
	  Setting correct remote host address for a node to connect to

2008-06-05 16:39  kobit

	* src/main/java/tigase/cluster/ClusterConnectionManager.java,
	  src/main/java/tigase/server/ConnectionManager.java: Setting
	  correct remote host address for a node to connect to

2008-06-05 13:54  kobit

	* src/main/java/tigase/server/ConnectionManager.java: Added more
	  detailed logging info

2008-06-05 13:42  kobit

	* src/main/java/tigase/server/ConnectionManager.java: Added more
	  detailed logging info

2008-06-05 13:35  kobit

	* src/main/java/tigase/cluster/ClusterConnectionManager.java:
	  Cleaned up the removing routing for disconnected service

2008-06-05 12:41  kobit

	* src/main/java/tigase/server/ConnectionManager.java: Replaced
	  integer numbers with constatnts

2008-06-05 12:41  kobit

	* src/main/java/tigase/server/MessageRouterConfig.java: Moved
	  default component names to this interface to make it easier to
	  access them from other code places

2008-06-05 12:40  kobit

	* src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  Moved cluster-nodes parameter out to Configurable ifc for use in
	  other places

2008-06-05 12:39  kobit

	* src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	  src/main/java/tigase/server/xmppclient/ClientConnectionManager.java:
	  Moved default component names to this interface to make it easier
	  to access them from other code places

2008-06-05 12:39  kobit

	* src/main/java/tigase/server/Packet.java: Setting
	  isServiceDiscovery flag for packet to speed packet processing up

2008-06-05 12:38  kobit

	* src/main/java/tigase/conf/Configurable.java: Moved default
	  component names to this interface to make it easier to access
	  them from other code places

2008-06-05 12:37  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java:
	  Loading default cluster nodes list from properties file

2008-06-05 12:37  kobit

	* src/main/java/tigase/cluster/ClusterConnectionManager.java:
	  Cluster nodes connectivity component

2008-06-05 12:36  kobit

	* src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/stats/StatisticsCollector.java: Service
	  Discovery handling improvements

2008-06-04 17:55  kobit

	* src/main/java/tigase/server/bosh/BoshSession.java: Changed links
	  generation from _top to _blank

2008-06-04 15:19  kobit

	* src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/stats/StatisticsCollector.java: Fixed
	  service discovert and ad-hoc command processing

2008-06-04 12:22  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Fixed incorreclty handled writeRawData method

2008-06-04 12:22  kobit

	* src/main/java/tigase/server/ConnectionManager.java: Added proper
	  handling for writing raw data to the socket and fixed method:
	  writePacketsToSocket

2008-06-04 12:21  kobit

	* src/main/java/tigase/server/ServerComponent.java: Added
	  getComponentId() method

2008-06-04 12:20  kobit

	* src/main/java/tigase/server/MessageRouter.java: Major code
	  cleanup and improved routing selecting logic

2008-06-04 12:20  kobit

	* src/main/java/tigase/server/AbstractComponentRegistrator.java:
	  Added component ID support

2008-06-04 12:19  kobit

	* src/main/java/tigase/server/MessageRouterConfig.java: Added
	  cluster mode stuff

2008-06-04 12:19  kobit

	* src/main/java/tigase/server/bosh/BoshConnectionManager.java:
	  Added writeRawData(...) method to the handler

2008-06-04 12:19  kobit

	* src/main/java/tigase/server/bosh/BoshSessionTaskHandler.java:
	  Added writeRawData(...) method to the handler

2008-06-04 12:18  kobit

	* src/main/java/tigase/server/bosh/BoshSession.java: Fixed
	  incorrectly called writeRawData(...)

2008-06-04 12:17  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java: Code
	  changes to reflect API changes, processPacket(packet, results)
	  can not be overwritten anymore, all stuff must be done in
	  processPacket(packet) now

2008-06-04 12:17  kobit

	* src/main/java/tigase/server/sreceiver/StanzaReceiver.java: Code
	  changes to reflect API changes, processPacket(packet, results)
	  can not be overwritten anymore, all stuff must be done in
	  processPacket(packet) now

2008-06-04 12:15  kobit

	* src/main/java/tigase/server/xmppclient/ClientConnectionManager.java:
	  Removed tricky stuff done when activating TLS mode, they are not
	  needed anymore

2008-06-04 12:14  kobit

	* src/main/java/tigase/net/SocketReadThread.java: selectNow() is
	  only called now if there was a key canceled for the selector,
	  fixes old bug with infinite loop

2008-06-04 12:13  kobit

	* src/main/java/tigase/conf/Configurator.java: Added support for
	  cluster mode parameters and triming configuration parameters

2008-06-04 12:12  kobit

	* src/main/java/tigase/server/AbstractMessageReceiver.java: Added
	  suport for component ID and processPacket(packet, results) is now
	  final

2008-06-04 12:11  kobit

	* src/main/java/tigase/xmpp/impl/SimpleForwarder.java: Removed,
	  commented out, unused code

2008-06-04 12:10  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java:
	  Loading cluster nodes configuration

2008-06-04 12:09  kobit

	* src/main/java/tigase/conf/Configurable.java: Added constants for
	  cluster mode parameters

2008-06-04 11:32  kobit

	* src/main/php/drupal/modules/tigase_monitor-5.x/tigase_monitor.module:
	  Fixed path to binary files from other than frontpage

2008-05-16 08:11  kobit

	* src/main/java/tigase/cluster/ClusterElement.java,
	  src/main/java/tigase/cluster/SessionManagerClustered.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Cluster initial implementation ready, not tested yet, doesn't
	  support multiple connections for the same user yet

2008-05-15 10:23  kobit

	* etc/init-mysql.properties: Added comments to the init properties
	  file

2008-05-14 19:22  kobit

	* src/main/java/tigase/cluster/ClusterElement.java,
	  src/main/java/tigase/cluster/SessionManagerClustered.java,
	  src/main/java/tigase/server/AbstractMessageReceiver.java,
	  src/main/java/tigase/server/gateways/Gateway.java,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java,
	  src/main/java/tigase/server/ssender/StanzaSender.java,
	  src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Refactoring and routing improvements continued..., may stop
	  working now but it compiles

2008-05-14 14:56  kobit

	* src/main/java/tigase/cluster/SessionManagerClustered.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerClustered.java:
	  Class moved to different package

2008-05-14 14:55  kobit

	* src/main/java/tigase/cluster/ClusterElement.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerClustered.java:
	  Cluster mode initial development

2008-05-14 13:56  kobit

	* src/main/java/tigase/server/xmppsession/SessionManagerClustered.java:
	  Further improvements and code cleaning up to prepare sources for
	  cluster mode implementation

2008-05-14 13:55  kobit

	* src/main/java/tigase/server/Packet.java: Further improvements and
	  code cleaning up to prepare sources for cluster mode
	  implementation

2008-05-14 13:53  kobit

	* src/main/java/tigase/cluster/ClusterElement.java,
	  src/main/java/tigase/net/SocketReadThread.java,
	  src/main/java/tigase/server/Packet.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerClustered.java,
	  src/main/java/tigase/xmpp/impl/OfflineMessages.java,
	  src/main/java/tigase/xmpp/impl/VCardTemp.java: Further
	  improvements and code cleaning up to prepare sources for cluster
	  mode implementation

2008-05-13 15:42  kobit

	* src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/server/AbstractMessageReceiver.java,
	  src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/server/ServerComponent.java,
	  src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	  src/main/java/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerClustered.java,
	  src/main/java/tigase/stats/StatisticsCollector.java,
	  src/main/java/tigase/xmpp/impl/VCardTemp.java: Message routing
	  code cleanup and performance improvements, breaks the current/old
	  config filessvn status

2008-05-13 10:17  bmalkow

	* src/main/java/tigase/xmpp/impl/VCardTemp.java: add: returning IQ
	  error when vcard not found

2008-05-12 21:40  kobit

	* pom.xml: tigase-utils dependencies updated

2008-05-12 10:50  kobit

	* src/main/java/tigase/server/bosh/BoshSession.java,
	  src/main/java/tigase/server/bosh/BoshSessionCache.java:
	  Implementation of keeping chat history in the Bosh cache

2008-05-12 10:50  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Replaces presence
	  string with constant

2008-05-12 09:16  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerClustered.java:
	  Cluster code cleanup

2008-05-09 18:01  kobit

	* src/main/java/tigase/xmpp/impl/OfflineMessages.java: Fixed
	  compilation error

2008-05-09 17:58  kobit

	* src/main/java/tigase/xmpp/impl/OfflineMessages.java: Fixed a bug
	  with saving messages with an empty body

2008-05-07 19:39  kobit

	* etc/tigase-mysql.conf: Updated sample configuration for mysql
	  database

2008-05-07 19:31  kobit

	* etc/init-mysql.properties, etc/tigase-mysql.conf: Updated sample
	  configuration for mysql database

2008-05-07 19:30  kobit

	* src/main/java/tigase/net/SocketReadThread.java: Corrected logging
	  messages slightly

2008-05-02 13:43  kobit

	* src/main/java/tigase/net/SocketReadThread.java: Recreating
	  selector on IO error

2008-05-02 13:43  kobit

	* src/main/java/tigase/xmpp/impl/AnonymousRoster.java,
	  src/main/java/tigase/xmpp/impl/Presence.java,
	  src/main/java/tigase/xmpp/impl/VCardTemp.java: Proper handling
	  error type packets

2008-05-02 13:42  kobit

	* src/main/java/tigase/cluster,
	  src/main/java/tigase/cluster/ClusterElement.java,
	  src/main/java/tigase/server/Packet.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerClustered.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  Initial full cluster mode implementation

2008-05-01 16:49  kobit

	* src/main/java/tigase/net/SocketReadThread.java: Recreating the
	  selector on empty selection loop

2008-05-01 08:17  kobit

	* src/main/java/tigase/net/SocketReadThread.java: A fix for
	  concurrent modification exception

2008-05-01 08:06  kobit

	* src/main/java/tigase/net/SocketReadThread.java: A fix for
	  concurrent modification exception

2008-04-30 22:10  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Anonymous messages can not go outside the server installation

2008-04-30 21:16  kobit

	* src/main/java/tigase/net/SocketReadThread.java: Selector select 0
	  keys, workaround for JVM bugs:
	  http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=4850373 and
	  http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6403933

2008-04-30 08:12  kobit

	* src/main/java/tigase/net/SocketReadThread.java: Better handling
	  for CanceledKeyException

2008-04-29 16:45  kobit

	* src/main/php/drupal/modules/tigase_monitor-5.x/tigase_monitor.module:
	  Added running server version displaying to the monitor

2008-04-29 16:45  kobit

	* src/main/java/tigase/net/SocketReadThread.java:
	  CancelledKeyException proper handling

2008-04-27 15:13  kobit

	* src/main/java/tigase/net/IOService.java: Force stop on write data
	  exception

2008-04-25 21:28  kobit

	* pom.xml: xmltools dependencies updated

2008-04-25 16:45  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqRoster.java,
	  src/main/java/tigase/xmpp/impl/Presence.java: Fixed problem with
	  returning not real-online presence to anonymouse user

2008-04-25 16:35  kobit

	* src/main/java/tigase/net/SocketReadThread.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRoster.java: Sending
	  initial presence to anonymouse user and added some more logging
	  info

2008-04-25 16:08  kobit

	* src/main/java/tigase/net/IOService.java: Infinite loop with empty
	  read calls fix - network problems?

2008-04-25 14:41  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/xmpp/XMPPResourceConnection.java,
	  src/main/java/tigase/xmpp/impl/AnonymousRoster.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRoster.java,
	  src/main/java/tigase/xmpp/impl/Presence.java,
	  src/main/java/tigase/xmpp/impl/Roster.java: Anonymous roster and
	  presence changed, they are now based on the direct presence and
	  can be easily adjusted to use for different users

2008-04-24 22:01  kobit

	* src/main/java/tigase/net/SocketReadThread.java: Added handling
	  issue described here:
	  http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=4850373

2008-04-23 23:20  kobit

	* src/main/java/tigase/xmpp/XMPPIOService.java: Added forceStop()
	  when socket read was called but the service is not connected

2008-04-23 23:12  kobit

	* src/main/java/tigase/xmpp/impl/DynamicRosterIfc.java: Added
	  JavaDoc documentationf or the interfacce

2008-04-23 23:11  kobit

	* src/main/java/tigase/util/RepositoryUtils.java,
	  src/main/java/tigase/xmpp/impl/Roster.java: Added roster
	  export/import functionality

2008-04-23 07:34  kobit

	* src/main/java/tigase/net/IOService.java,
	  src/main/java/tigase/net/SocketReadThread.java,
	  src/main/java/tigase/xmpp/XMPPIOService.java: Replaced stop()
	  with forceStop() on exception catch

2008-04-22 21:44  kobit

	* etc/init.properties: Added anonymous roster handler

2008-04-22 21:32  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/xmpp/impl/AnonymousRoster.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRoster.java,
	  src/main/java/tigase/xmpp/impl/Presence.java: Implemented online
	  status sending between anonymous users and anonymous peers

2008-04-22 20:15  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerConfig.java,
	  src/main/java/tigase/xmpp/XMPPResourceConnection.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRoster.java,
	  src/main/java/tigase/xmpp/impl/RosterPresence.java: Anonymous
	  login - dynamic roster update and presence sending

2008-04-22 20:14  kobit

	* src/main/java/tigase/net/SocketReadThread.java: more detailed
	  logging to see what is really going on in there

2008-04-21 11:02  kobit

	* pom.xml: Dependency for xmltools updated

2008-04-21 09:19  kobit

	* src/main/java/tigase/server/xmppsession/PacketFilter.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Ignoring certain packet to avoid processing them -
	  stream:features with error type which came back from the
	  connection manager component after the connection has been lost
	  but before the features has been delivered

2008-04-19 20:13  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Fixed a bug when message sent to the domain address was not
	  forwarded automaticaly to the server admins

2008-04-19 20:12  kobit

	* src/main/php/drupal/modules/tigase_monitor-5.x/tigase_monitor.module:
	  Removed double forward slash from the download link

2008-04-19 20:12  kobit

	* src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/server/MessageRouterConfig.java,
	  src/main/java/tigase/util/UpdatesChecker.java: Updates checker
	  initial implementation

2008-04-17 10:44  kobit

	* src/main/java/tigase/xmpp/RepositoryAccess.java: Fixed bug with
	  missing ANONYMOUS mech

2008-04-17 10:31  kobit

	* src/main/java/tigase/xmpp/XMPPIOService.java: Added missing
	  import statement

2008-04-17 10:30  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Fixed the bug causing infinite stream of packets sent to the
	  client and Checking isLoggable before running expensive
	  packet.toString for a better performance

2008-04-17 10:29  kobit

	* src/main/java/tigase/server/MessageRouter.java: Checking
	  isLoggable before running expensive packet.toString for a better
	  performance

2008-04-17 10:29  kobit

	* src/main/java/tigase/server/xmppsession/PacketFilter.java:
	  Checking isLoggable before running expensive packet.toString for
	  a better performance

2008-04-17 10:28  kobit

	* src/main/java/tigase/net/IOService.java: Added one more log
	  message

2008-04-17 10:28  kobit

	* src/main/java/tigase/xmpp/XMPPIOService.java: Checking isLoggable
	  before running expensive packet.toString for a better performance

2008-04-17 10:25  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Checking isLoggable
	  before running expensive packet.toString for a better performance

2008-04-16 20:39  kobit

	* build.properties, src/main/java/tigase/db/jdbc/DrupalAuth.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Anonymous login added

2008-04-16 11:16  kobit

	* pom.xml: Dependency for tigase-utils updated

2008-04-16 08:48  kobit

	* pom.xml: XMLTools depedency change

2008-04-15 21:27  kobit

	* pom.xml: [maven-release-plugin] prepare for next development
	  iteration

2008-04-15 21:27  kobit

	* pom.xml: [maven-release-plugin] prepare release
	  tigase-server-3.3.2

2008-04-15 21:22  kobit

	* src/main/java/tigase/auth/SaslAnonymous.java,
	  src/main/java/tigase/auth/TigaseSaslProvider.java,
	  src/main/java/tigase/auth/TigaseSaslServerFactory.java,
	  src/main/java/tigase/server/Permissions.java,
	  src/main/java/tigase/server/xmppsession/PacketFilter.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerConfig.java,
	  src/main/java/tigase/xmpp/RepositoryAccess.java,
	  src/main/java/tigase/xmpp/XMPPResourceConnection.java,
	  src/main/java/tigase/xmpp/impl/SaslAuth.java: SASL anonymous
	  added and the whole support for anonymous users - still in
	  development

2008-04-15 21:20  kobit

	* src/main/java/tigase/server/gateways/Gateway.java,
	  src/main/java/tigase/server/gateways/GatewayConnection.java,
	  src/main/java/tigase/server/gateways/GatewayListener.java: Added
	  javadoc

2008-04-03 08:40  kobit

	* src/main/java/tigase/db/jdbc/DrupalAuth.java,
	  src/main/java/tigase/db/jdbc/JDBCRepository.java,
	  src/main/java/tigase/db/jdbc/LibreSourceAuth.java,
	  src/main/java/tigase/server/sreceiver/ShortNewsPublisher.java,
	  src/main/java/tigase/server/ssender/DrupalForumTask.java,
	  src/main/java/tigase/server/ssender/JDBCTask.java: changes select
	  localtime to select 1

2008-04-02 13:28  kobit

	* src/main/java/tigase/server/xmppclient/ClientConnectionManager.java:
	  Changed attributes order in a stream open element in order to
	  make it compatible with nagios monitoring tool

2008-03-31 20:11  kobit

	* src/main/java/tigase/xmpp/impl/Roster.java: Properly handle the
	  case when buddy name is not set, is it possible at all???

2008-03-27 07:07  kobit

	* src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	  src/main/java/tigase/server/bosh/BoshIOService.java: On SID not
	  found error, the bosh component now sends 404 error code

2008-03-27 07:07  kobit

	* src/main/java/tigase/net/IOService.java: Graceful stop
	  implemented - the actual stop is performed when all data have
	  been sent

2008-03-27 06:37  kobit

	* scripts/repo.sh: Slightly modified initial parameters in the
	  script

2008-03-27 06:36  kobit

	* ant-definitions.xml, win-stuff/Tigase.iss,
	  win-stuff/wrapper/wrapper.conf: Modified binary build scripts in
	  order to add all new files, libraries, certificates and scripts

2008-03-27 06:35  kobit

	* src/main/java/tigase/util/RepositoryUtils.java: Trimming data
	  before loading to database

2008-03-27 06:30  kobit

	* src/main/java/tigase/util/RepositoryUtils.java: Added import user
	  data (roster) function from comma separated flat file, format is:
	  user_jid, password, roser_jid, roster_nick, subscription, group

2008-03-20 17:19  kobit

	* src/main/java/tigase/server/Packet.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/xmpp/XMPPDomBuilderHandler.java,
	  src/main/java/tigase/xmpp/XMPPProcessor.java: Changed code to
	  properly handle and use new xmltools with intern() strings

2008-03-20 17:18  kobit

	* src/main/java/tigase/xmpp/impl/VCardTemp.java: Fixed log message
	  content

2008-03-19 11:15  kobit

	* pom.xml, src/main/java/tigase/db/jdbc/JDBCRepository.java:
	  Changes to work with SimpleCache when it is turned off

2008-03-18 23:05  kobit

	* scripts/tigase.sh: Fixed a bug for the case when TIGASE_HOME is
	  set manually

2008-03-18 14:40  kobit

	* src/main/java/tigase/io/SocketIO.java,
	  src/main/java/tigase/io/TLSIO.java,
	  src/main/java/tigase/net/IOService.java,
	  src/main/java/tigase/net/SocketReadThread.java: Fixed an issue
	  with never ending loop when the server couldn't write the rest
	  portion of data to the network socket

2008-03-18 14:39  kobit

	* src/main/java/tigase/server/bosh/BoshIOService.java: Added
	  'Server' header to make it easier to identify that the data come
	  from tigase bosh component

2008-03-17 12:59  kobit

	* src/main/java/tigase/server/MessageRouter.java: Added statistics
	  to display memory usage by the server

2008-03-16 08:14  kobit

	* src/main/java/tigase/net/ConnectionOpenThread.java,
	  src/main/java/tigase/net/SocketReadThread.java: Main worker
	  threads are now protected from unexpected finishing work on
	  exception

2008-03-15 15:33  kobit

	* src/main/java/tigase/net/SocketReadThread.java: Catchinh all
	  exceptions happening at Selector.select() on 64bit arch

2008-03-14 20:25  kobit

	* src/main/java/tigase/net/SocketReadThread.java: Catching up
	  CancelledKeyException which should not happen according to JAVA
	  API but it happens on Apple JVM, a bug?

2008-03-14 20:23  kobit

	* src/main/java/tigase/xmpp/impl/SaslAuth.java: Closing connection
	  after unsuccessful authentication

2008-03-14 20:23  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqAuth.java: Closing
	  connection after unsuccessful authentication

2008-03-13 21:44  kobit

	* database/mysql-message-archive-schema.sql,
	  src/main/java/tigase/xmpp/impl/xep0136/MessageArchiveDB.java:
	  Message archive under development

2008-03-07 16:42  kobit

	* src/main/java/tigase/db/RepositoryFactory.java: XMLRepository
	  initialization bug, it was loaded twice, once by UserRepo and
	  another by UserAuthRepo, accessing the same file from different
	  threads

2008-03-07 16:41  kobit

	* src/main/java/tigase/net/ConnectionOpenThread.java: Catching up
	  socket exception in case it is closed immediately after it had
	  been opened before we start configuring the socket

2008-03-05 17:28  kobit

	* src/main/java/tigase/util/RepositoryUtils.java: Rosetr cleaning
	  up function added

2008-03-05 17:28  kobit

	* src/main/java/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/xmpp/XMPPResourceConnection.java: Added
	  xml:lang default stream value to the user session

2008-03-05 17:26  kobit

	* src/main/java/tigase/server/bosh/BoshIOService.java,
	  src/main/java/tigase/server/bosh/BoshSession.java,
	  src/main/java/tigase/server/bosh/BoshSessionCache.java,
	  src/main/java/tigase/server/bosh/Constants.java: Added resource
	  binding to the automatic Bosh caching

2008-03-05 08:04  kobit

	* pom.xml: tigase-utils dependency update for version 3.0.5

2008-03-05 07:59  kobit

	* pom.xml: tigase-utils dependency update for version 3.0.4

2008-03-04 16:21  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Initial presence
	  processing bug fixed - the server didn't look in the dynamic
	  roster

2008-03-04 11:36  kobit

	* database/mysql-message-archive-schema.sql,
	  src/main/java/tigase/xmpp/impl/xep0136/MessageArchiveDB.java:
	  MessageArchive in development

2008-03-04 11:36  kobit

	* src/main/java/tigase/db/jdbc/JDBCRepository.java: New, improved
	  SimpleCache in use, caching data for 1minute only

2008-03-04 11:35  kobit

	* pom.xml: Dependecy for tigase-utils change

2008-03-03 13:23  kobit

	* pom.xml: Dependency for tigase-utils updated to utils ver. 3.0.2

2008-03-03 13:13  kobit

	* src/main/java/tigase/xmpp/XMPPResourceConnection.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRegister.java: Commented
	  out user logout after calling unregister, instead the plugin
	  sends 'stop' to c2s component and then the disconnection finishes
	  correctly informing the client about successul unregistration
	  frst

2008-03-02 10:08  kobit

	* database/mysql-schema.sql, etc/init.properties,
	  etc/initial.properties: Fixed sample files

2008-03-02 10:08  kobit

	* database/mysql-message-archive-schema.sql,
	  scripts/user_roster.sh, src/main/java/tigase/xmpp/impl/xep0136,
	  src/main/java/tigase/xmpp/impl/xep0136/MessageArchive.java,
	  src/main/java/tigase/xmpp/impl/xep0136/MessageArchiveDB.java:
	  Message Archiving initial code

2008-03-02 10:07  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqRoster.java: Fixed problem
	  with displaying roster entries which are not in any group

2008-02-26 21:02  kobit

	* src/main/java/tigase/server/bosh/BoshSession.java,
	  src/main/java/tigase/server/bosh/BoshSessionCache.java,
	  src/main/java/tigase/server/bosh/Constants.java: Added Bosh
	  Session cache implementation

2008-02-21 12:27  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Fixed a bug related
	  to presence probe and dynamic roster - tigase used to send
	  forbidden

2008-02-21 10:31  kobit

	* src/main/java/tigase/server/ConnectionManager.java: Initial port
	  open delay increased to 10sec

2008-02-21 09:50  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java: Fixed NPE
	  when it tried to retrieve contact groups and the contact wasn't
	  in any group

2008-02-19 23:27  kobit

	* src/main/java/tigase/server/MessageRouter.java: Fixed problem
	  with responding to service disco for error type packets

2008-02-15 08:58  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  Fixed the problem with incorrect loading multiple parameters to
	  the Map for initRepository

2008-02-14 17:55  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Subscription to
	  yourself problem fixed - ticket #84

2008-02-14 10:22  kobit

	* src/main/java/tigase/db/DummyRepository.java,
	  src/main/java/tigase/db/RepositoryFactory.java,
	  src/main/java/tigase/db/UserAuthRepository.java,
	  src/main/java/tigase/db/UserAuthRepositoryImpl.java,
	  src/main/java/tigase/db/UserRepository.java,
	  src/main/java/tigase/db/jdbc/DrupalAuth.java,
	  src/main/java/tigase/db/jdbc/JDBCRepository.java,
	  src/main/java/tigase/db/jdbc/LibreSourceAuth.java,
	  src/main/java/tigase/db/xml/XMLRepository.java,
	  src/main/java/tigase/server/gateways/Gateway.java,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerConfig.java,
	  src/main/java/tigase/util/RepositoryUtils.java: Added an extra
	  Map parameter to the UserRepository and AuthRepository interfaces

2008-02-14 10:20  kobit

	* src/main/java/tigase/server/bosh/BoshSession.java: To speed up
	  processing the bosh session remembers now last received RID to
	  compare it with the next rid

2008-02-10 16:29  kobit

	* src/main/java/tigase/server/bosh/BoshSession.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/xmpp/XMPPSession.java,
	  src/main/java/tigase/xmpp/impl/RosterPresence.java: On page
	  reload in Bosh session disapears, actually it happens every time
	  there is anotherconnection made with the same resource while the
	  old connection hasn't been closed yet

2008-02-08 13:21  kobit

	* src/main/java/tigase/server/bosh/BoshIOService.java,
	  src/main/java/tigase/server/bosh/BoshSession.java: Proper RID
	  handling and ACK implementation added

2008-02-08 13:21  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqRoster.java: A workaround
	  for the static roster, it is now ignoring all contacts which are
	  in 'Upline Support' group or is not in any group at all

2008-02-08 13:20  kobit

	* src/main/java/tigase/xmpp/impl/Roster.java: Performance
	  improvement - isSubscribed static method which now takes a single
	  parameter SubscriptionType and determines whether it is
	  subscribedfrom type

2008-02-08 13:18  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: A fix for the case
	  when the same contact appears in the static and dynamic roster,
	  the dynamic roster should and now does it, overwrite settings in
	  the static roster

2008-02-02 14:15  kobit

	* prj.el,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerConfig.java,
	  src/main/java/tigase/xmpp/impl/BindResource.java,
	  src/main/java/tigase/xmpp/impl/IBB.java,
	  src/main/java/tigase/xmpp/impl/JabberIqAuth.java,
	  src/main/java/tigase/xmpp/impl/JabberIqCommand.java,
	  src/main/java/tigase/xmpp/impl/JabberIqIq.java,
	  src/main/java/tigase/xmpp/impl/JabberIqOOB.java,
	  src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java,
	  src/main/java/tigase/xmpp/impl/JabberIqPrivate.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRegister.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRoster.java,
	  src/main/java/tigase/xmpp/impl/JabberIqSi.java,
	  src/main/java/tigase/xmpp/impl/JabberIqSocks5Bytestreams.java,
	  src/main/java/tigase/xmpp/impl/JabberIqStats.java,
	  src/main/java/tigase/xmpp/impl/JabberIqVersion.java,
	  src/main/java/tigase/xmpp/impl/Jingle.java,
	  src/main/java/tigase/xmpp/impl/Message.java,
	  src/main/java/tigase/xmpp/impl/OfflineMessages.java,
	  src/main/java/tigase/xmpp/impl/Presence.java,
	  src/main/java/tigase/xmpp/impl/Roster.java,
	  src/main/java/tigase/xmpp/impl/RosterPresence.java,
	  src/main/java/tigase/xmpp/impl/SaslAuth.java,
	  src/main/java/tigase/xmpp/impl/ServiceDiscovery.java,
	  src/main/java/tigase/xmpp/impl/SessionBind.java,
	  src/main/java/tigase/xmpp/impl/StartTLS.java,
	  src/main/java/tigase/xmpp/impl/UrnXmppPing.java,
	  src/main/java/tigase/xmpp/impl/VCardTemp.java: Added new plugin -
	  RosterPresence which replaces two old plugins: Presence and
	  JabberIqRoster to avoid concurrent execution of those 2 stanza
	  types. This solves the problem with adding new contacts on
	  multi-cpu or multi-core machines, Arrays.copyOf statement has
	  been removed from all plugins and it is not needed and affect
	  performance

2008-01-29 18:13  kobit

	* src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/server/MessageRouterConfig.java: Disco name
	  is now configurable and you can turn off showing the server
	  version

2008-01-29 17:12  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: The subscription
	  presence is now send with correct 'from' address without resource
	  part which caused adding the user with resource to the roster in
	  some client/server combination

2008-01-26 18:43  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Fixed the problem
	  with missing unavailable presence from the server when the user
	  is unsubscribed and the default available presence sent when user
	  has been subscribed

2008-01-26 15:26  kobit

	* build.properties, pom.xml: Version number change to 3.3.2

2008-01-26 14:33  kobit

	* src/main/java/tigase/server/bosh/BoshSession.java:
	  connections.size() is tested against 'hold_requests' variable
	  instead of 'concurrent_reuqests'

2008-01-26 14:20  kobit

	* src/main/java/tigase/server/bosh/BoshSession.java:
	  connections.size() is tested against 'concurrent_requests'
	  variable instead of '1'

2008-01-26 14:02  kobit

	* src/main/java/tigase/server/bosh/BoshSession.java: Closing the
	  session after received terminate from the client

2008-01-26 13:34  kobit

	* src/main/java/tigase/server/bosh/BoshSession.java: Corrected a
	  timeout bug - server was using incorrect inactivity timeout

2008-01-26 11:48  kobit

	* src/main/java/tigase/server/bosh/Constants.java,
	  src/main/java/tigase/xmpp/impl/Roster.java: For broken data in
	  database there might be no buddy subscription info, in such case
	  the subscription is updated to none

2008-01-26 10:27  kobit

	* pom.xml, src/main/java/tigase/server/bosh/Constants.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRoster.java: Updated
	  xmltools dependency for version 3.0.4

2008-01-25 11:16  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Added support for
	  pending_in subscriptions

2008-01-25 11:16  kobit

	* src/main/java/tigase/xmpp/impl/Roster.java: Added support for
	  pending_in subscriptions

2008-01-21 12:04  kobit

	* src/main/java/tigase/xmpp/impl/OfflineMessages.java: Null pointer
	  catched

2008-01-21 10:46  kobit

	* src/main/java/tigase/server/bosh/BoshConnectionManager.java:
	  Stopping connection with invalid SID

2008-01-21 10:30  kobit

	* src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	  src/main/java/tigase/server/bosh/BoshSession.java: Closing
	  connection on logout implemented

2008-01-21 10:24  kobit

	* src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	  src/main/java/tigase/server/bosh/BoshSession.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Closing connection on logout implemented

2008-01-21 09:41  kobit

	* src/main/java/tigase/xmpp/XMPPSession.java: Old resource
	  connection logout corrected

2008-01-20 02:40  kobit

	* src/main/java/tigase/server/bosh/BoshSession.java: Links target
	  set to _top

2008-01-19 16:20  kobit

	* src/main/java/tigase/server/bosh/BoshSession.java: Added links
	  conversion to clickable URLs

2008-01-17 23:18  kobit

	* build.properties, pom.xml: Version number change to 3.3.1

2008-01-15 22:15  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Added one more logging message

2008-01-15 22:15  kobit

	* src/main/java/tigase/server/xmppclient/ClientConnectionManager.java:
	  Fixed problem with system commands send to incorrect session
	  manager

2008-01-15 22:14  kobit

	* src/main/java/tigase/xmpp/XMPPResourceConnection.java: Added
	  stanza ID generator in resource session to use by all plugins and
	  processors

2008-01-15 09:22  kobit

	* src/main/java/tigase/server/xmppclient/ClientConnectionManager.java:
	  Modified default configuration generator to not add default
	  routings if routing table already exist

2008-01-15 00:44  kobit

	* src/main/java/tigase/server/xmppclient/ClientConnectionManager.java:
	  Fixed an old bug with routings resolution, the old code tried to
	  resolve routings based on packet address while it should look at
	  the domain settings for the connection

2008-01-14 22:19  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/xmpp/impl/Presence.java: Moved
	  synchronization on connection resource from SM to Presence
	  plugin, to not blog the whole processing because of Presence
	  plugin constraints

2008-01-14 13:16  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Fixed permission for result packets problem which prevented
	  admins to access the ad-hoc commands

2008-01-13 23:40  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Fixed a bug with synchronization on connection resource

2008-01-13 23:32  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Added proper synchronization on connection resource to avoid
	  conflict with accessing the object during logout by many threads
	  concurrently

2008-01-13 23:31  kobit

	* src/main/java/tigase/server/gateways/Gateway.java: Added removal
	  of gateway connection on logout

2008-01-13 23:31  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Corrected wrong log
	  message

2008-01-13 22:41  kobit

	* src/main/java/tigase/server/gateways/Gateway.java: Added proper
	  handling multiple user connections to the transport

2008-01-13 22:28  kobit

	* src/main/java/tigase/server/gateways/Gateway.java: Optimized
	  logout handler

2008-01-13 22:07  kobit

	* build.properties, pom.xml,
	  src/main/java/tigase/server/gateways/Gateway.java,
	  src/main/java/tigase/server/gateways/GatewayConnection.java,
	  src/main/java/tigase/server/gateways/GatewayListener.java:
	  Gateway API has been changed, version change to 3.3.0

2008-01-13 21:03  kobit

	* pom.xml: Version number change to 3.2.1

2008-01-13 21:02  kobit

	* build.properties,
	  src/main/java/tigase/server/gateways/Gateway.java: Indentation
	  corrected

2008-01-13 21:02  kobit

	* src/main/java/tigase/net/SocketReadThread.java,
	  src/main/java/tigase/server/ConnectionManager.java: Fixed problem
	  with sending packets in multithreading code

2008-01-10 07:09  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Reverted back code,
	  now presences from not-subscribed IDs are NOT ignored

2008-01-09 00:11  kobit

	* src/main/java/tigase/net/IOService.java,
	  src/main/java/tigase/server/bosh/BoshSession.java: Deadlock
	  problem solved, replaced all synchronized methods with
	  synchronized blocks

2008-01-08 11:03  kobit

	* src/main/java/tigase/server/AbstractMessageReceiver.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java: Each
	  plugin - XMPPProcessorIfc is now executed in separate thread to
	  avoid slowdowns if one plugin runs slowlu due to resource
	  availability delays

2008-01-08 11:02  kobit

	* src/main/java/tigase/db/jdbc/DrupalAuth.java,
	  src/main/java/tigase/db/jdbc/JDBCRepository.java,
	  src/main/java/tigase/db/jdbc/LibreSourceAuth.java: Changed code
	  to allow multithreading support

2008-01-08 11:01  kobit

	* src/main/java/tigase/xmpp/RepositoryAccess.java: Removed final
	  keyword from methods definition, it is not needed anymore

2007-12-22 23:43  kobit

	* build.properties, pom.xml: Version number change to 3.2.0

2007-12-22 18:51  kobit

	* win-stuff/Tigase-minimal.iss: Configuration for minimal tigase
	  package

2007-12-22 18:51  kobit

	* etc/tigase-mysql.conf: Initial properties moved to a property
	  file

2007-12-22 18:48  kobit

	* prj.el: Code indetation corrected

2007-12-22 18:47  kobit

	* src/main/java/tigase/io/CertFilesTrustManager.java,
	  src/main/java/tigase/io/SSLContextContainer.java,
	  src/main/java/tigase/io/SSLContextContainerIfc.java,
	  src/main/java/tigase/io/TLSUtil.java,
	  src/main/java/tigase/io/TelnetClient.java,
	  src/main/java/tigase/io/TelnetServer.java,
	  src/main/java/tigase/server/ConnectionManager.java: Added support
	  for pluggable SSLContextContainers for network layer

2007-12-22 18:46  kobit

	* src/main/java/tigase/server/ssender/StanzaHandler.java,
	  src/main/java/tigase/server/ssender/StanzaSender.java: Added
	  handler for a single stanza packet

2007-12-22 18:45  kobit

	* src/main/java/tigase/server/gateways/MsnConnection.java: Moved to
	  extras package

2007-12-22 18:45  kobit

	* src/main/java/tigase/io/IOInterface.java,
	  src/main/java/tigase/io/SocketIO.java,
	  src/main/java/tigase/io/TLSIO.java,
	  src/main/java/tigase/net/IOService.java,
	  src/main/java/tigase/net/SocketReadThread.java: Implement fully
	  asynchronous communication over Java NIO

2007-12-22 18:44  kobit

	* src/main/java/tigase/conf/Configurator.java: Added support for
	  multiple extra components in initial.properties file, added
	  support for parameters types in initial.properties file

2007-12-22 18:42  kobit

	* src/main/java/tigase/xmpp/impl/OfflineMessages.java: Fixed a bug
	  with incorrect order for off-line messages: #74

2007-12-14 10:23  kobit

	* src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  Support for plugins list in property file added

2007-12-14 10:22  kobit

	* src/main/java/tigase/server/gateways/MsnConnection.java: Due to
	  library version change p2pMessageReceived listener had to be
	  added

2007-12-14 10:21  kobit

	* src/main/java/tigase/conf/Configurable.java: Added --sm-plugins
	  parameter, so you can list plugins in property file for
	  configuration initialization

2007-12-14 10:20  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqRoster.java: Changed xmlns
	  raw string to variable use

2007-12-11 23:24  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Removed unused import

2007-12-11 22:55  kobit

	* src/main/java/tigase/server/Command.java: Added new, predefined
	  commands: BROADCAST_TO_ONLINE and BROADCAST_TO_ALL

2007-12-11 22:54  kobit

	* src/main/java/tigase/server/bosh/Constants.java: Added
	  MAX_PACKETS number to set the maximum number of queuet packets to
	  be send to the client

2007-12-11 22:54  kobit

	* src/main/java/tigase/server/bosh/BoshSession.java: If there is
	  huge number of packets waiting, they are sent in MAX_PACKETS
	  number at a time

2007-12-11 22:52  kobit

	* src/main/java/tigase/server/Permissions.java: Added trusted user
	  permission

2007-12-11 22:51  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Added message broadcating and trusted user permission support

2007-12-11 22:50  kobit

	* src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  Added trusted configuration settings for trusted permission which
	  allows user to do certain actions like broadcasting messages

2007-12-11 22:50  kobit

	* src/main/java/tigase/server/gateways/MsnConnection.java: Improved
	  logging and roster synchronization

2007-12-11 22:49  kobit

	* src/main/java/tigase/server/gateways/UserStatus.java: Corrected
	  user status translation, show message now contain correct XMPP
	  values

2007-12-11 22:48  kobit

	* src/main/java/tigase/server/gateways/Gateway.java: Changed
	  registration message

2007-12-11 22:47  kobit

	* src/main/java/tigase/conf/Configurable.java: Added trusted
	  configuration settings for trusted permission which allows user
	  to do certain actions like broadcasting messages

2007-12-11 22:46  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqRoster.java: Dynamic,
	  large rosters are now sent in packets, 20 roster items in a
	  signle packet

2007-12-03 13:33  kobit

	* src/main/java/tigase/xmpp/XMPPResourceConnection.java: Fixed
	  problem with temporary resource setting

2007-12-01 22:04  kobit

	* src/main/java/tigase/server/bosh/BoshSession.java: Added another
	  log entry to monitor restart command processing

2007-12-01 21:45  kobit

	* src/main/java/tigase/server/ConnectionManager.java: Removed an
	  instruction for service.stop() if there was a problem with
	  starting the servicce

2007-12-01 21:31  kobit

	* src/main/java/tigase/server/ConnectionManager.java: Added more
	  logging information to investigate problem with: 'attempt to stop
	  incorrect service: null' message

2007-12-01 21:30  kobit

	* src/main/java/tigase/server/bosh/BoshSession.java,
	  src/main/java/tigase/server/bosh/Constants.java: Added support
	  for stream restart functionality

2007-12-01 21:30  kobit

	* src/main/java/tigase/xmpp/impl/SaslAuth.java: Stream features are
	  now returned correctly in all cases

2007-12-01 21:30  kobit

	* src/main/java/tigase/xmpp/impl/BindResource.java: Stream features
	  are now returned correctly in all cases

2007-12-01 21:29  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqAuth.java: Stream features
	  are now correctly returned in all cases

2007-12-01 21:28  kobit

	* src/main/java/tigase/xmpp/XMPPResourceConnection.java: userJid is
	  now properly set after authentication

2007-12-01 20:31  kobit

	* src/main/java/tigase/server/xmppsession/PacketFilter.java: Is it
	  really possible that getJID() returns null? let's try to catch it

2007-12-01 20:30  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Added one log
	  message for a case when from attribute is null and commented out
	  initial presence delivery if the buddy is not subscribed....

2007-11-30 12:30  kobit

	* src/main/java/tigase/xmpp/XMPPSession.java,
	  src/main/java/tigase/xmpp/impl/BindResource.java: Fix for a
	  problem with a new connection established for the same resource
	  name, the old connection wasn't properly closed and that caused
	  confusion on the server

2007-11-28 21:29  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqRoster.java: Fixed problem
	  with roster requests with empty group element - group name is
	  empty

2007-11-24 08:54  kobit

	* src/main/java/tigase/xmpp/impl/Roster.java: Fixed the problem
	  with sending roster items with resource part

2007-11-23 20:52  kobit

	* database/sqlserver-schema.sql: Index for tig_node table has been
	  changed to keep 3 fields

2007-11-23 20:39  kobit

	* src/main/java/tigase/server/gateways/MsnConnection.java: On
	  gateway disconnection all roster elements from the gateway are
	  automaticaly marked as off-line now

2007-11-23 20:38  kobit

	* src/main/java/tigase/server/gateways/Gateway.java: If gateway is
	  not connected, message received is sent back with an error

2007-11-23 20:37  kobit

	* database/mysql-schema.sql, database/postgresql-schema.sql:
	  Modified unique index for tig_node to keep 3 fields instead of 2

2007-11-23 20:37  kobit

	* src/main/java/tigase/db/jdbc/JDBCRepository.java: Added one more
	  log instruction

2007-11-23 11:09  kobit

	* src/main/java/tigase/server/gateways/MsnConnection.java: Finally
	  fixed the problem with user status, bocking/unblocking

2007-11-23 09:12  kobit

	* src/main/java/tigase/server/gateways/MsnConnection.java: Added
	  missing import and fixed compilation error

2007-11-23 00:29  kobit

	* src/main/java/tigase/server/gateways/MsnConnection.java,
	  win-stuff/Tigase.iss: Suport for MsnList added

2007-11-22 14:44  kobit

	* src/main/java/tigase/server/gateways/Gateway.java,
	  src/main/java/tigase/server/gateways/MsnConnection.java: Added
	  full support for adding, removing buddies in roster

2007-11-22 14:43  kobit

	* src/main/java/tigase/server/gateways/GatewayListener.java:
	  formatJID, decodeLegacyName methods added

2007-11-22 14:43  kobit

	* src/main/java/tigase/db/xml/XMLRepository.java: Added
	  synchronization and support for multithreaded use

2007-11-22 14:42  kobit

	* src/main/java/tigase/server/gateways/GatewayConnection.java:
	  addBuddy, removeBuddy, getPromptMessage methods added

2007-11-22 14:42  kobit

	* src/main/java/tigase/db/RepositoryFactory.java: Fixed a bug with
	  accessing XML repository by different components

2007-11-22 14:32  kobit

	* src/main/java/tigase/conf/Configurator.java: Commented out
	  System.out.printlns

2007-11-22 14:28  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Fixed a bug with
	  Tigase sending available presence with unsubscribed presence

2007-11-22 14:27  kobit

	* win-stuff/Tigase.iss: Character case changed

2007-11-21 18:03  kobit

	* database/sqlserver-schema.sql: Database schema definition for
	  SQLServer

2007-11-20 17:10  kobit

	* src/main/java/tigase/io/SSLContextContainerIfc.java: SSL
	  container interface to allow use of different container
	  implementation, for example implementation capable of loading
	  certificates from *.pem files

2007-11-14 10:20  kobit

	* win-stuff/Tigase.iss: Now gateway stores roster buddy last status
	  in database

2007-11-14 10:20  kobit

	* src/main/java/tigase/server/gateways/Gateway.java,
	  src/main/java/tigase/server/gateways/GatewayListener.java,
	  src/main/java/tigase/server/gateways/MsnConnection.java: Now
	  gateway stores roster buddy last status in database

2007-11-14 10:19  kobit

	* src/main/java/tigase/xmpp/impl/Roster.java: Fix for missing
	  subscriptions in roster coming for transports

2007-11-13 23:53  kobit

	* src/main/java/tigase/server/gateways,
	  src/main/java/tigase/server/gateways/Gateway.java,
	  src/main/java/tigase/server/gateways/GatewayConnection.java,
	  src/main/java/tigase/server/gateways/GatewayException.java,
	  src/main/java/tigase/server/gateways/GatewayListener.java,
	  src/main/java/tigase/server/gateways/LoginGatewayException.java,
	  src/main/java/tigase/server/gateways/MsnConnection.java,
	  src/main/java/tigase/server/gateways/RosterItem.java,
	  src/main/java/tigase/server/gateways/UserStatus.java: Transports
	  initial implementation with MSN gateway

2007-11-13 23:36  kobit

	* prj.el: Added more jar files

2007-11-13 23:36  kobit

	* src/main/java/tigase/io/SSLContextContainer.java: Removed
	  System.exit(1) instruction

2007-11-13 23:35  kobit

	* src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Added more logging information

2007-11-13 23:35  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Removed System.exit(1) instruction

2007-11-13 23:34  kobit

	* src/main/java/tigase/server/sreceiver/StanzaReceiver.java:
	  Removed System.exit(1) instruction

2007-11-13 23:34  kobit

	* src/main/java/tigase/net/SocketReadThread.java: Removed
	  System.exit(1) instruction

2007-11-13 23:33  kobit

	* src/main/java/tigase/net/ConnectionOpenThread.java: Removed
	  System.exit(1) instruction

2007-11-13 23:33  kobit

	* src/main/java/tigase/db/xml/XMLRepository.java: Added support for
	  user autocreate mode

2007-11-13 23:32  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqRegister.java: Fix for
	  internal transport support

2007-11-13 23:31  kobit

	* src/main/java/tigase/xmpp/impl/Roster.java: A few fixes for a
	  case when nick part does not exist and when current_subscription
	  is null

2007-11-13 23:30  kobit

	* etc/tigase.conf: By default now it loads init.properties file

2007-11-13 23:27  kobit

	* src/main/java/tigase/xmpp/ProcessorFactory.java: Full stack trace
	  output to the console as logs are not working at this stage

2007-11-13 23:26  kobit

	* src/main/java/tigase/util/DBUtils.java: A few convenience methods
	  for repository initialization

2007-11-07 22:43  kobit

	* win-stuff/Tigase.iss: Version change and etc/ content corrected

2007-11-07 22:42  kobit

	* etc/initial.properties: Initial server properties, which can be
	  used for config generators

2007-11-07 22:42  kobit

	* src/main/java/tigase/server/XMPPServer.java: Changed initial
	  logging configuration

2007-11-07 22:41  kobit

	* win-stuff/scripts/Run.bat: Added parameter for initial properties
	  and changed classpath to use wildcards

2007-11-07 16:35  kobit

	* src/main/java/tigase/server/XMPPServer.java: Initial
	  configuration generation is now outputed to the log file
	  correctly

2007-11-07 16:34  kobit

	* src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  Fixed initial configuration generation when database connector is
	  given as class name

2007-11-07 16:34  kobit

	* src/main/java/tigase/conf/Configurator.java: Added support for
	  initial parameters read from property file which is useful
	  especially on windows

2007-11-07 12:30  kobit

	* src/main/java/tigase/xmpp/impl/DynamicRoster.java: Dynamic roster
	  classes are now comma separated list instead of string array of
	  class names

2007-11-06 21:35  kobit

	* build.properties, win-stuff/Tigase.iss: Version change to 3.1.1

2007-11-06 21:33  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Improvemements for plugins settings, plugins can share now the
	  same settings and stop listeners are receiving plugins settings
	  as a method parameter

2007-11-06 21:32  kobit

	* src/main/java/tigase/xmpp/XMPPStopListenerIfc.java: Added plugin
	  settings to the method parameters list

2007-11-06 21:27  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqRoster.java: Moved dynamic
	  roster initialization to separate class - DynamicRoster

2007-11-06 21:26  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Added support for
	  dynamic rosters

2007-11-06 21:26  kobit

	* src/main/java/tigase/xmpp/impl/DynamicRoster.java: Static class
	  with static helper methods for accessing dynamic rosters' data

2007-11-03 16:49  kobit

	* win-stuff/Tigase.iss: Changed default content of etc directory

2007-11-03 16:46  kobit

	* win-stuff/Licence.txt: License change to GPLv3

2007-11-03 16:45  kobit

	* src/main/java/tigase/db/DummyRepository.java: Dummy user
	  repository

2007-11-02 20:29  kobit

	* src/main/java/tigase/db/jdbc/DrupalAuth.java: JavaDoc comments
	  added

2007-11-02 20:28  kobit

	* src/main/java/tigase/db/UserAuthRepository.java: JavaDoc comments
	  added

2007-11-02 20:28  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqRoster.java: Improved
	  handling dynamic rosters

2007-10-31 17:35  kobit

	* src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Corrected generating default regex routing, '.' character is now
	  backslashed to avoid special treatment by regex engibe

2007-10-31 17:24  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqRoster.java: Fixed null
	  pointer exception in case of missing plugin settings for roster

2007-10-31 17:12  kobit

	* prj.el, src/main/java/tigase/auth/TigaseSaslProvider.java,
	  src/main/java/tigase/db/jdbc/DrupalAuth.java,
	  src/main/java/tigase/server/AbstractMessageReceiver.java,
	  src/main/java/tigase/server/sreceiver/AbstractReceiverTask.java,
	  src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerConfig.java,
	  src/main/java/tigase/xmpp/XMPPProcessorIfc.java,
	  src/main/java/tigase/xmpp/impl/BindResource.java,
	  src/main/java/tigase/xmpp/impl/DynamicRosterIfc.java,
	  src/main/java/tigase/xmpp/impl/JabberIqAuth.java,
	  src/main/java/tigase/xmpp/impl/JabberIqCommand.java,
	  src/main/java/tigase/xmpp/impl/JabberIqIq.java,
	  src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java,
	  src/main/java/tigase/xmpp/impl/JabberIqPrivate.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRegister.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRoster.java,
	  src/main/java/tigase/xmpp/impl/JabberIqStats.java,
	  src/main/java/tigase/xmpp/impl/JabberIqVersion.java,
	  src/main/java/tigase/xmpp/impl/Jingle.java,
	  src/main/java/tigase/xmpp/impl/OfflineMessages.java,
	  src/main/java/tigase/xmpp/impl/Presence.java,
	  src/main/java/tigase/xmpp/impl/SaslAuth.java,
	  src/main/java/tigase/xmpp/impl/ServiceDiscovery.java,
	  src/main/java/tigase/xmpp/impl/SessionBind.java,
	  src/main/java/tigase/xmpp/impl/SimpleForwarder.java,
	  src/main/java/tigase/xmpp/impl/StartTLS.java,
	  src/main/java/tigase/xmpp/impl/UrnXmppPing.java,
	  src/main/java/tigase/xmpp/impl/VCardTemp.java: MNodifications for
	  dynamic rosters functionality

2007-10-23 06:52  bmalkow

	* pom.xml, src/main/resources, src/main/resources/META-INF,
	  src/main/resources/META-INF/MANIFEST.MF: Add creating manifest by
	  maven (with version number)

2007-10-18 09:03  kobit

	* pom.xml: [maven-release-plugin] prepare for next development
	  iteration

2007-10-18 09:03  kobit

	* pom.xml: Dependencies update

2007-10-18 08:57  kobit

	* scripts/repo.sh, win-stuff/Tigase.iss: Version change

2007-10-17 13:08  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Corrected logic mistake in the s2s

2007-10-17 12:56  kobit

	* src/main/java/tigase/server/bosh/BoshIOService.java: Changed
	  strings literals to constants, might improve performance/resource
	  consumption slightly

2007-10-17 12:54  kobit

	* src/main/java/tigase/server/AbstractMessageReceiver.java: Yet
	  another fix to packet counters for last second, minute, hour

2007-10-17 12:54  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Changed code slightly to allow multiple s2s connections from
	  other servers, apparently this is correct

2007-10-13 18:07  kobit

	* src/main/java/tigase/server/AbstractMessageReceiver.java:
	  Improved calculating number of last packets sent

2007-10-13 18:06  kobit

	* src/main/java/tigase/net/ConnectionOpenThread.java: Changed
	  default TCP/IP packet size to 2k

2007-10-13 18:06  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java: Improved
	  retrieving privacy lists

2007-10-11 23:53  kobit

	* src/main/java/tigase/server/AbstractMessageReceiver.java:
	  Corrected calculation of the number of packets in last second

2007-10-11 23:37  kobit

	* src/main/java/tigase/server/AbstractMessageReceiver.java:
	  Corrected calculation of the number of packets in last second

2007-10-09 16:36  kobit

	* src/main/php/drupal/modules/tigase_monitor-5.x/tigase_monitor.info,
	  src/main/php/drupal/modules/tigase_monitor-5.x/tigase_monitor.module:
	  tigase monitor updated for drupal 5.x

2007-10-09 13:01  kobit

	* src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/server/bosh/BoshSession.java,
	  src/main/java/tigase/server/sreceiver/AbstractReceiverTask.java,
	  src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/PacketFilter.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/xmpp/Authorization.java,
	  src/main/java/tigase/xmpp/PacketErrorTypeException.java,
	  src/main/java/tigase/xmpp/XMPPProcessorIfc.java,
	  src/main/java/tigase/xmpp/impl/BindResource.java,
	  src/main/java/tigase/xmpp/impl/JabberIqAuth.java,
	  src/main/java/tigase/xmpp/impl/JabberIqCommand.java,
	  src/main/java/tigase/xmpp/impl/JabberIqIq.java,
	  src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java,
	  src/main/java/tigase/xmpp/impl/JabberIqPrivate.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRegister.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRoster.java,
	  src/main/java/tigase/xmpp/impl/JabberIqStats.java,
	  src/main/java/tigase/xmpp/impl/Jingle.java,
	  src/main/java/tigase/xmpp/impl/Presence.java,
	  src/main/java/tigase/xmpp/impl/ServiceDiscovery.java,
	  src/main/java/tigase/xmpp/impl/SessionBind.java,
	  src/main/java/tigase/xmpp/impl/SimpleForwarder.java,
	  src/main/java/tigase/xmpp/impl/VCardTemp.java,
	  src/main/php/drupal/modules/short_news-5.x/short_news.module,
	  win-stuff/Tigase.iss: Authorization throws now exception if you
	  try to assing error type to the packet which is already an error,
	  it used to cause infinite loops in the server in many places.
	  This change aims to kill infinite loops in the server for
	  ever....

2007-10-08 09:41  kobit

	* src/main/php/drupal/modules/short_news-5.x/short_news.module:
	  Modifications for compatibility with drupal-5.x

2007-10-06 16:34  kobit

	* etc/tigase-mysql.conf,
	  src/main/php/drupal/modules/short_news-5.x,
	  src/main/php/drupal/modules/short_news-5.x/short_news.info,
	  src/main/php/drupal/modules/short_news-5.x/short_news.module,
	  src/main/php/drupal/modules/tigase_monitor-5.x,
	  src/main/php/drupal/modules/tigase_monitor-5.x/tigase_monitor.module:
	  Drupal v5.x modules

2007-10-02 13:26  kobit

	* src/main/php/drupal/modules/tigase_monitor.module: Corrected link
	  description to detailed statistics

2007-10-02 13:26  kobit

	* src/main/java/tigase/server/AbstractMessageReceiver.java: Added
	  statisics for packets processed in last second, minute and hour

2007-10-02 13:25  kobit

	* src/main/java/tigase/server/ConnectionManager.java: Increased
	  watchdog timeout from 1 min to 30 minutes, it cleans up
	  connections which are iddle for an hour, so there is no need for
	  running it every minute

2007-10-02 13:24  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Catching possible authorization exception during resource set and
	  returning def for max queue size

2007-10-02 13:23  kobit

	* src/main/java/tigase/server/xmppsession/PacketFilter.java:
	  Checking whether the session is authorized before processing,
	  eliminates generating authorization exceptions and improves
	  performance

2007-10-02 13:22  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java: Checking
	  whether the session is authorized before processing, eliminates
	  generating authorization exceptions and improves performance

2007-10-02 13:21  kobit

	* src/main/java/tigase/xmpp/XMPPResourceConnection.java: userID and
	  userJID is cached now so it doesn't need to be generated on each
	  call, performance improvement

2007-10-01 11:06  kobit

	* src/main/php/drupal/modules/tigase_monitor.module: Added details
	  and configuration page

2007-09-29 22:55  kobit

	* src/main/php/drupal/modules/tigase_monitor.module: Rewriten
	  module to display number of registered account from the server
	  statistics rather than from drupal database and number of active
	  sessions

2007-09-29 22:54  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Fixed a bug when s2s received packet without 'to' attribute due
	  to missconfiguration

2007-09-29 22:54  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Added statustics for registered accounts number

2007-09-29 22:53  kobit

	* src/main/java/tigase/server/sreceiver/StanzaReceiver.java: Fixed
	  a bug with task names in upper case

2007-09-29 22:53  kobit

	* src/main/java/tigase/db/UserRepository.java,
	  src/main/java/tigase/db/jdbc/JDBCRepository.java,
	  src/main/java/tigase/db/xml/XMLRepository.java: Added method
	  returning number of user accounts in database

2007-09-24 18:43  kobit

	* src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Fixed problem with packets addresses to the component which can
	  not be processed by the component

2007-09-22 14:41  kobit

	* build.properties: Version change

2007-09-22 13:24  kobit

	* src/main/java/tigase/server/bosh/BoshSession.java,
	  src/main/java/tigase/xmpp/StanzaType.java: Added proper session
	  termination code for Bosh component

2007-09-21 21:31  kobit

	* src/main/php/drupal/modules/tigase_monitor.module: Fixed problem
	  with calculating uptime in some cases

2007-09-21 21:31  kobit

	* src/main/java/tigase/server/bosh/BoshIOService.java: Fixed
	  problem with incorrectly calculated content length if data
	  contains multibyte UTF-8 characters

2007-09-21 08:44  kobit

	* src/main/java/tigase/server/bosh/BoshSession.java: Fixed problem
	  with missing version and xmlns attributes in body element

2007-09-19 08:08  kobit

	* src/main/java/tigase/server/AbstractMessageReceiver.java: Changed
	  from HashSet to CopyOnWriteArraySet for routings tables

2007-09-18 08:56  kobit

	* src/main/java/tigase/server/sreceiver/TesterTask.java: Tester
	  task for testing server functionality

2007-09-18 08:56  kobit

	* src/main/java/tigase/conf/Configurator.java: Spelling corrected

2007-09-17 09:46  kobit

	* src/main/java/tigase/server/sreceiver/RepoRosterTask.java,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Fixed the problem when repository is not set or can't support
	  user autocreate mode

2007-09-16 07:06  bmalkow

	* pom.xml: [maven-release-plugin] prepare for next development
	  iteration

2007-09-16 07:06  bmalkow

	* pom.xml: [maven-release-plugin] prepare release
	  tigase-server-3.0.1-beta

2007-09-16 01:33  kobit

	* src/main/php/drupal/modules/tigase_monitor.module: Added bosh
	  connections

2007-09-15 16:02  kobit

	* src/main/php/drupal/modules/tigase_monitor.module: Fixed problem
	  with uptime when uptime is shorter than 1day

2007-09-15 15:29  kobit

	* src/main/php/drupal/modules/tigase_monitor.module: Fixed problem
	  with uptime when uptime is shorter than 1day

2007-09-15 14:06  kobit

	* win-stuff/Tigase.iss: Version change

2007-09-15 14:06  kobit

	* build.properties, win-stuff/Tigase.iss: Version change

2007-09-15 14:04  kobit

	* src/main/java/tigase/server/Packet.java,
	  src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	  src/main/java/tigase/server/bosh/BoshSession.java,
	  src/main/java/tigase/server/xmppsession/PacketFilter.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Packet.toString() changed to display XMLNS

2007-09-15 14:04  kobit

	* src/main/java/tigase/xmpp/XMPPDomBuilderHandler.java: Fixed minor
	  bug with default XMLNS settings for many children with different
	  XMLNSes

2007-09-15 11:41  bmalkow

	* pom.xml: update dependecies

2007-09-14 22:59  kobit

	* src/main/java/tigase/server/bosh/BoshSession.java: Bosh is now
	  completed but untested...

2007-09-14 22:03  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: presence
	  unavailable removes now jid from directpresence set

2007-09-12 10:16  bmalkow

	* pom.xml: changes in maven group and version

2007-09-12 10:04  bmalkow

	* pom.xml: changes in maven group and version

2007-09-11 21:58  kobit

	* src/main/java/tigase/server/MessageRouterConfig.java: You can now
	  add components during configuration generation with parameters:
	  --comp-name and --comp-class

2007-09-11 17:55  kobit

	* etc/tigase-mysql.conf,
	  src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	  src/main/java/tigase/server/bosh/BoshSession.java,
	  src/main/java/tigase/server/bosh/Constants.java: Bosh - timeouts
	  implemented, untested

2007-09-04 20:02  bmalkow

	* src/main/java/tigase/io/CertFilesTrustManager.java: Add
	  TrustManager based on PEM files, stored in (for example)
	  /etc/ssl/certs

2007-08-09 09:03  kobit

	* src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	  src/main/java/tigase/server/bosh/BoshIOService.java,
	  src/main/java/tigase/server/bosh/BoshSession.java,
	  src/main/java/tigase/server/bosh/BoshSessionTaskHandler.java:
	  Added max_pause support, untested

2007-08-03 17:45  kobit

	* src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	  src/main/java/tigase/server/bosh/BoshSession.java,
	  src/main/java/tigase/server/bosh/Constants.java: Initial, working
	  version of Bosh implementation

2007-08-03 17:45  kobit

	* prj.el: License text changed

2007-08-03 17:44  kobit

	* src/main/java/tigase/server/xmppclient/ClientConnectionManager.java:
	  Packet id changed to be different from other commands

2007-08-03 17:44  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqStats.java: Fixed problem
	  with ID retrieving in incorrect place of code

2007-07-25 15:06  kobit

	* src/main/php/drupal/modules/tigase_monitor.module: Added real
	  statistics from tigase jabber server, these statistics are
	  updated every minute

2007-07-21 16:36  kobit

	* src/main/php/drupal/modules/tigase_monitor.module: Link to all
	  downloads fixed

2007-07-21 15:13  kobit

	* src/main/php/drupal/modules/short_news.module,
	  src/main/php/drupal/modules/tigase.module: Spelling corrections +
	  license update

2007-07-21 15:12  kobit

	* src/main/php/drupal/modules/tigase_monitor.module: Real Tigase
	  monitor as a separate module with online_status and all other
	  stuff

2007-07-21 15:12  kobit

	* src/main/java/tigase/db/jdbc/DrupalAuth.java: Added online_status
	  support

2007-07-18 18:13  kobit

	* pom.xml: [maven-release-plugin] prepare for next development
	  iteration

2007-07-18 18:13  kobit

	* pom.xml: [maven-release-plugin] prepare release
	  tigase-server-3.0.0

2007-07-18 18:12  kobit

	* pom.xml: Dependencies change to libraries which also use GPLv3

2007-07-18 18:10  kobit

	* build.properties: Version change to 3.0.1 - license change to
	  GPLv3

2007-07-18 18:09  kobit

	* COPYING: Initial version of file with license GPLv3

2007-07-18 17:38  kobit

	* database/mysql-schema.sql, database/postgresql-schema.sql,
	  scripts/config.sh, scripts/repo.sh, scripts/tigase.sh,
	  src/main/java/tigase/annotations/TODO.java,
	  src/main/java/tigase/auth/AuthorisationSystem.java,
	  src/main/java/tigase/auth/LoginHandler.java,
	  src/main/java/tigase/auth/ResourceConnectionCallback.java,
	  src/main/java/tigase/auth/SaslPLAIN.java,
	  src/main/java/tigase/auth/TigaseSaslProvider.java,
	  src/main/java/tigase/auth/TigaseSaslServerFactory.java,
	  src/main/java/tigase/conf/ConfigComponent.java,
	  src/main/java/tigase/conf/ConfigRepository.java,
	  src/main/java/tigase/conf/Configurable.java,
	  src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/db/AuthorizationException.java,
	  src/main/java/tigase/db/ConfigurationDB.java,
	  src/main/java/tigase/db/DBInitException.java,
	  src/main/java/tigase/db/DataOverwriteException.java,
	  src/main/java/tigase/db/MessageHistoryDB.java,
	  src/main/java/tigase/db/MessageOfflineDB.java,
	  src/main/java/tigase/db/NonAuthUserRepository.java,
	  src/main/java/tigase/db/RepositoryFactory.java,
	  src/main/java/tigase/db/TigaseDBException.java,
	  src/main/java/tigase/db/UserAuthRepository.java,
	  src/main/java/tigase/db/UserAuthRepositoryImpl.java,
	  src/main/java/tigase/db/UserDB.java,
	  src/main/java/tigase/db/UserExistsException.java,
	  src/main/java/tigase/db/UserNotFoundException.java,
	  src/main/java/tigase/db/UserRepository.java,
	  src/main/java/tigase/db/jdbc/DrupalAuth.java,
	  src/main/java/tigase/db/jdbc/JDBCRepository.java,
	  src/main/java/tigase/db/jdbc/LibreSourceAuth.java,
	  src/main/java/tigase/db/xml/XMLRepository.java,
	  src/main/java/tigase/disco/ServiceEntity.java,
	  src/main/java/tigase/disco/ServiceIdentity.java,
	  src/main/java/tigase/disco/XMPPService.java,
	  src/main/java/tigase/disco/XMPPServiceCollector.java,
	  src/main/java/tigase/http/HttpServer.java,
	  src/main/java/tigase/http/HttpService.java,
	  src/main/java/tigase/io/BufferUnderflowException.java,
	  src/main/java/tigase/io/IOInterface.java,
	  src/main/java/tigase/io/SSLContextContainer.java,
	  src/main/java/tigase/io/SampleSocketThread.java,
	  src/main/java/tigase/io/SocketIO.java,
	  src/main/java/tigase/io/TLSEventHandler.java,
	  src/main/java/tigase/io/TLSIO.java,
	  src/main/java/tigase/io/TLSStatus.java,
	  src/main/java/tigase/io/TLSUtil.java,
	  src/main/java/tigase/io/TLSWrapper.java,
	  src/main/java/tigase/io/TelnetClient.java,
	  src/main/java/tigase/io/TelnetServer.java,
	  src/main/java/tigase/net/Accept.java,
	  src/main/java/tigase/net/ConnectionOpenListener.java,
	  src/main/java/tigase/net/ConnectionOpenThread.java,
	  src/main/java/tigase/net/ConnectionType.java,
	  src/main/java/tigase/net/IOService.java,
	  src/main/java/tigase/net/IOServiceListener.java,
	  src/main/java/tigase/net/ServiceCommand.java,
	  src/main/java/tigase/net/SocketReadThread.java,
	  src/main/java/tigase/net/SocketType.java,
	  src/main/java/tigase/server/AbstractComponentRegistrator.java,
	  src/main/java/tigase/server/AbstractMessageReceiver.java,
	  src/main/java/tigase/server/Command.java,
	  src/main/java/tigase/server/ComponentRegistrator.java,
	  src/main/java/tigase/server/ConnectionManager.java,
	  src/main/java/tigase/server/MessageReceiver.java,
	  src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/server/MessageRouterConfig.java,
	  src/main/java/tigase/server/Packet.java,
	  src/main/java/tigase/server/Permissions.java,
	  src/main/java/tigase/server/ServerComponent.java,
	  src/main/java/tigase/server/ThreadExceptionHandler.java,
	  src/main/java/tigase/server/XMPPServer.java,
	  src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	  src/main/java/tigase/server/bosh/BoshIOService.java,
	  src/main/java/tigase/server/bosh/BoshSession.java,
	  src/main/java/tigase/server/bosh/Constants.java,
	  src/main/java/tigase/server/sreceiver/AbstractReceiverTask.java,
	  src/main/java/tigase/server/sreceiver/DefaultValues.java,
	  src/main/java/tigase/server/sreceiver/NewTaskCommand.java,
	  src/main/java/tigase/server/sreceiver/NewsDistributor.java,
	  src/main/java/tigase/server/sreceiver/PropertyConstants.java,
	  src/main/java/tigase/server/sreceiver/PropertyItem.java,
	  src/main/java/tigase/server/sreceiver/ReceiverTaskIfc.java,
	  src/main/java/tigase/server/sreceiver/RepoRosterTask.java,
	  src/main/java/tigase/server/sreceiver/RosterItem.java,
	  src/main/java/tigase/server/sreceiver/ShortNewsPublisher.java,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java,
	  src/main/java/tigase/server/sreceiver/TaskCommandIfc.java,
	  src/main/java/tigase/server/sreceiver/TaskCommons.java,
	  src/main/java/tigase/server/sreceiver/TaskCreationPolicy.java,
	  src/main/java/tigase/server/sreceiver/TaskInstanceCommand.java,
	  src/main/java/tigase/server/sreceiver/TaskType.java,
	  src/main/java/tigase/server/ssender/DrupalForumTask.java,
	  src/main/java/tigase/server/ssender/FileTask.java,
	  src/main/java/tigase/server/ssender/JDBCTask.java,
	  src/main/java/tigase/server/ssender/SenderTask.java,
	  src/main/java/tigase/server/ssender/StanzaHandler.java,
	  src/main/java/tigase/server/ssender/StanzaSender.java,
	  src/main/java/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/PacketFilter.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerConfig.java,
	  src/main/java/tigase/stats/StatRecord.java,
	  src/main/java/tigase/stats/StatisticType.java,
	  src/main/java/tigase/stats/StatisticsCollector.java,
	  src/main/java/tigase/stats/StatisticsContainer.java,
	  src/main/java/tigase/stats/StatsComponent.java,
	  src/main/java/tigase/ui/UIComponent.java,
	  src/main/java/tigase/ui/WebUI.java,
	  src/main/java/tigase/ui/XMPPServiceComponent.java,
	  src/main/java/tigase/util/ElementUtils.java,
	  src/main/java/tigase/util/LogFormatter.java,
	  src/main/java/tigase/util/RepositoryUtils.java,
	  src/main/java/tigase/util/RoutingsContainer.java,
	  src/main/java/tigase/xmpp/Authorization.java,
	  src/main/java/tigase/xmpp/NotAuthorizedException.java,
	  src/main/java/tigase/xmpp/ProcessorFactory.java,
	  src/main/java/tigase/xmpp/RepositoryAccess.java,
	  src/main/java/tigase/xmpp/StanzaType.java,
	  src/main/java/tigase/xmpp/XMPPDomBuilderHandler.java,
	  src/main/java/tigase/xmpp/XMPPException.java,
	  src/main/java/tigase/xmpp/XMPPIOService.java,
	  src/main/java/tigase/xmpp/XMPPIOServiceListener.java,
	  src/main/java/tigase/xmpp/XMPPImplIfc.java,
	  src/main/java/tigase/xmpp/XMPPPostprocessorIfc.java,
	  src/main/java/tigase/xmpp/XMPPPreprocessorIfc.java,
	  src/main/java/tigase/xmpp/XMPPProcessor.java,
	  src/main/java/tigase/xmpp/XMPPProcessorIfc.java,
	  src/main/java/tigase/xmpp/XMPPResourceConnection.java,
	  src/main/java/tigase/xmpp/XMPPSession.java,
	  src/main/java/tigase/xmpp/XMPPStopListenerIfc.java,
	  src/main/java/tigase/xmpp/impl/BindResource.java,
	  src/main/java/tigase/xmpp/impl/IBB.java,
	  src/main/java/tigase/xmpp/impl/JabberIqAuth.java,
	  src/main/java/tigase/xmpp/impl/JabberIqCommand.java,
	  src/main/java/tigase/xmpp/impl/JabberIqIq.java,
	  src/main/java/tigase/xmpp/impl/JabberIqOOB.java,
	  src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java,
	  src/main/java/tigase/xmpp/impl/JabberIqPrivate.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRegister.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRoster.java,
	  src/main/java/tigase/xmpp/impl/JabberIqSi.java,
	  src/main/java/tigase/xmpp/impl/JabberIqSocks5Bytestreams.java,
	  src/main/java/tigase/xmpp/impl/JabberIqStats.java,
	  src/main/java/tigase/xmpp/impl/JabberIqVersion.java,
	  src/main/java/tigase/xmpp/impl/Jingle.java,
	  src/main/java/tigase/xmpp/impl/Message.java,
	  src/main/java/tigase/xmpp/impl/OfflineMessages.java,
	  src/main/java/tigase/xmpp/impl/Presence.java,
	  src/main/java/tigase/xmpp/impl/Privacy.java,
	  src/main/java/tigase/xmpp/impl/Roster.java,
	  src/main/java/tigase/xmpp/impl/SaslAuth.java,
	  src/main/java/tigase/xmpp/impl/ServiceDiscovery.java,
	  src/main/java/tigase/xmpp/impl/SessionBind.java,
	  src/main/java/tigase/xmpp/impl/SimpleForwarder.java,
	  src/main/java/tigase/xmpp/impl/StartTLS.java,
	  src/main/java/tigase/xmpp/impl/UrnXmppPing.java,
	  src/main/java/tigase/xmpp/impl/VCardTemp.java: License change to
	  GPLv3

2007-07-13 12:48  kobit

	* src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	  src/main/java/tigase/server/bosh/BoshIOService.java,
	  src/main/java/tigase/server/bosh/BoshSession.java: Bosh
	  implementation in progress

2007-07-13 12:48  kobit

	* src/main/java/tigase/server/xmppclient/ClientConnectionManager.java:
	  Changed public constants to private constants

2007-06-27 16:03  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqCommand.java,
	  src/main/java/tigase/xmpp/impl/JabberIqIq.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRegister.java,
	  src/main/java/tigase/xmpp/impl/JabberIqStats.java,
	  src/main/java/tigase/xmpp/impl/JabberIqVersion.java,
	  src/main/java/tigase/xmpp/impl/Jingle.java,
	  src/main/java/tigase/xmpp/impl/Presence.java,
	  src/main/java/tigase/xmpp/impl/ServiceDiscovery.java,
	  src/main/java/tigase/xmpp/impl/SimpleForwarder.java,
	  src/main/java/tigase/xmpp/impl/UrnXmppPing.java,
	  src/main/java/tigase/xmpp/impl/VCardTemp.java: Removed redundand
	  'from' attribute setting which is already done in PacketFilter

2007-06-27 15:24  kobit

	* src/main/java/tigase/server/AbstractMessageReceiver.java: Changed
	  access modifier from protected to private because this variable
	  is now accessible through public method for component

2007-06-27 15:22  kobit

	* src/main/java/tigase/server/xmppsession/PacketFilter.java:
	  Removed 'forward' processing completely as it was conflicting
	  with all plugins processing stanzas on behalf of the user

2007-06-27 15:21  kobit

	* src/main/java/tigase/server/sreceiver/StanzaReceiver.java:
	  Replaced custom code with more generic code accessing default
	  hostname

2007-06-27 15:21  kobit

	* src/main/java/tigase/server/xmppclient/ClientConnectionManager.java:
	  Replaced custom code with more generic code accessing default
	  hostname

2007-06-27 15:20  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Fixed null pointer
	  exception in case of closing not authenticated session

2007-06-18 16:21  kobit

	* etc/tigase-mysql.conf, src/main/java/tigase/net/IOService.java,
	  src/main/java/tigase/server/ConnectionManager.java,
	  src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	  src/main/java/tigase/server/bosh/BoshSession.java,
	  src/main/java/tigase/server/bosh/Constants.java,
	  src/main/java/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/main/java/tigase/xmpp/XMPPIOService.java,
	  src/main/java/tigase/xmpp/XMPPIOServiceListener.java: Each
	  component can now provide own implementation/extension of
	  XMPPIOService. The specific component using this feature is Bosh

2007-06-18 16:20  kobit

	* src/main/java/tigase/conf/Configurable.java,
	  src/main/java/tigase/server/MessageRouter.java: Added NULL
	  routing which is dummy routing used for domain names hosted on
	  the server

2007-06-18 16:19  kobit

	* src/main/java/tigase/server/xmppsession/PacketFilter.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Fixed bug when user could inject a stanza to the system before
	  the session has been authenticated

2007-06-09 09:27  kobit

	* src/main/java/tigase/server/AbstractMessageReceiver.java,
	  src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java,
	  src/main/java/tigase/server/ssender/StanzaSender.java,
	  src/main/java/tigase/server/xmppclient/ClientConnectionManager.java:
	  Moved defHostname code to abstract class to make it automatically
	  available for all message receivers and set proper default
	  routing for all components

2007-06-08 19:18  kobit

	* src/main/java/tigase/conf/Configurable.java,
	  src/main/java/tigase/server/AbstractMessageReceiver.java,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java,
	  src/main/java/tigase/server/xmppclient/ClientConnectionManager.java:
	  Added default hostname for c2s component as using the first
	  hostname as default from the list doesn't work correctly,
	  elements often gets reordered

2007-06-08 18:55  kobit

	* src/main/java/tigase/server/sreceiver/AbstractReceiverTask.java:
	  Fixed problem with error stanza received sometimes from s2s
	  component in case of problem with deivery

2007-06-08 18:20  kobit

	* src/main/java/tigase/server/sreceiver/StanzaReceiver.java: Fixed
	  problem with default policies for task types and added
	  defHostname config parameter

2007-06-08 18:20  kobit

	* build.properties: Version change to 2.9.6

2007-06-08 17:05  kobit

	* pom.xml: [maven-release-plugin] prepare for next development
	  iteration

2007-06-08 17:05  kobit

	* pom.xml: [maven-release-plugin] prepare release
	  tigase-server-2.9.5

2007-06-08 11:43  kobit

	* build.properties, win-stuff/Tigase.iss: Version change to 2.9.5

2007-06-08 11:41  kobit

	* src/main/java/tigase/server/xmppsession/PacketFilter.java: Fixed
	  bug with presence probe processing

2007-06-08 11:00  kobit

	* pom.xml: [maven-release-plugin] prepare for next development
	  iteration

2007-06-08 11:00  kobit

	* pom.xml: [maven-release-plugin] prepare release
	  tigase-server-2.9.4

2007-06-08 11:00  kobit

	* pom.xml: changed xmltools version dependcy

2007-06-08 10:59  kobit

	* ant-definitions.xml: Added Mandriva script to binary releases

2007-06-08 07:49  kobit

	* win-stuff/Tigase.iss: Version number update to 2.9.4

2007-06-07 23:57  kobit

	* src/main/java/tigase/server/xmppsession/PacketFilter.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/xmpp/XMPPResourceConnection.java: Corrected
	  packet forwarding addressed to domain

2007-06-07 23:37  kobit

	* src/main/java/tigase/server/xmppsession/PacketFilter.java: Fixed
	  problem with packet forwarding

2007-06-07 23:16  kobit

	* src/main/java/tigase/server/AbstractMessageReceiver.java:
	  Commented out some extra logging

2007-06-07 23:15  kobit

	* src/main/java/tigase/server/MessageRouter.java: Improved
	  processing of lost packet to local component

2007-06-07 23:14  kobit

	* src/main/java/tigase/server/xmppsession/PacketFilter.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Improved packet filter - added default forwarder

2007-06-07 23:13  kobit

	* src/main/java/tigase/conf/Configurator.java: Increased default
	  log size to 10MB

2007-06-07 23:12  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqRegister.java: Improved
	  authorization checking

2007-06-06 23:06  kobit

	* scripts/mandriva, scripts/mandriva/init.d,
	  scripts/mandriva/init.d/tigase: Startup script for Mandriva

2007-06-06 23:06  kobit

	* src/main/java/tigase/disco/ServiceEntity.java,
	  src/main/java/tigase/net/ConnectionOpenThread.java,
	  src/main/java/tigase/server/ConnectionManager.java,
	  src/main/java/tigase/server/MessageRouterConfig.java,
	  src/main/java/tigase/server/sreceiver/PropertyItem.java,
	  src/main/java/tigase/server/sreceiver/TaskCommons.java,
	  src/main/java/tigase/server/ssender/StanzaSender.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerConfig.java,
	  src/main/java/tigase/xmpp/impl/BindResource.java,
	  src/main/java/tigase/xmpp/impl/IBB.java,
	  src/main/java/tigase/xmpp/impl/JabberIqAuth.java,
	  src/main/java/tigase/xmpp/impl/JabberIqCommand.java,
	  src/main/java/tigase/xmpp/impl/JabberIqIq.java,
	  src/main/java/tigase/xmpp/impl/JabberIqOOB.java,
	  src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java,
	  src/main/java/tigase/xmpp/impl/JabberIqPrivate.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRegister.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRoster.java,
	  src/main/java/tigase/xmpp/impl/JabberIqSi.java,
	  src/main/java/tigase/xmpp/impl/JabberIqSocks5Bytestreams.java,
	  src/main/java/tigase/xmpp/impl/JabberIqStats.java,
	  src/main/java/tigase/xmpp/impl/JabberIqVersion.java,
	  src/main/java/tigase/xmpp/impl/Jingle.java,
	  src/main/java/tigase/xmpp/impl/Message.java,
	  src/main/java/tigase/xmpp/impl/OfflineMessages.java,
	  src/main/java/tigase/xmpp/impl/Presence.java,
	  src/main/java/tigase/xmpp/impl/SaslAuth.java,
	  src/main/java/tigase/xmpp/impl/ServiceDiscovery.java,
	  src/main/java/tigase/xmpp/impl/SessionBind.java,
	  src/main/java/tigase/xmpp/impl/StartTLS.java,
	  src/main/java/tigase/xmpp/impl/UrnXmppPing.java,
	  src/main/java/tigase/xmpp/impl/VCardTemp.java: Code cleanup

2007-06-06 20:29  kobit

	* src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	  src/main/java/tigase/server/bosh/BoshIOService.java,
	  src/main/java/tigase/server/bosh/BoshSession.java,
	  src/main/java/tigase/server/bosh/Constants.java: Stream
	  initialization - implementation in progress

2007-06-06 20:28  kobit

	* src/main/java/tigase/server/xmppclient/ClientConnectionManager.java:
	  c2s component now first sends stream initialization back to
	  client and then sends requests for GETFEATURES to avoid sending
	  features before stream initialization

2007-06-06 20:27  kobit

	* src/main/java/tigase/xmpp/XMPPIOService.java: Removed all locks
	  as now IOService is synchronized

2007-06-06 19:49  kobit

	* src/main/java/tigase/xmpp/impl/UrnXmppPing.java,
	  src/main/java/tigase/xmpp/impl/VCardTemp.java: Code cleanup

2007-06-06 16:27  kobit

	* src/main/java/tigase/xmpp/impl/ServiceDiscovery.java,
	  src/main/java/tigase/xmpp/impl/SessionBind.java,
	  src/main/java/tigase/xmpp/impl/StartTLS.java: Code cleanup

2007-06-06 16:23  kobit

	* src/main/java/tigase/xmpp/impl/BindResource.java,
	  src/main/java/tigase/xmpp/impl/IBB.java,
	  src/main/java/tigase/xmpp/impl/JabberIqAuth.java,
	  src/main/java/tigase/xmpp/impl/JabberIqCommand.java,
	  src/main/java/tigase/xmpp/impl/JabberIqIq.java,
	  src/main/java/tigase/xmpp/impl/JabberIqOOB.java,
	  src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java,
	  src/main/java/tigase/xmpp/impl/JabberIqPrivate.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRegister.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRoster.java,
	  src/main/java/tigase/xmpp/impl/JabberIqSi.java,
	  src/main/java/tigase/xmpp/impl/JabberIqSocks5Bytestreams.java,
	  src/main/java/tigase/xmpp/impl/JabberIqStats.java,
	  src/main/java/tigase/xmpp/impl/JabberIqVersion.java,
	  src/main/java/tigase/xmpp/impl/Jingle.java,
	  src/main/java/tigase/xmpp/impl/Message.java,
	  src/main/java/tigase/xmpp/impl/OfflineMessages.java,
	  src/main/java/tigase/xmpp/impl/Presence.java,
	  src/main/java/tigase/xmpp/impl/SaslAuth.java: Code cleanup

2007-06-06 15:48  kobit

	* src/main/java/tigase/net/IOService.java,
	  src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	  src/main/java/tigase/server/sreceiver/PropertyItem.java,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java,
	  src/main/java/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/main/java/tigase/xmpp/XMPPProcessor.java,
	  src/main/java/tigase/xmpp/impl/OfflineMessages.java,
	  src/main/java/tigase/xmpp/impl/Presence.java: Code cleanup

2007-06-06 12:21  kobit

	* src/main/java/tigase/auth/SaslPLAIN.java,
	  src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/xmpp/impl/JabberIqAuth.java,
	  src/main/java/tigase/xmpp/impl/SaslAuth.java,
	  src/main/java/tigase/xmpp/impl/SessionBind.java: Code cleanup

2007-06-06 12:06  kobit

	* src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/server/sreceiver/TaskInstanceCommand.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Performance optimizations

2007-06-06 11:55  kobit

	* src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/db/jdbc/JDBCRepository.java,
	  src/main/java/tigase/db/jdbc/LibreSourceAuth.java,
	  src/main/java/tigase/io/SSLContextContainer.java,
	  src/main/java/tigase/io/TLSWrapper.java,
	  src/main/java/tigase/io/TelnetClient.java,
	  src/main/java/tigase/server/AbstractMessageReceiver.java,
	  src/main/java/tigase/server/Packet.java,
	  src/main/java/tigase/server/sreceiver/RepoRosterTask.java,
	  src/main/java/tigase/server/sreceiver/ShortNewsPublisher.java,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java,
	  src/main/java/tigase/server/sreceiver/TaskInstanceCommand.java,
	  src/main/java/tigase/server/ssender/FileTask.java,
	  src/main/java/tigase/server/ssender/StanzaSender.java,
	  src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/stats/StatRecord.java,
	  src/main/java/tigase/stats/StatisticsCollector.java,
	  src/main/java/tigase/util/RepositoryUtils.java,
	  src/main/java/tigase/util/RoutingsContainer.java,
	  src/main/java/tigase/xmpp/XMPPIOService.java,
	  src/main/java/tigase/xmpp/impl/JabberIqAuth.java,
	  src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java: Performance
	  optimizations

2007-06-06 11:54  kobit

	* src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	  src/main/java/tigase/server/bosh/Constants.java: Added
	  configuration settings

2007-06-06 11:54  kobit

	* src/main/java/tigase/server/bosh/BoshSession.java: Added
	  configuration settings

2007-06-06 11:52  kobit

	* src/main/java/tigase/server/MessageRouter.java: Protection
	  against infinite loop, server now doesn't send out any packet
	  which is addressed to local domain

2007-06-05 22:03  kobit

	* etc/tigase-mysql.conf, src/main/java/tigase/server/bosh,
	  src/main/java/tigase/server/bosh/BoshConnectionManager.java,
	  src/main/java/tigase/server/bosh/BoshIOService.java,
	  src/main/java/tigase/server/bosh/BoshSession.java,
	  src/main/java/tigase/server/bosh/Constants.java: Initial version
	  of BOSH component - XEP-0124

2007-06-05 22:03  kobit

	* src/main/java/tigase/util/RoutingsContainer.java: Replaced
	  HashMap with LinkedHashMap

2007-06-05 21:48  kobit

	* src/main/java/tigase/server/AbstractMessageReceiver.java:
	  Replaced HashMap with LinkedHashMap

2007-06-05 21:47  kobit

	* src/main/java/tigase/server/ConnectionManager.java: Moved
	  XMPPIOService creation to separate method so it can be
	  overwritten and return more specialized classes implementation
	  like BoshIOService

2007-06-05 21:46  kobit

	* src/main/java/tigase/server/ssender/StanzaSender.java: Replaced
	  HashMap with LinkedHashMap

2007-06-05 21:46  kobit

	* src/main/java/tigase/server/AbstractComponentRegistrator.java:
	  Replaced HashMap with LinkedHashMap

2007-06-05 21:46  kobit

	* src/main/java/tigase/server/MessageRouterConfig.java: Replaced
	  HashMap with LinkedHashMap and added Bosh component to a list of
	  standard components

2007-06-05 21:45  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Removed extra, not used import

2007-06-05 21:44  kobit

	* src/main/java/tigase/server/sreceiver/TaskInstanceCommand.java:
	  Replaced HashMap with LinkedHashMap

2007-06-05 21:44  kobit

	* src/main/java/tigase/server/sreceiver/StanzaReceiver.java:
	  Replaced HashMap with LinkedHashMap

2007-06-05 21:44  kobit

	* src/main/java/tigase/server/sreceiver/NewTaskCommand.java:
	  Replaced HashMap with LinkedHashMap

2007-06-05 21:43  kobit

	* src/main/java/tigase/conf/ConfigRepository.java: Replaced HashMap
	  with LinkedHashMap

2007-06-05 21:43  kobit

	* src/main/java/tigase/conf/Configurator.java: 1. Replaced HashMap
	  with LinkedHashMap, 2. changed default logging level to console
	  to FINER from ALL, 3. added stanza type checking for commands
	  requests

2007-06-05 21:41  kobit

	* src/main/java/tigase/conf/Configurable.java: Added Bosh
	  implementation to a list of default components

2007-06-05 21:41  kobit

	* src/main/java/tigase/xmpp/XMPPIOService.java: Unified i/o
	  interface, all methods now use writeRawData method which can be
	  overwritten in descendant classes like in BoshIOService to write
	  some HTTP headers before content

2007-06-05 21:40  kobit

	* src/main/java/tigase/xmpp/impl/Roster.java: Replaced HashMap with
	  LinkedHashMap

2007-06-05 09:43  kobit

	* src/main/java/tigase/server/MessageRouter.java: Corrected service
	  discovery retrieving to work only for stanzas with 'get' type

2007-06-01 17:18  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  s2s component now refuses to process packets (send out) which are
	  addressed to one of local domains

2007-06-01 17:18  kobit

	* src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Added another default routings: .*.hostname

2007-06-01 11:43  kobit

	* build.properties: Version number update to 2.9.4

2007-06-01 11:43  kobit

	* pom.xml: Utils dependency update for version 2.4.2

2007-06-01 11:43  kobit

	* src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Corrected default routing table, to '.*@hostname' added also
	  'hostname'

2007-06-01 10:22  kobit

	* src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Default routing is now set to: .*@hostname instead of .*hostname

2007-06-01 10:22  kobit

	* src/main/java/tigase/server/MessageRouter.java: regex routings
	  are now checked agains whole node ID part not just hostame

2007-06-01 09:01  kobit

	* pom.xml: [maven-release-plugin] prepare for next development
	  iteration

2007-06-01 09:01  kobit

	* pom.xml: [maven-release-plugin] prepare release
	  tigase-server-2.9.3

2007-06-01 08:58  kobit

	* win-stuff/Tigase.iss: Version change to 2.9.3

2007-05-31 21:32  kobit

	* etc/tigase-mysql.conf,
	  src/main/java/tigase/server/ConnectionManager.java: Logging a bit
	  optimized

2007-05-31 21:31  kobit

	* src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Added GEN_CONFIG_COMP parameter processing, special default
	  confiuration for single component like MUC and external
	  component, IOService id is now a constant which means this
	  component can server single connection only

2007-05-31 21:30  kobit

	* src/main/java/tigase/server/MessageRouterConfig.java: Added
	  GEN_CONFIG_COMP parameter processing, special default
	  confiuration for single component like MUC and external component

2007-05-31 21:29  kobit

	* src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  ADMINS and HOSTNAMES property key moved to Configurable

2007-05-31 21:29  kobit

	* src/main/java/tigase/server/sreceiver/StanzaReceiver.java: ADMINS
	  property key moved to Configurable

2007-05-31 21:28  kobit

	* src/main/java/tigase/server/sreceiver/ShortNewsPublisher.java:
	  super.processMessage call moved so commands are not distributed
	  to all subscribers

2007-05-31 21:26  kobit

	* src/main/java/tigase/conf/Configurator.java: Added GEN_COMP_NAME,
	  CLASS parameters processing

2007-05-31 21:26  kobit

	* build.properties, pom.xml: Version change to 2.9.3

2007-05-31 21:24  kobit

	* src/main/java/tigase/conf/Configurable.java: Added
	  --gen-config-comp parameter, added some more comments and moved
	  HOSTNAMES and ADMINS property key from SessionManager to this
	  class

2007-05-30 11:30  bmalkow

	* pom.xml: make dependencies non-snapshot

2007-05-29 22:29  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Corrected command processing - now commands not processed can be
	  sent out

2007-05-29 21:36  kobit

	* src/main/java/tigase/server/sreceiver/ShortNewsPublisher.java,
	  win-stuff/Tigase.iss: Improved adding post confirmation - it now
	  should return warning in case if message is not correctly
	  formatted

2007-05-29 21:06  kobit

	* src/main/java/tigase/server/AbstractMessageReceiver.java: Added
	  non-blocking method for inserting 'out' packets

2007-05-29 21:05  kobit

	* src/main/java/tigase/server/MessageRouter.java: Protection from
	  infinite loop and self-locking

2007-05-29 21:05  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqStats.java: Removed
	  replacing from address, now it is left as it was originally

2007-05-29 21:04  kobit

	* src/main/java/tigase/stats/StatisticsCollector.java: Changed
	  GETSTATS result generation to just normal result sent directly to
	  requesting entity

2007-05-29 09:29  kobit

	* scripts/tigase.sh: Fixed a problem with the script when it was
	  run on systems where /bin/sh was not a bash shell, now it
	  specifically requests that it must be run under bash, first line
	  modified to: #!/bin/bash

2007-05-29 07:05  kobit

	* src/main/java/tigase/server/sreceiver/ShortNewsPublisher.java:
	  Added response feedback for new short news submition

2007-05-29 06:59  kobit

	* build.properties, pom.xml: Version change to 2.9.2

2007-05-29 06:58  kobit

	* src/main/java/tigase/stats/StatisticsCollector.java: Fixed
	  problem with infinite loop in MessageRouter for this GETSTATS
	  packet

2007-05-28 12:52  kobit

	* src/main/java/tigase/server/MessageRouterConfig.java,
	  win-stuff/Tigase.iss: Fixed default configuration generation for
	  external compoentns

2007-05-28 12:51  kobit

	* database/postgresql-schema.sql: Removed extra comma

2007-05-28 12:51  kobit

	* src/main/java/tigase/db/jdbc/JDBCRepository.java: Corrected the
	  order in which records are removed from database - according to
	  requirements of foreign keys constraints

2007-05-28 10:54  kobit

	* win-stuff/Tigase.iss: Version update to 2.9.1

2007-05-28 10:52  kobit

	* database/mysql-schema.sql,
	  src/main/java/tigase/server/sreceiver/NewTaskCommand.java,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java,
	  src/main/java/tigase/server/sreceiver/TaskCreationPolicy.java,
	  src/main/java/tigase/server/sreceiver/TaskType.java: Added task
	  creation configurable permissions

2007-05-27 19:44  kobit

	* src/main/java/tigase/server/sreceiver/AbstractReceiverTask.java:
	  Moved posting permission checking from processMessage to
	  processPacket

2007-05-27 19:43  kobit

	* src/main/java/tigase/server/sreceiver/RepoRosterTask.java: Added
	  verification if RosterItem is null before trying to remove it
	  from repository

2007-05-27 19:42  kobit

	* src/main/java/tigase/server/sreceiver/NewsDistributor.java:
	  Changed constants from public to private

2007-05-27 19:42  kobit

	* src/main/java/tigase/server/sreceiver/StanzaReceiver.java:
	  Corrected indendation

2007-05-27 19:41  kobit

	* src/main/java/tigase/db/jdbc/DrupalAuth.java: Removed unnecesary
	  local variable rs and finally section

2007-05-27 19:40  kobit

	* src/main/java/tigase/server/sreceiver/ShortNewsPublisher.java:
	  The first version of short news publishing module

2007-05-27 19:39  kobit

	* src/main/php/drupal/modules/short_news.module: The first version
	  of short_news module

2007-05-27 19:39  kobit

	* src/main/php/drupal/modules/tigase.module: Moved license
	  information to proper place

2007-05-27 19:37  kobit

	* build.properties, pom.xml: Version number change to 2.9.1

2007-05-27 19:37  kobit

	* database/mysql-schema.sql, database/postgresql-schema.sql:
	  publishing_date remabed to publishing_time and added news_type
	  field and key

2007-05-26 10:31  kobit

	* src/main/java/tigase/server/Permissions.java,
	  src/main/java/tigase/server/sreceiver/AbstractReceiverTask.java,
	  src/main/java/tigase/server/sreceiver/NewsDistributor.java,
	  src/main/java/tigase/server/sreceiver/ReceiverTaskIfc.java,
	  src/main/java/tigase/server/sreceiver/RepoRosterTask.java,
	  src/main/java/tigase/server/sreceiver/TaskInstanceCommand.java,
	  src/main/java/tigase/server/ssender/DrupalForumTask.java,
	  src/main/java/tigase/server/ssender/StanzaSender.java,
	  src/main/java/tigase/xmpp/XMPPResourceConnection.java,
	  src/main/java/tigase/xmpp/XMPPSession.java,
	  src/main/java/tigase/xmpp/impl/Presence.java: Fixed comments and
	  texts containing JIDUtils instead of JID after JID class
	  refactoring

2007-05-26 10:30  kobit

	* database/mysql-schema.sql, database/postgresql-schema.sql: Added
	  short_news table, comments and licence note

2007-05-25 20:18  bmalkow

	* tigase-server:

2007-05-25 11:36  bmalkow

	* src/main/java/tigase/auth/SaslPLAIN.java,
	  src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/db/UserAuthRepositoryImpl.java,
	  src/main/java/tigase/db/jdbc/DrupalAuth.java,
	  src/main/java/tigase/db/jdbc/LibreSourceAuth.java,
	  src/main/java/tigase/server/AbstractMessageReceiver.java,
	  src/main/java/tigase/server/ConnectionManager.java,
	  src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/server/Permissions.java,
	  src/main/java/tigase/server/sreceiver/AbstractReceiverTask.java,
	  src/main/java/tigase/server/sreceiver/NewTaskCommand.java,
	  src/main/java/tigase/server/sreceiver/NewsDistributor.java,
	  src/main/java/tigase/server/sreceiver/ReceiverTaskIfc.java,
	  src/main/java/tigase/server/sreceiver/RepoRosterTask.java,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java,
	  src/main/java/tigase/server/sreceiver/TaskCommons.java,
	  src/main/java/tigase/server/sreceiver/TaskInstanceCommand.java,
	  src/main/java/tigase/server/ssender/DrupalForumTask.java,
	  src/main/java/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/PacketFilter.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/xmpp/RepositoryAccess.java,
	  src/main/java/tigase/xmpp/XMPPResourceConnection.java,
	  src/main/java/tigase/xmpp/XMPPSession.java,
	  src/main/java/tigase/xmpp/impl/JabberIqAuth.java,
	  src/main/java/tigase/xmpp/impl/JabberIqCommand.java,
	  src/main/java/tigase/xmpp/impl/JabberIqIq.java,
	  src/main/java/tigase/xmpp/impl/JabberIqPrivate.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRegister.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRoster.java,
	  src/main/java/tigase/xmpp/impl/JabberIqStats.java,
	  src/main/java/tigase/xmpp/impl/JabberIqVersion.java,
	  src/main/java/tigase/xmpp/impl/Jingle.java,
	  src/main/java/tigase/xmpp/impl/Message.java,
	  src/main/java/tigase/xmpp/impl/OfflineMessages.java,
	  src/main/java/tigase/xmpp/impl/Presence.java,
	  src/main/java/tigase/xmpp/impl/Roster.java,
	  src/main/java/tigase/xmpp/impl/ServiceDiscovery.java,
	  src/main/java/tigase/xmpp/impl/SimpleForwarder.java,
	  src/main/java/tigase/xmpp/impl/UrnXmppPing.java,
	  src/main/java/tigase/xmpp/impl/VCardTemp.java: refactoring:
	  renaming java.util.JID to tigase.util.JIDUtils

2007-05-25 11:24  kobit

	* etc/tigase-mysql.conf: Added drupal forum tasks

2007-05-25 11:24  kobit

	* win-stuff/Tigase.iss: Version number change

2007-05-24 21:46  kobit

	* src/main/java/tigase/server/ssender/DrupalForumTask.java: Task
	  implementation finished and seems to work fine

2007-05-24 21:45  kobit

	* src/main/java/tigase/server/ssender/StanzaSender.java: Added
	  generator for forum tasks

2007-05-24 21:44  kobit

	* src/main/java/tigase/server/sreceiver/TaskCommons.java: Added
	  more options for creating presence stanza: status, nick name

2007-05-24 21:44  kobit

	* src/main/java/tigase/server/sreceiver/AbstractReceiverTask.java:
	  Replaced sender address with more actions: REPLACE, LEAVE,
	  REMOVE, some tweaking to presence format (added status), added
	  error message sent back if not authorized user tries to post a
	  message

2007-05-24 21:43  kobit

	* src/main/java/tigase/server/sreceiver/StanzaReceiver.java: Added
	  forum tasks for automatic config generation

2007-05-24 21:42  kobit

	* src/main/java/tigase/server/sreceiver/PropertyConstants.java:
	  Replaced sender address with more actions: REPLACE, LEAVE, REMOVE

2007-05-24 06:25  kobit

	* src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Replaced all _ in component names with -

2007-05-24 06:25  kobit

	* src/main/java/tigase/server/ssender/StanzaSender.java: Changed
	  task name from nickname to full JID

2007-05-24 06:25  kobit

	* src/main/java/tigase/server/MessageRouterConfig.java: Replaced
	  all _ in component names with -

2007-05-24 06:24  kobit

	* src/main/java/tigase/server/Packet.java: Added static method:
	  getMessage(...)

2007-05-24 06:24  kobit

	* src/main/java/tigase/server/ssender/StanzaHandler.java: Added new
	  handler method: void handleStanzas(Queue<Packet> results)

2007-05-24 06:23  kobit

	* src/main/java/tigase/server/ssender/DrupalForumTask.java: New
	  task for sending notifications about new posts on drupal forum

2007-05-24 06:22  kobit

	* src/main/java/tigase/db/jdbc/JDBCRepository.java: Corrected
	  javadoc

2007-05-23 12:50  kobit

	* src/main/java/tigase/db/jdbc/JDBCRepository.java: Added some
	  javadoc comments.

2007-05-23 12:49  kobit

	* src/main/java/tigase/db/jdbc/JDBCRepository.java: Added some
	  javadoc comments.

2007-05-23 11:38  kobit

	* src/main/java/tigase/db/jdbc/JDBCRepository.java: removed
	  system.out.println statements

2007-05-23 11:38  kobit

	* src/main/java/tigase/db/jdbc/JDBCRepository.java: removed
	  printStackTrace statement

2007-05-23 11:37  kobit

	* src/main/java/tigase/xmpp/RepositoryAccess.java: Indentation
	  corrected

2007-05-23 11:36  kobit

	* src/main/java/tigase/db/jdbc/JDBCRepository.java: Improved
	  max_uid, max_nid handling to make more suitable for distributed
	  environmane

2007-05-23 11:01  kobit

	* database/mysql-schema.sql: Added missing commas

2007-05-22 22:25  kobit

	* src/main/java/tigase/server/sreceiver/AbstractReceiverTask.java,
	  src/main/java/tigase/server/sreceiver/NewTaskCommand.java,
	  src/main/java/tigase/server/sreceiver/RepoRosterTask.java,
	  src/main/java/tigase/server/sreceiver/RosterItem.java,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java,
	  src/main/java/tigase/server/sreceiver/TaskCommons.java,
	  src/main/java/tigase/server/sreceiver/TaskInstanceCommand.java:
	  Subscribers management commands have been implemented now...

2007-05-22 21:25  kobit

	* src/main/java/tigase/server/sreceiver/TaskCommons.java: Fixed
	  class name and added 2 more methods for presence and message
	  packet creation

2007-05-22 21:23  kobit

	* src/main/java/tigase/server/sreceiver/TaskCommandCommons.java,
	  src/main/java/tigase/server/sreceiver/TaskCommons.java: Renamed
	  as more stuff will be put there

2007-05-22 12:39  kobit

	* src/main/java/tigase/server/Command.java,
	  src/main/java/tigase/server/sreceiver/AbstractReceiverTask.java,
	  src/main/java/tigase/server/sreceiver/ReceiverTaskIfc.java,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java,
	  src/main/java/tigase/server/sreceiver/TaskInstanceCommand.java:
	  Subscription moderation is working now

2007-05-22 12:34  kobit

	* src/main/java/tigase/auth/SaslPLAIN.java: Added some more
	  commends

2007-05-21 23:05  kobit

	* src/main/java/tigase/server/sreceiver/AbstractReceiverTask.java,
	  src/main/java/tigase/server/sreceiver/NewTaskCommand.java,
	  src/main/java/tigase/server/sreceiver/PropertyConstants.java,
	  src/main/java/tigase/server/sreceiver/PropertyItem.java,
	  src/main/java/tigase/server/sreceiver/RepoRosterTask.java,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java,
	  src/main/java/tigase/server/sreceiver/TaskInstanceCommand.java:
	  Task configuration editing command is now completed and working
	  fine

2007-05-21 21:36  kobit

	* etc/tigase-mysql.conf,
	  src/main/java/tigase/server/sreceiver/AbstractReceiverTask.java,
	  src/main/java/tigase/server/sreceiver/NewTaskCommand.java,
	  src/main/java/tigase/server/sreceiver/NewsDistributor.java,
	  src/main/java/tigase/server/sreceiver/PropertyConstants.java,
	  src/main/java/tigase/server/sreceiver/PropertyItem.java,
	  src/main/java/tigase/server/sreceiver/ReceiverTaskIfc.java,
	  src/main/java/tigase/server/sreceiver/RepoRosterTask.java,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java,
	  src/main/java/tigase/server/sreceiver/TaskCommandCommons.java:
	  Task adding, deleting works fine now...

2007-05-21 21:36  kobit

	* database/mysql-schema.sql, database/postgresql-schema.sql: Added
	  foreig key constraints to the schema...

2007-05-21 21:35  kobit

	* src/main/java/tigase/db/jdbc/JDBCRepository.java: Fixed a serious
	  bug with database access when there were many instances of this
	  class trying to save data to database. max_uid, max_nid were out
	  of sync, hopefuly making them static solves the problem

2007-05-21 06:01  kobit

	* src/main/java/tigase/server/sreceiver/AbstractReceiverTask.java,
	  src/main/java/tigase/server/sreceiver/ReceiverTaskIfc.java,
	  src/main/java/tigase/server/sreceiver/RepoRosterTask.java,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java,
	  src/main/java/tigase/server/sreceiver/TaskInstanceCommand.java:
	  Added task deleting functionality

2007-05-21 05:59  kobit

	* src/main/java/tigase/server/sreceiver/NewTaskCommand.java: Added
	  setting owner property to a value of the command sender

2007-05-21 05:58  kobit

	* src/main/java/tigase/disco/ServiceEntity.java: Added removing
	  ServiceEntity node from the tree

2007-05-21 05:56  kobit

	* src/main/java/tigase/server/AbstractMessageReceiver.java:
	  Replaced ArrayList with LinkedList for statistics list

2007-05-21 05:51  kobit

	* src/main/java/tigase/disco/ServiceEntity.java: Added removing
	  ServiceEntity node from the tree

2007-05-19 08:34  kobit

	* etc/tigase-mysql.conf,
	  src/main/java/tigase/server/sreceiver/AbstractReceiverTask.java,
	  src/main/java/tigase/server/sreceiver/DefaultValues.java,
	  src/main/java/tigase/server/sreceiver/NewTaskCommand.java,
	  src/main/java/tigase/server/sreceiver/PropertyConstants.java,
	  src/main/java/tigase/server/sreceiver/PropertyItem.java,
	  src/main/java/tigase/server/sreceiver/ReceiverTaskIfc.java,
	  src/main/java/tigase/server/sreceiver/RepoRosterTask.java,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java,
	  src/main/java/tigase/server/sreceiver/TaskCommandIfc.java,
	  src/main/java/tigase/server/sreceiver/TaskInstanceCommand.java:
	  Command for adding new tasks has been fully implemented, task
	  management command has been started, a lot of minor improvements

2007-05-19 08:32  kobit

	* src/main/java/tigase/conf/Configurator.java: --debug options is
	  aware now of multiple, comma separated packages, add component
	  command removes MessageRouter from the list of available
	  components, method checking validy of nickname has been moved to
	  JID class

2007-05-19 08:30  kobit

	* scripts/tigase.sh: Improved 'run' command to behave similarly as
	  'start'- uses in the same way environment variables in quotes

2007-05-19 08:29  kobit

	* src/main/java/tigase/server/AbstractMessageReceiver.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Moved addOutPackets(...) method to abstract class for convenience

2007-05-19 08:28  kobit

	* src/main/java/tigase/server/Command.java: Added label to command
	  field

2007-05-19 08:27  kobit

	* src/main/java/tigase/stats/StatisticsCollector.java: Added label
	  to command field

2007-05-17 21:27  kobit

	* src/main/java/tigase/conf/Configurator.java: A few fixes for
	  creating new component

2007-05-15 22:35  kobit

	* ant-definitions.xml: Added gentoo startup files to build package

2007-05-15 22:34  kobit

	* src/main/java/tigase/xmpp/impl/UrnXmppPing.java: Removed
	  whitespaces

2007-05-15 22:34  kobit

	* src/main/java/tigase/server/XMPPServer.java: Renamed main
	  component from tigase-xmpp-server to message-router

2007-05-15 22:33  kobit

	* src/main/java/tigase/server/sreceiver/ReceiverTaskIfc.java:
	  Corrected javadoc

2007-05-15 22:33  kobit

	* src/main/java/tigase/xmpp/impl/Jingle.java: Corrected javadoc

2007-05-15 22:33  kobit

	* scripts/gentoo/init.d/tigase: Removed redundant variables
	  settings

2007-05-15 22:13  kobit

	* scripts/gentoo, scripts/gentoo/conf.d,
	  scripts/gentoo/conf.d/tigase, scripts/gentoo/init.d,
	  scripts/gentoo/init.d/tigase, scripts/tigase.sh: Added tigase
	  startup scripts for Gentoo system

2007-05-14 22:36  kobit

	* etc/tigase-mysql.conf,
	  src/main/java/tigase/conf/Configurable.java,
	  src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Adding components at runtime with ad-hoc commands is now
	  completed

2007-05-14 10:06  kobit

	* src/main/java/tigase/conf/Configurable.java,
	  src/main/java/tigase/server/MessageRouterConfig.java: Defined
	  more constants for class names for components

2007-05-14 10:05  kobit

	* src/main/java/tigase/server/sreceiver/StanzaReceiver.java: Added
	  identity for task item service discovery

2007-05-13 12:53  kobit

	* src/main/java/tigase/conf/Configurator.java: Fixed a bug with
	  --admins setting and now component parameters are sorted on the
	  ad-hoc command list

2007-05-12 23:59  kobit

	* src/main/java/tigase/server/sreceiver/AbstractReceiverTask.java,
	  src/main/java/tigase/server/sreceiver/NewsDistributor.java,
	  src/main/java/tigase/server/sreceiver/ReceiverTaskIfc.java,
	  src/main/java/tigase/server/sreceiver/RepoRosterTask.java,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java: Roster
	  and Tasks are now stored in database and all states are
	  persistent

2007-05-12 23:59  kobit

	* src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  Changed 'component' naming to 'plugin' naming which is more
	  appropriate and follows general naming convention in Tigase
	  project

2007-05-12 23:58  kobit

	* src/main/java/tigase/db/RepositoryFactory.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/util/RepositoryUtils.java: Repository
	  instance is now stored separately for each component using it to
	  avoid multithreaded access to JDBC repository

2007-05-12 23:57  kobit

	* src/main/java/tigase/conf/Configurator.java: Added command line
	  options loading for all starting with '--gen-'

2007-05-12 23:55  kobit

	* src/main/java/tigase/conf/Configurable.java: Added more contants
	  commonly used by different components

2007-05-12 09:41  kobit

	* src/main/java/tigase/server/sreceiver/AbstractReceiverTask.java,
	  src/main/java/tigase/server/sreceiver/ReceiverTaskIfc.java,
	  src/main/java/tigase/server/sreceiver/RosterItem.java,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Subscription fully works, permissions for subscription and
	  posting messages work, posting and distributing messages works

2007-05-11 23:25  kobit

	* build.properties, pom.xml: Version change to 2.9.0, this is kind
	  of alpha version with new features under development

2007-05-11 23:23  kobit

	* src/main/java/tigase/server/Packet.java,
	  src/main/java/tigase/server/sreceiver/AbstractReceiverTask.java,
	  src/main/java/tigase/server/sreceiver/NewsDistributor.java,
	  src/main/java/tigase/server/sreceiver/ReceiverTaskIfc.java,
	  src/main/java/tigase/server/sreceiver/RosterItem.java,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java:
	  Subscription via presence wors in both ways now

2007-05-11 18:58  kobit

	* src/main/java/tigase/server/sreceiver/StanzaReceiver.java: Basic
	  stuff related to service discovery for exiting task instances
	  works now

2007-05-11 18:57  kobit

	* src/main/java/tigase/disco/ServiceEntity.java: Added a few dummy
	  javadoc comments, they will be filled with useful stuff later on

2007-05-11 18:57  kobit

	* src/main/java/tigase/disco/XMPPService.java: Defined separate
	  constants for service discovery XMLNSes

2007-05-11 18:20  kobit

	* src/main/java/tigase/server/sreceiver/StanzaReceiver.java:
	  Initial code for service discovery for tasks instances

2007-05-11 08:58  kobit

	* src/main/java/tigase/server/MessageRouterConfig.java,
	  src/main/java/tigase/server/sreceiver/AbstractReceiverTask.java,
	  src/main/java/tigase/server/sreceiver/NewsDistributor.java,
	  src/main/java/tigase/server/sreceiver/ReceiverTaskIfc.java,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java:
	  Initial implementation of receiver tasks

2007-05-10 22:36  kobit

	* src/main/java/tigase/server/sreceiver/ReceiverTaskIfc.java,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java: Almost
	  API definition finished, some initial code for loading
	  configuration is done

2007-05-10 19:05  kobit

	* src/main/java/tigase/conf/Configurable.java,
	  src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/server/AbstractMessageReceiver.java,
	  src/main/java/tigase/server/MessageRouterConfig.java,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java,
	  src/main/java/tigase/server/ssender/StanzaSender.java,
	  src/main/java/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  Added support in config generator for multiple external
	  components --ext-comp_1, --ext-comp_2 and so on...

2007-05-09 09:51  kobit

	* src/main/java/tigase/server/sreceiver/StanzaReceiver.java: Added
	  more configuration options - replace sender address and message
	  type

2007-05-09 09:40  kobit

	* src/main/java/tigase/server/sreceiver,
	  src/main/java/tigase/server/sreceiver/StanzaReceiver.java:
	  Initial version - just javadoc

2007-05-08 23:09  kobit

	* win-stuff, win-stuff/Licence.txt, win-stuff/Tigase.ico,
	  win-stuff/Tigase.iss, win-stuff/scripts,
	  win-stuff/scripts/InstallTigaseService.bat,
	  win-stuff/scripts/Run.bat, win-stuff/scripts/Tigase.bat,
	  win-stuff/scripts/Uninst.bat,
	  win-stuff/scripts/UninstallTigaseService.bat, win-stuff/wrapper,
	  win-stuff/wrapper/wrapper.conf, win-stuff/wrapper/wrapper.dll,
	  win-stuff/wrapper/wrapper.exe: Windows installation packaging
	  files

2007-05-08 11:22  kobit

	* build.properties, pom.xml: Version change to 2.8.7

2007-05-08 11:18  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqRegister.java: Fixed a bug
	  when the pluging didn't add 'from' attribute for authenticated
	  sessions and when the registration request was sent to
	  third-party entity like transport

2007-05-07 21:44  kobit

	* src/main/java/tigase/xmpp/impl/BindResource.java,
	  src/main/java/tigase/xmpp/impl/JabberIqAuth.java,
	  src/main/java/tigase/xmpp/impl/JabberIqIq.java,
	  src/main/java/tigase/xmpp/impl/JabberIqPrivacy.java,
	  src/main/java/tigase/xmpp/impl/JabberIqPrivate.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRoster.java,
	  src/main/java/tigase/xmpp/impl/SaslAuth.java,
	  src/main/java/tigase/xmpp/impl/SessionBind.java,
	  src/main/java/tigase/xmpp/impl/VCardTemp.java: Added missing
	  disco-features, ticket #65: http://server.tigase.org/ticket/65

2007-05-07 14:21  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqRegister.java: Further
	  corrections to the fix for the transport registration

2007-05-07 13:16  kobit

	* build.properties, etc/tigase-mysql.conf, pom.xml,
	  src/main/java/tigase/conf/Configurator.java: Version change to
	  2.8.6

2007-05-07 12:07  kobit

	* src/main/java/tigase/server/Command.java: Fix for a bug for a
	  case when the command contains no node attribute

2007-05-07 12:07  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqRegister.java: Corrections
	  to make it possible to register user in external transport

2007-05-07 12:06  kobit

	* src/main/java/tigase/xmpp/impl/UrnXmppPing.java: Added one extra
	  empty line to make it more readable

2007-05-04 09:38  kobit

	* src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  Corrected broken, not-compilable code

2007-05-04 09:18  kobit

	* build.xml: Added UTF-8 encoding for the build file which is
	  default anyway

2007-05-04 09:18  kobit

	* src/main/java/tigase/xmpp/impl/UrnXmppPing.java: Corrected UTF-8
	  character

2007-05-04 09:17  kobit

	* src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  Added autoCreateUser=true for connection string if Drupal or
	  LibreSource auth is used

2007-05-03 09:37  kobit

	* src/main/php/drupal/modules/tigase.module: Corrected function
	  name

2007-05-03 08:56  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqAuth.java: Corrected
	  indendation for the code

2007-05-03 08:54  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqAuth.java: Corrected
	  indendation for the code

2007-05-02 17:50  kobit

	* build.properties, pom.xml: Version change to 2.8.5

2007-05-02 17:49  kobit

	* src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  Changed default configuration generation - for Drupal and
	  LibreSource jabber:iq:register is not loaded

2007-05-01 16:20  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Fixed fix ;-), corrected condition statement which decided when
	  send remote-server-not-found error

2007-05-01 16:12  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Unknown domain error handling improved for dialback packets

2007-05-01 16:07  kobit

	* src/main/java/tigase/server/Packet.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Fixed a bug in s2s implementation for a remote servers connecting
	  from domain which doesn't exist in DNS. It caused infinite loop

2007-05-01 08:57  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Direct presence bug
	  fixed - #63

2007-04-30 14:49  kobit

	* src/main/java/tigase/auth/SaslPLAIN.java,
	  src/main/java/tigase/db/jdbc/LibreSourceAuth.java: Changed back
	  to use plain plain passwords in LS database

2007-04-30 14:29  kobit

	* src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/disco/XMPPService.java,
	  src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/stats/StatisticsCollector.java: Solved
	  problem with missing features for top level service discovery

2007-04-30 14:29  kobit

	* scripts/tigase.sh: Indentation corrections

2007-04-29 22:43  kobit

	* build.properties, pom.xml: Version number change to 2.8.4

2007-04-29 22:38  kobit

	* pom.xml, src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/server/xmppsession/PacketFilter.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/xmpp/XMPPResourceConnection.java,
	  src/main/java/tigase/xmpp/impl/Presence.java: Fixed a bug with
	  ping to virtual domain and error response to unsupported packets

2007-04-29 21:32  kobit

	* ant-definitions.xml: Added ChangeLog file for binary distribution

2007-04-26 21:57  kobit

	* ant-definitions.xml: Added database schema scripts for
	  distribution packages

2007-04-26 06:21  kobit

	* build.properties, pom.xml: Version change to 2.8.3

2007-04-25 19:02  kobit

	* src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  Added urn:xmpp:ping plugin for standard loaded plugins

2007-04-25 18:32  kobit

	* src/main/java/tigase/server/MessageRouter.java: Fixed a bug when
	  server was dropping unsupported stanzas addressed to the server
	  itself instead of returning feature-not-supported error

2007-04-25 17:12  kobit

	* prj.el, src/main/java/tigase/xmpp/impl/JabberIqPrivate.java:
	  Fixed error message when user tries to access other user private
	  data

2007-04-25 17:12  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Removed some extra debug logs

2007-04-23 06:53  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Fixed problem with connecting to all other than google servers,
	  apparently google is the only one which processes XML names
	  spaces correctly, (and now Tigase server does it correctly too)

2007-04-23 06:13  kobit

	* ant-definitions.xml,
	  src/main/java/tigase/xmpp/impl/UrnXmppPing.java: Attempt to
	  remove warnings related to redundant casting and UTF-8 encoding

2007-04-21 15:11  kobit

	* src/main/php, src/main/php/drupal, src/main/php/drupal/modules,
	  src/main/php/drupal/modules/tigase.module: Drupal module for
	  better integration with Tigase system - adding real online-status
	  for drupal users

2007-04-21 15:10  kobit

	* src/main/java/tigase/server/ssender,
	  src/main/java/tigase/server/ssender/FileTask.java,
	  src/main/java/tigase/server/ssender/JDBCTask.java,
	  src/main/java/tigase/server/ssender/SenderTask.java,
	  src/main/java/tigase/server/ssender/StanzaHandler.java,
	  src/main/java/tigase/server/ssender/StanzaSender.java: Initial
	  version of stanza sender framework - sending stanzas taken from
	  directory or database

2007-04-21 14:52  kobit

	* database/mysql-schema.sql, database/postgresql-schema.sql,
	  etc/tigase-mysql.conf,
	  src/main/java/tigase/server/ConnectionManager.java,
	  src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/server/MessageRouterConfig.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  Added xmpp_stanza table for StanzaSender JDBC task

2007-04-18 07:00  bmalkow

	* src/main/java/tigase/xmpp/impl/UrnXmppPing.java: Update
	  svn:keywords

2007-04-18 06:58  bmalkow

	* src/main/java/tigase/xmpp/impl/UrnXmppPing.java: Add
	  implementation of XEP-0199 (XMPP Ping)

2007-04-16 18:59  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqPrivate.java: Improved
	  error handling and handling the case when user doesn't send any
	  child element in query

2007-04-16 10:03  kobit

	* build.properties, pom.xml: Version change to 2.8.2

2007-04-16 10:03  kobit

	* etc/tigase-mysql.conf,
	  src/main/java/tigase/xmpp/impl/VCardTemp.java: Minor cleanup and
	  refactoring - renamed mehtod parseVCard to parseXML

2007-04-16 10:02  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqPrivate.java: Initial
	  version of private storage implementation

2007-04-16 06:05  kobit

	* build.properties, pom.xml: Version change to 2.8.1

2007-04-16 06:04  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Minor changes related to different namespace and prefixes
	  processing in xmltools

2007-04-15 22:13  kobit

	* build.properties, pom.xml: Version change to 2.8.0

2007-04-15 22:13  kobit

	* src/main/java/tigase/xmpp/XMPPDomBuilderHandler.java: Added
	  better handling for extra namespaces and element prefixes,
	  prefixes should be dripped now and default namespace should be
	  updated for element to correct one

2007-04-15 20:29  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Added problem
	  handling for the case when user sends subscribe to buddy before
	  adding him to his roster using Roster functionality

2007-04-15 19:15  kobit

	* pom.xml: Dependency to 2.6.0 xmltools added

2007-04-13 22:40  kobit

	* src/main/java/tigase/server/xmppsession/PacketFilter.java:
	  Changed log message slightly to avoid confusing for packet which
	  don't have matching plugin and they don't have 'to' attribute
	  set, in such case error message is generated, instead of droping
	  packet

2007-04-13 21:47  kobit

	* src/main/java/tigase/xmpp/impl/VCardTemp.java: Correct support
	  for old vCard protocol

2007-04-13 21:35  kobit

	* build.properties, pom.xml: Version change

2007-04-13 21:35  kobit

	* src/main/java/tigase/disco/XMPPServiceCollector.java,
	  src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/server/Packet.java,
	  src/main/java/tigase/server/xmppsession/PacketFilter.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/xmpp/impl/JabberIqCommand.java,
	  src/main/java/tigase/xmpp/impl/JabberIqIq.java,
	  src/main/java/tigase/xmpp/impl/JabberIqStats.java,
	  src/main/java/tigase/xmpp/impl/JabberIqVersion.java,
	  src/main/java/tigase/xmpp/impl/Jingle.java,
	  src/main/java/tigase/xmpp/impl/OfflineMessages.java,
	  src/main/java/tigase/xmpp/impl/Presence.java,
	  src/main/java/tigase/xmpp/impl/Roster.java,
	  src/main/java/tigase/xmpp/impl/ServiceDiscovery.java,
	  src/main/java/tigase/xmpp/impl/SimpleForwarder.java: Minor
	  modifications related to clone() method change in xmltools which
	  now returns Element to avoid type casting

2007-04-13 21:28  kobit

	* src/main/java/tigase/xmpp/impl/VCardTemp.java: Small change to
	  make it compatible with old vCard spec where element name was all
	  uppercase, clone() method in xmltools has been changed so the
	  class has been changed to reflect it

2007-04-12 13:31  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Added capabilities to presence information for USER_STATUS
	  command

2007-04-10 16:22  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  fixed problem with initial presence for session activated by
	  external component

2007-04-10 14:28  kobit

	* database/postgresql-schema.sql, scripts/repo.sh: Updated user
	  repository access files

2007-04-10 14:27  kobit

	* src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  Fixed a bug where --test configuration was always generated

2007-04-04 21:39  kobit

	* src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/server/MessageRouterConfig.java,
	  src/main/java/tigase/server/xmppclient/ClientConnectionManager.java:
	  Fixed problem with default configuration generation for component
	  names session_1/sess_man

2007-04-04 21:27  kobit

	* build.properties, pom.xml: Version change

2007-04-04 21:26  kobit

	* src/main/java/tigase/server/xmppclient/ClientConnectionManager.java:
	  Fixed bug in generating default configuration, sess_man instead
	  of session_1

2007-04-04 20:05  kobit

	* src/main/java/tigase/conf/Configurator.java: Changed default
	  logging level for console output

2007-04-04 20:00  kobit

	* src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Removed remote_host global class variable

2007-04-04 07:53  kobit

	* pom.xml: Dependecies updated for new xmltools version 2.5.0

2007-04-03 21:08  kobit

	* etc/tigase-mysql.conf,
	  src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Modified default config generation, routing part is generated
	  automatically

2007-04-03 18:42  kobit

	* build.properties, pom.xml: Version number change to 2.7.1

2007-04-03 18:42  kobit

	* src/main/java/tigase/server/AbstractMessageReceiver.java: Moved
	  time constants to parent class

2007-04-03 18:42  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Added config wizard option to automaticly pick-up external
	  component domain

2007-04-03 18:41  kobit

	* src/main/java/tigase/server/ConnectionManager.java: Moved time
	  constants to parent class

2007-04-03 18:40  kobit

	* src/main/java/tigase/server/MessageRouter.java: Uptime statistics
	  added

2007-04-03 18:39  kobit

	* src/main/java/tigase/conf/Configurator.java: Changed default
	  logging levels for normal mode, test and debug

2007-04-02 12:48  kobit

	* prj.el,
	  src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  added test mode to SM so it loads different set of plugins in
	  test mode, this is necessary to avoid interfrence with other
	  functionalities during tests

2007-04-02 12:45  kobit

	* src/main/java/tigase/conf/Configurator.java: Removed depreciated
	  and commented-out code

2007-03-31 21:47  kobit

	* etc/tigase-mysql.conf,
	  src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/server/AbstractMessageReceiver.java,
	  src/main/java/tigase/xmpp/impl/Presence.java: Spelling
	  corrections and default config params slightly changed

2007-03-30 22:50  kobit

	* pom.xml: Version dependencies update

2007-03-30 22:48  kobit

	* src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Added Long/long data types for configuration storage and max
	  waiting time for packet parameter is back in configuration

2007-03-30 22:21  kobit

	* src/main/java/tigase/server/xmppsession/SessionManagerConfig.java,
	  src/main/java/tigase/xmpp/impl/ServiceDiscovery.java: Deprecated
	  ServiceDiscovery class and removed loading disco from default
	  configuration, it is no longer used and needed

2007-03-30 22:15  kobit

	* build.properties, pom.xml,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Temporarly disabled configuration option to set timeout for
	  waiting packets in s2s component

2007-03-30 21:23  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Implemented timeout for packets sent through s2s, if Tigase can
	  not connect to remote server for some specified time it giveup
	  and returns all packages back to sender

2007-03-30 21:21  kobit

	* src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Added 'XEP-0114' string to component name to avoid confusion

2007-03-30 09:12  kobit

	* src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/disco/ServiceEntity.java,
	  src/main/java/tigase/disco/XMPPServiceCollector.java,
	  src/main/java/tigase/server/AbstractMessageReceiver.java,
	  src/main/java/tigase/server/MessageReceiver.java,
	  src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/server/MessageRouterConfig.java,
	  src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/stats/StatisticsCollector.java: Final fixes
	  for service discovery and cluster management framework

2007-03-28 06:18  kobit

	* src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/disco/ServiceEntity.java,
	  src/main/java/tigase/disco/XMPPServiceCollector.java,
	  src/main/java/tigase/server/AbstractMessageReceiver.java,
	  src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/server/MessageRouterConfig.java,
	  src/main/java/tigase/server/Packet.java,
	  src/main/java/tigase/server/ServerComponent.java,
	  src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/stats/StatisticsCollector.java: Changes in
	  service-disco layer to allow return correct info from instances
	  where SM is not available

2007-03-20 23:05  kobit

	* src/main/java/tigase/server/ConnectionManager.java,
	  src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Corrected max reconnects value handling

2007-03-20 22:53  kobit

	* src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Added remote hostname information to service discovery

2007-03-20 22:52  kobit

	* src/main/java/tigase/conf/Configurator.java: Fixed problem with
	  configuration file initialization

2007-03-20 20:50  kobit

	* src/main/java/tigase/db/jdbc/DrupalAuth.java,
	  src/main/java/tigase/db/jdbc/JDBCRepository.java,
	  src/main/java/tigase/db/jdbc/LibreSourceAuth.java: Changed JDBC
	  connection validation query to some more efficient

2007-03-20 20:49  kobit

	* src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Start of service-disco implementation for external component

2007-03-20 00:04  kobit

	* src/main/java/tigase/db/jdbc/LibreSourceAuth.java: Added proper
	  code for add/remove user and update user password

2007-03-19 23:24  kobit

	* src/main/java/tigase/db/UserAuthRepository.java,
	  src/main/java/tigase/db/UserAuthRepositoryImpl.java,
	  src/main/java/tigase/db/jdbc/DrupalAuth.java,
	  src/main/java/tigase/db/jdbc/JDBCRepository.java,
	  src/main/java/tigase/db/jdbc/LibreSourceAuth.java,
	  src/main/java/tigase/db/xml/XMLRepository.java,
	  src/main/java/tigase/server/AbstractMessageReceiver.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Added support for logout() event to database backend so Tigase
	  may now write presence status to database. It allows other
	  systems display online status. Currently it is implemented in
	  LibreSource connector only

2007-03-19 17:21  kobit

	* src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/net/ConnectionOpenThread.java,
	  src/main/java/tigase/server/AbstractMessageReceiver.java,
	  src/main/java/tigase/server/ConnectionManager.java,
	  src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/server/MessageRouterConfig.java,
	  src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Fixes for problems with reconfiguration at runtime, now it is
	  also even possible to switch on/off components, add new
	  components, add/remove TCP/IP port listeners and so on....

2007-03-14 12:06  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Added fix for proper handling malformed dialback requests sent by
	  very old jabber servers

2007-03-13 10:56  kobit

	* src/main/java/tigase/auth/SaslPLAIN.java,
	  src/main/java/tigase/db/jdbc/LibreSourceAuth.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  Implementation of authentication agains LibreSource database is
	  completed - this is simple implementation, just authentication
	  and nothing more

2007-03-13 10:55  kobit

	* src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Started implementation for service-discovery support

2007-03-13 10:54  kobit

	* src/main/java/tigase/server/ConnectionManager.java: Added fix for
	  a bug when service is stopped in accept method

2007-03-12 16:03  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Fixed a problem with connection stopped in accept method, no
	  retry was performed then

2007-03-12 15:55  kobit

	* src/main/java/tigase/server/ConnectionManager.java: Fixed problem
	  when stop is called afer unssuccesful accept call

2007-03-12 15:48  kobit

	* src/main/java/tigase/net/IOService.java: Fixed problem when stop
	  is called afer unssuccesful accept call

2007-03-12 15:41  kobit

	* src/main/java/tigase/server/ConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Added fix for the case when connection is lost before handshaking
	  has started, like exception in accept phase

2007-03-12 12:27  kobit

	* src/main/java/tigase/server/xmppsession/PacketFilter.java: Fixed
	  packet filter delivering packet to proper active resource - now
	  it behaves as described in RFC

2007-03-12 11:56  kobit

	* src/main/java/tigase/server/ConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Commented out code for stop-other service and added proper
	  handling for case when packet write to socket was unsuccessful

2007-03-10 22:50  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Added proper handling for the situation when accept connection is
	  closed before handshaking has been completed

2007-03-10 22:45  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Changed the order in which packets are sent, first all waiting
	  controll ackets, next db:result on connect

2007-03-10 15:53  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Added one more logging messgae to detect whether stopping old
	  connection is really an issue

2007-03-10 15:50  kobit

	* src/main/java/tigase/server/ConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Fixed problem with initializing new connection for remote server
	  when old connection still seems active

2007-03-07 11:28  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Another fix for asynchronous dialback processing

2007-03-07 11:14  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  BIG, BIG bug fixed finally

2007-03-07 09:54  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Even more logging to track down opening extra s2s connections

2007-03-06 22:35  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Fixed bug in processing results from processDialback method,
	  after this method is finished service may be available in either
	  handsahking or established Map

2007-03-06 22:12  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Added more logging for dialback verification results

2007-03-06 21:38  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Implementation for invalid dialback verification

2007-03-06 15:33  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Added diagnostic logs for stream opening - possible multiple
	  stream open calls

2007-03-06 15:08  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Added logging for all dialback handshaking

2007-03-06 14:38  kobit

	* src/main/java/tigase/server/Packet.java,
	  src/main/java/tigase/xmpp/impl/Presence.java,
	  src/main/java/tigase/xmpp/impl/Roster.java: Proper handling of
	  presence error in case of s2s can't send it to destination
	  address (or it should be just ignored)

2007-03-06 13:46  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Added synchronization to service stopped handler

2007-03-05 23:01  kobit

	* src/main/java/tigase/server/ConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Fixed disconnection other dialback connection method and added
	  more logging info

2007-03-05 21:37  kobit

	* src/main/java/tigase/server/ConnectionManager.java: Added logging
	  messages to watchdog

2007-03-05 21:03  kobit

	* src/main/java/tigase/server/ConnectionManager.java: Fixed log
	  message position, put in wrong place by mistake

2007-03-05 20:51  kobit

	* src/main/java/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Added parameter about the maximum iddle time for connection

2007-03-05 20:51  kobit

	* src/main/java/tigase/xmpp/XMPPIOService.java: Added last transfer
	  timestamp information

2007-03-05 20:49  kobit

	* src/main/java/tigase/server/MessageRouter.java: Removed DNS
	  resolving from message router

2007-03-05 20:48  kobit

	* src/main/java/tigase/server/ConnectionManager.java: Added
	  connection watchdog thread

2007-03-05 20:48  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Full support for stream:error, detecting improper hosts in
	  sender/receiver stanza addreses

2007-03-05 10:00  kobit

	* src/main/java/tigase/net/IOService.java,
	  src/main/java/tigase/server/ConnectionManager.java,
	  src/main/java/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/main/java/tigase/xmpp/XMPPIOService.java: A few corrections
	  in IO/NET/SERVICES - check whether service ID is no duplicated

2007-03-02 13:58  kobit

	* src/main/java/tigase/server/ConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  All handshaking connections are now also dumped to log file on
	  request

2007-03-02 12:23  kobit

	* src/main/java/tigase/server/ConnectionManager.java,
	  src/main/java/tigase/xmpp/XMPPIOService.java: Added extra logging
	  to detect s2s problems

2007-03-01 11:10  kobit

	* src/main/java/tigase/server/ConnectionManager.java,
	  src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Fixed a bug in s2s which caused automatic reconnecting s2s
	  connection even if it was not necessary

2007-03-01 04:02  kobit

	* src/main/java/tigase/io/SocketIO.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/xmpp/XMPPIOService.java: Fixed a bug with
	  logging data buffer which is NULL

2007-03-01 00:05  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Added extra log message

2007-02-28 23:54  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Proper handling of stream:error in s2s

2007-02-28 23:39  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Proper error response added if user account does not exist

2007-02-28 23:25  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/xmpp/impl/Presence.java: Proper error
	  response added if user account does not exist

2007-02-28 21:59  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  Fixed code for reconnecting s2s service if the first attempt was
	  unsuccessful

2007-02-28 21:27  kobit

	* src/main/java/tigase/net/IOService.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/main/java/tigase/xmpp/XMPPIOService.java: Some fixes to s2s
	  implementation - retrying to connect if first try was
	  unsuccessfull and fixed a bug in IOService in stop() method -
	  handler is called in finally clausule

2007-02-28 13:31  kobit

	* src/main/java/tigase/server/xmppserver/ServerConnectionManager.java:
	  List of connected servers is now sorted to make it easier to find
	  particular connection

2007-02-28 13:11  kobit

	* src/main/java/tigase/server/Command.java,
	  src/main/java/tigase/server/ConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/main/java/tigase/stats/StatRecord.java,
	  src/main/java/tigase/stats/StatisticType.java,
	  src/main/java/tigase/stats/StatisticsCollector.java: More
	  statistics about network connections and packet waiting in s2s
	  queues

2007-02-27 23:04  kobit

	* src/main/java/tigase/xmpp/impl/JabberIqIq.java: Just for fun

2007-02-22 23:04  kobit

	* etc/tigase-mysql.conf,
	  src/main/java/tigase/xmpp/impl/Presence.java: Solved initial
	  presence broadcating problem for many resources connected

2007-02-22 00:07  kobit

	* src/main/java/tigase/xmpp/impl/Jingle.java: Added session element

2007-02-21 23:33  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/xmpp/impl/Jingle.java: Support for jingle in
	  Yate added

2007-02-21 22:08  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java:
	  USER_STATUS - presence status fixed

2007-02-21 22:00  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/stats/StatisticType.java: USER_STATUS
	  processing command moved to different place

2007-02-15 06:52  kobit

	* build.properties, pom.xml: Version change to 2.6.4

2007-02-15 06:51  kobit

	* src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/disco/XMPPService.java,
	  src/main/java/tigase/server/AbstractMessageReceiver.java,
	  src/main/java/tigase/server/Command.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/stats/StatRecord.java,
	  src/main/java/tigase/stats/StatisticsCollector.java: Improved
	  ad-hoc commands for configuration settings and statistics
	  retrieval

2007-02-14 10:37  kobit

	* build.properties, pom.xml: Version number change

2007-02-14 09:44  kobit

	* src/main/java/tigase/net/IOService.java,
	  src/main/java/tigase/xmpp/XMPPIOService.java: Fixed a bug with
	  UTF-8 encoder/decoder for network data

2007-02-13 23:50  kobit

	* build.properties, pom.xml,
	  src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/disco/XMPPServiceCollector.java,
	  src/main/java/tigase/net/IOService.java,
	  src/main/java/tigase/server/AbstractComponentRegistrator.java,
	  src/main/java/tigase/server/Command.java,
	  src/main/java/tigase/stats/StatisticsCollector.java,
	  src/main/java/tigase/xmpp/impl/OfflineMessages.java,
	  src/main/java/tigase/xmpp/impl/Presence.java: Reconfiguration at
	  run-time ready - not well tested yet

2007-02-12 14:25  kobit

	* src/main/java/tigase/server/xmppsession/PacketFilter.java:
	  Corrected handling stanzas: <iq type='result'/>

2007-02-12 14:03  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Presence update to
	  other user accounts corrected - attributes from/to where set
	  incorrectly

2007-02-12 12:04  kobit

	* src/main/java/tigase/xmpp/XMPPSession.java,
	  src/main/java/tigase/xmpp/impl/Presence.java: Resource priority
	  is now set correctly and message to account with multiple active
	  resources is handled properly

2007-02-11 20:58  kobit

	* build.properties, pom.xml,
	  src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/disco,
	  src/main/java/tigase/disco/ServiceEntity.java,
	  src/main/java/tigase/disco/ServiceIdentity.java,
	  src/main/java/tigase/disco/XMPPService.java,
	  src/main/java/tigase/disco/XMPPServiceCollector.java,
	  src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/server/MessageRouterConfig.java,
	  src/main/java/tigase/server/ServiceEntity.java,
	  src/main/java/tigase/server/ServiceIdentity.java,
	  src/main/java/tigase/server/XMPPService.java,
	  src/main/java/tigase/server/XMPPServiceCollector.java,
	  src/main/java/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/main/java/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/main/java/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/stats/StatisticsCollector.java,
	  src/main/java/tigase/xmpp/impl/ServiceDiscovery.java: Service
	  discovery API changed and small refactoring to move all disco
	  related classes to separate package

2007-02-11 20:53  kobit

	* src/main/java/tigase/xmpp/impl/VCardTemp.java: Fixed a bug
	  related to strange stanza when user session is null....

2007-02-11 14:06  kobit

	* src/main/java/tigase/conf/Configurable.java,
	  src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/server/AbstractComponentRegistrator.java,
	  src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/server/ServiceEntity.java,
	  src/main/java/tigase/server/ServiceIdentity.java,
	  src/main/java/tigase/server/XMPPServer.java,
	  src/main/java/tigase/server/XMPPService.java,
	  src/main/java/tigase/server/XMPPServiceCollector.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/stats/StatisticsCollector.java,
	  src/main/java/tigase/stats/StatisticsContainer.java: New service
	  discovert API

2007-02-08 11:30  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Fixed problem with
	  initial presence after subscription, server used to send presnece
	  without resource part, Thank to Daniele for the fix

2007-02-07 23:34  kobit

	* src/main/java/tigase/io/TLSEventHandler.java,
	  src/main/java/tigase/io/TLSIO.java,
	  src/main/java/tigase/io/TLSWrapper.java,
	  src/main/java/tigase/io/TelnetClient.java,
	  src/main/java/tigase/io/TelnetServer.java,
	  src/main/java/tigase/net/IOService.java,
	  src/main/java/tigase/xmpp/XMPPIOService.java: Fixed socket write
	  method for TLS connection, bug causing possible data loss for
	  large buffers, Gajim still inserts line-breaks in the middle of
	  large buffer, somewhere near 16k data block

2007-02-04 22:43  kobit

	* src/main/java/tigase/server/xmppsession/SessionManagerConfig.java,
	  src/main/java/tigase/xmpp/impl/JabberIqSi.java: More components
	  depreciated due to PacketFilter use

2007-02-04 18:19  bmalkow

	* pom.xml: add maven release plugin configuration

2007-02-03 17:15  kobit

	* src/main/java/tigase/server/XMPPServer.java,
	  src/main/java/tigase/server/XMPPServiceCollector.java: Added
	  server version information to service discovery

2007-02-03 09:25  kobit

	* build.properties, pom.xml: Version change

2007-02-03 09:23  kobit

	* src/main/java/tigase/server/xmppsession/SessionManager.java: Fix
	  for the bug introduced by PacketFilter caused to ignore privacy
	  lists

2007-02-02 16:20  kobit

	* src/main/java/tigase/server/xmppsession/PacketFilter.java: Fixed
	  a problem with NullPointerException when there is no 'from'
	  attribute in PacketFilter

2007-02-02 16:10  kobit

	* build.xml,
	  src/main/java/tigase/server/xmppsession/PacketFilter.java: Fixed
	  a problem with NullPointerException when there is no 'to'
	  attribute in PacketFilter

2007-02-02 15:47  kobit

	* src/main/java/tigase/server/xmppsession/PacketFilter.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerConfig.java,
	  src/main/java/tigase/xmpp/impl/IBB.java,
	  src/main/java/tigase/xmpp/impl/JabberIqOOB.java,
	  src/main/java/tigase/xmpp/impl/JabberIqSocks5Bytestreams.java,
	  src/main/java/tigase/xmpp/impl/Message.java: Introduced
	  PacketFilter in place of SimpleForwarder

2007-02-02 11:33  kobit

	* .classpath, .project, .settings: Removed eclipse configuration
	  files to avoid overwriting other developers eclipse settings

2007-02-02 11:09  kobit

	* src/main/java/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java:
	  Fixed problem with incorrectly sent stream features

2007-01-28 17:28  kobit

	* etc/tigase-mysql.conf, etc/tigase-pgsql.conf: sample
	  configuration file improved - added sample db connection uri

2007-01-28 17:02  kobit

	* src/main/assembly/prodenv.xml: Removed some scripts not needed by
	  the user

2007-01-28 16:02  bmalkow

	* pom.xml: fix error in dependency

2007-01-28 15:54  kobit

	* etc, etc/tigase-mysql.conf, etc/tigase-pgsql.conf,
	  etc/tigase.conf, scripts/tigase.sh,
	  src/main/assembly/prodenv.xml: Configuration changed to better
	  integrate with maven

2007-01-28 12:32  bmalkow

	* pom.xml: add version in package filename

2007-01-28 12:17  bmalkow

	* pom.xml: add 'optional' attribute in dependency

2007-01-28 12:04  bmalkow

	* pom.xml, src/main/assembly, src/main/assembly/prodenv.xml: add
	  simple assembly goal config

2007-01-27 08:28  kobit

	* src/main/java/tigase/db/jdbc/JDBCRepository.java: Removed some
	  cache calls - calls for specific data items where cache was not
	  working correctly

2007-01-26 22:22  kobit

	* database/mysql-schema.sql, database/postgresql-schema.sql,
	  src/main/java/tigase/server/xmppsession/SessionManagerConfig.java:
	  Fixed problem with default auth-db-url if set only user-db-url

2007-01-26 21:07  kobit

	* src/main/java/tigase/db/jdbc/JDBCRepository.java: Changed cache
	  size back to 10000

2007-01-26 16:29  kobit

	* src/main/java/tigase/db/jdbc/JDBCRepository.java: Increased cache
	  size

2007-01-26 11:57  kobit

	* src/main/java/tigase/server/ConnectionManager.java: Allow
	  component reconnection for about 1000h and then giveup

2007-01-26 08:44  kobit

	* src/main/java/tigase/server/Permissions.java,
	  src/main/java/tigase/server/xmppsession/Permissions.java: Moved
	  to right location

2007-01-25 23:18  kobit

	* build.properties, pom.xml, prj.el,
	  src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/io/TLSWrapper.java,
	  src/main/java/tigase/server/Command.java,
	  src/main/java/tigase/server/MessageRouter.java,
	  src/main/java/tigase/server/Packet.java,
	  src/main/java/tigase/server/XMPPService.java,
	  src/main/java/tigase/server/XMPPServiceCollector.java,
	  src/main/java/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/main/java/tigase/server/xmppsession/Permissions.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/server/xmppsession/SessionManagerConfig.java,
	  src/main/java/tigase/stats/StatisticsCollector.java,
	  src/main/java/tigase/xmpp/XMPPImplIfc.java,
	  src/main/java/tigase/xmpp/XMPPProcessor.java,
	  src/main/java/tigase/xmpp/impl/JabberIqAuth.java,
	  src/main/java/tigase/xmpp/impl/JabberIqCommand.java,
	  src/main/java/tigase/xmpp/impl/JabberIqRegister.java,
	  src/main/java/tigase/xmpp/impl/JabberIqSi.java,
	  src/main/java/tigase/xmpp/impl/JabberIqStats.java,
	  src/main/java/tigase/xmpp/impl/JabberIqVersion.java,
	  src/main/java/tigase/xmpp/impl/OfflineMessages.java,
	  src/main/java/tigase/xmpp/impl/ServiceDiscovery.java,
	  src/main/java/tigase/xmpp/impl/StartTLS.java: ad-hoc commands,
	  service discovery, Yate integration first step

2007-01-25 21:05  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: incoming direct
	  availability presence now allowed even if remote entity is not in
	  roster - required for MUC

2007-01-25 14:56  kobit

	* src/main/java/tigase/xmpp/impl/Presence.java: Sending direct
	  presence bug fixed now

2007-01-24 09:27  bmalkow

	* .classpath, pom.xml: fix errors in maven configuration

2007-01-20 19:35  bmalkow

	* pom.xml: add deploy information to maven config

2007-01-20 18:46  kobit

	* src/main/java/tigase/io/TLSWrapper.java: Indentation corrected

2007-01-20 18:38  kobit

	* src/main/java/tigase/io/TLSWrapper.java: Indentation corrected

2007-01-20 18:12  kobit

	* build.properties, build.xml,
	  src/main/java/tigase/conf/Configurator.java,
	  src/main/java/tigase/io/TLSWrapper.java,
	  src/main/java/tigase/server/XMPPService.java,
	  src/main/java/tigase/server/XMPPServiceCollector.java,
	  src/main/java/tigase/server/xmppsession/SessionManager.java,
	  src/main/java/tigase/xmpp/impl/ServiceDiscovery.java: service
	  discovery-items and ad-hoc command for configuration in progress

2007-01-20 17:59  bmalkow

	* ., .classpath, .project, .settings,
	  .settings/org.eclipse.jdt.core.prefs,
	  .settings/org.eclipse.jdt.ui.prefs, pom.xml, src/main,
	  src/main/java, src/main/java/tigase, src/test, src/test/java,
	  src/tigase: convert to maven2 nature

2007-01-19 17:37  kobit

	* src/tigase/server/Command.java, src/tigase/server/Packet.java:
	  Modified command so now command id is in node attribute instead
	  of action

2007-01-19 10:28  kobit

	* scripts/tigase.sh, src/tigase/conf/Configurable.java,
	  src/tigase/conf/Configurator.java,
	  src/tigase/net/ConnectionOpenThread.java,
	  src/tigase/server/AbstractMessageReceiver.java,
	  src/tigase/server/ConnectionManager.java,
	  src/tigase/server/MessageRouter.java,
	  src/tigase/server/MessageRouterConfig.java,
	  src/tigase/server/XMPPServer.java,
	  src/tigase/server/XMPPService.java,
	  src/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/server/xmppsession/SessionManagerConfig.java: Number
	  of changes, but the most important related do confifuration
	  generation

2007-01-17 00:55  kobit

	* src/tigase/server/Command.java,
	  src/tigase/server/ConnectionManager.java,
	  src/tigase/server/Packet.java,
	  src/tigase/server/XMPPServiceCollector.java,
	  src/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/stats/StatisticsCollector.java,
	  src/tigase/xmpp/StanzaType.java,
	  src/tigase/xmpp/impl/JabberIqStats.java,
	  src/tigase/xmpp/impl/ServiceDiscovery.java,
	  src/tigase/xmpp/impl/StartTLS.java: Switched to ad-hoc command
	  for communication between components and implemented USER_STATUS
	  command. Update from xmltools is requiredsvn status

2007-01-15 17:26  kobit

	* src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/stats/StatRecord.java: Added repository information to
	  statuses

2007-01-15 17:10  kobit

	* src/tigase/db/UserAuthRepository.java,
	  src/tigase/db/UserAuthRepositoryImpl.java,
	  src/tigase/db/UserRepository.java,
	  src/tigase/db/jdbc/DrupalAuth.java,
	  src/tigase/db/jdbc/JDBCRepository.java,
	  src/tigase/db/xml/XMLRepository.java: Added methods to retrieve
	  repository URI

2007-01-14 02:25  kobit

	* src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/server/xmppsession/SessionManagerConfig.java,
	  src/tigase/stats/StatisticsCollector.java,
	  src/tigase/xmpp/impl/JabberIqStats.java: Changed stats
	  implementation to conform XEP-39

2007-01-13 22:12  kobit

	* prj.el, src/tigase/net/ConnectionOpenThread.java,
	  src/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/tigase/server/xmppsession/SessionManagerConfig.java,
	  src/tigase/xmpp/impl/IBB.java,
	  src/tigase/xmpp/impl/JabberIqOOB.java,
	  src/tigase/xmpp/impl/JabberIqRoster.java,
	  src/tigase/xmpp/impl/JabberIqSi.java,
	  src/tigase/xmpp/impl/JabberIqSocks5Bytestreams.java,
	  src/tigase/xmpp/impl/JabberIqVersion.java,
	  src/tigase/xmpp/impl/Message.java,
	  src/tigase/xmpp/impl/SimpleForwarder.java: File transfer protocol
	  implemented

2007-01-12 17:16  kobit

	* src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/xmpp/impl/JabberIqRoster.java: Fixed bug with
	  processing incorrect Roster stanza

2007-01-11 22:44  kobit

	* src/tigase/server/ConnectionManager.java: Added more detailed
	  loggin info

2007-01-11 22:41  kobit

	* scripts/tigase.sh, src/tigase/server/ConnectionManager.java:
	  Added more detailed loggin info

2007-01-09 06:16  kobit

	* src/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Removed packing stanza into routed packet - not needed anymore??

2007-01-08 23:40  kobit

	* database/postgresql-schema.sql: Postgresql DB schema

2007-01-07 23:08  kobit

	* ant-definitions.xml, build.xml, manifest.temp: Build scripts
	  slightly changed to not force user to have svn tools installed
	  separately

2006-12-18 16:38  kobit

	* scripts/config.sh, scripts/repo.sh,
	  src/tigase/db/UserAuthRepositoryImpl.java,
	  src/tigase/xmpp/XMPPDomBuilderHandler.java: Corrected support for
	  IDN domain names

2006-12-18 10:29  kobit

	* src/tigase/db/jdbc/JDBCRepository.java: Set autocommit to true
	  for JDBC connection

2006-12-17 23:42  kobit

	* src/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Component protocol (JEP-114) implemented - untested

2006-12-17 23:05  kobit

	* src/tigase/server/XMPPServer.java,
	  src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/xmpp/impl/Privacy.java: Privacy lists management a few
	  bugs fixed

2006-12-17 15:31  kobit

	* src/tigase/db/UserAuthRepositoryImpl.java,
	  src/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Fixed nullpointer exception bug in authorizatin module

2006-12-17 15:21  kobit

	* src/tigase/server/xmppserver/ServerConnectionManager.java: Fixed
	  problem with command processing - temporarly, no command are
	  processed by this component for now

2006-12-15 12:44  kobit

	* src/tigase/auth/LoginHandler.java,
	  src/tigase/auth/ResourceConnectionCallback.java,
	  src/tigase/auth/SaslPLAIN.java,
	  src/tigase/auth/TigaseSaslProvider.java,
	  src/tigase/auth/TigaseSaslServerFactory.java,
	  src/tigase/db/AuthorizationException.java,
	  src/tigase/db/DBInitException.java,
	  src/tigase/db/NonAuthUserRepository.java,
	  src/tigase/db/RepositoryFactory.java,
	  src/tigase/db/TigaseDBException.java,
	  src/tigase/db/UserAuthRepository.java,
	  src/tigase/db/UserAuthRepositoryImpl.java,
	  src/tigase/db/jdbc/DrupalAuth.java,
	  src/tigase/db/jdbc/JDBCRepository.java,
	  src/tigase/io/BufferUnderflowException.java,
	  src/tigase/io/IOInterface.java,
	  src/tigase/io/SSLContextContainer.java,
	  src/tigase/io/SampleSocketThread.java,
	  src/tigase/io/SocketIO.java, src/tigase/io/TLSIO.java,
	  src/tigase/io/TLSStatus.java, src/tigase/io/TLSUtil.java,
	  src/tigase/io/TLSWrapper.java, src/tigase/io/TelnetClient.java,
	  src/tigase/io/TelnetServer.java, src/tigase/net/Accept.java,
	  src/tigase/net/ConnectionOpenListener.java,
	  src/tigase/net/ConnectionOpenThread.java,
	  src/tigase/net/ConnectionType.java,
	  src/tigase/net/IOServiceListener.java,
	  src/tigase/net/SocketReadThread.java,
	  src/tigase/net/SocketType.java,
	  src/tigase/server/AbstractComponentRegistrator.java,
	  src/tigase/server/AbstractMessageReceiver.java,
	  src/tigase/server/Command.java,
	  src/tigase/server/ConnectionManager.java,
	  src/tigase/server/MessageRouterConfig.java,
	  src/tigase/server/XMPPServer.java,
	  src/tigase/server/xmppsession/SessionManagerConfig.java,
	  src/tigase/stats/StatRecord.java,
	  src/tigase/stats/StatisticType.java,
	  src/tigase/util/ElementUtils.java,
	  src/tigase/util/LogFormatter.java,
	  src/tigase/util/RepositoryUtils.java,
	  src/tigase/util/RoutingsContainer.java,
	  src/tigase/xmpp/RepositoryAccess.java,
	  src/tigase/xmpp/StanzaType.java,
	  src/tigase/xmpp/XMPPIOService.java,
	  src/tigase/xmpp/XMPPIOServiceListener.java,
	  src/tigase/xmpp/XMPPImplIfc.java,
	  src/tigase/xmpp/XMPPPostprocessorIfc.java,
	  src/tigase/xmpp/XMPPPreprocessorIfc.java,
	  src/tigase/xmpp/XMPPProcessorIfc.java,
	  src/tigase/xmpp/XMPPResourceConnection.java,
	  src/tigase/xmpp/XMPPSession.java,
	  src/tigase/xmpp/XMPPStopListenerIfc.java,
	  src/tigase/xmpp/impl/BindResource.java,
	  src/tigase/xmpp/impl/JabberIqAuth.java,
	  src/tigase/xmpp/impl/JabberIqPrivacy.java,
	  src/tigase/xmpp/impl/JabberIqRegister.java,
	  src/tigase/xmpp/impl/JabberIqRoster.java,
	  src/tigase/xmpp/impl/JabberIqStats.java,
	  src/tigase/xmpp/impl/JabberIqVersion.java,
	  src/tigase/xmpp/impl/Message.java,
	  src/tigase/xmpp/impl/OfflineMessages.java,
	  src/tigase/xmpp/impl/Presence.java,
	  src/tigase/xmpp/impl/Privacy.java,
	  src/tigase/xmpp/impl/Roster.java,
	  src/tigase/xmpp/impl/SaslAuth.java,
	  src/tigase/xmpp/impl/ServiceDiscovery.java,
	  src/tigase/xmpp/impl/SessionBind.java,
	  src/tigase/xmpp/impl/StartTLS.java,
	  src/tigase/xmpp/impl/VCardTemp.java: e-mail address corrected

2006-12-15 12:38  kobit

	* prj.el:

2006-12-15 12:18  kobit

	* prj.el, src/tigase/db/UserAuthRepositoryImpl.java,
	  src/tigase/db/jdbc/DrupalAuth.java,
	  src/tigase/io/SSLContextContainer.java: Now uses own Tigase
	  implementation of Base64

2006-12-14 15:49  kobit

	* src/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Some fixes in implementation, work not finished yet but it
	  compiles

2006-12-14 15:49  kobit

	* src/tigase/auth/TigaseSaslServerFactory.java,
	  src/tigase/db/jdbc/JDBCRepository.java: Corrections related to
	  JDK-1.6 version change

2006-12-14 15:32  kobit

	* build.properties: Version number change to 2.3.4

2006-12-14 15:32  kobit

	* src/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  XEP-114 coponent protocol implementation in progress

2006-12-14 15:31  kobit

	* src/tigase/xmpp/impl/JabberIqPrivacy.java,
	  src/tigase/xmpp/impl/Privacy.java: Active/default list is kept in
	  user session data to improve performance

2006-12-14 15:30  kobit

	* src/tigase/db/jdbc/JDBCRepository.java: Increased cache size to
	  10k elements, cache.remove() has been improved so now
	  cache.clear() is replaced with cache.remove(user_id)

2006-12-13 23:29  kobit

	* src/tigase/io/SSLContextContainer.java: Now adding all ICA
	  certificates for each domain keystore

2006-12-13 12:52  kobit

	* certs/rsa-keystore: Dummy certificate

2006-12-13 12:50  kobit

	* src/tigase/xmpp/impl/JabberIqPrivacy.java,
	  src/tigase/xmpp/impl/Privacy.java: Fixed a few minor bugs in
	  privacy lists management

2006-12-13 12:50  kobit

	* src/tigase/io/SSLContextContainer.java: Fixed problem with loadin
	  certain types of certificates

2006-12-10 19:22  kobit

	* src/tigase/server/xmppserver/ServerConnectionManager.java: vHosts
	  bug in s2s fixed now

2006-12-10 15:49  kobit

	* build.properties,
	  src/tigase/server/xmppserver/ServerConnectionManager.java: vHosts
	  for s2s bug fixed

2006-12-05 19:17  kobit

	* build.xml: Fixed build numbering problem

2006-12-05 19:17  kobit

	* src/tigase/xmpp/impl/Presence.java: Fixed problem with sending
	  initial presence from all active resources

2006-12-04 23:52  kobit

	* certs/rsa-keystore, src/tigase/io/SSLContextContainer.java,
	  src/tigase/io/TLSUtil.java, src/tigase/io/TelnetClient.java,
	  src/tigase/io/TelnetServer.java,
	  src/tigase/server/ConnectionManager.java: Default certificate now
	  implemented, SSL uses default and TLS uses default if certificate
	  for selected domain does not exist

2006-12-03 21:55  kobit

	* certs/rsa-keystore, src/tigase/io/SSLContextContainer.java,
	  src/tigase/io/TLSUtil.java, src/tigase/io/TelnetClient.java,
	  src/tigase/io/TelnetServer.java, src/tigase/net/IOService.java,
	  src/tigase/server/xmppclient/ClientConnectionManager.java:
	  Implemented support for vHosts certificates

2006-11-29 23:31  kobit

	* build.properties: Version change to 2.3.2

2006-11-29 23:31  kobit

	* src/tigase/db/jdbc/JDBCRepository.java: Removed all
	  synchronization code from the implementation as the class is
	  intended to use in single thread

2006-11-29 15:45  kobit

	* build.properties: Version change

2006-11-29 15:05  kobit

	* src/tigase/server/AbstractMessageReceiver.java: Fixed dead lock
	  problem on multi-cpu machines - replaced single thread/queue with
	  2 queues and a thread for each

2006-11-29 15:04  kobit

	* src/tigase/server/ConnectionManager.java: Changed loging level
	  for case when service for packet can not be found

2006-11-29 15:03  kobit

	* src/tigase/server/xmppsession/SessionManager.java: Changed loging
	  level for case when session can not be found

2006-11-29 15:03  kobit

	* src/tigase/server/xmppclient/ClientConnectionManager.java:
	  Removed commented import statement

2006-11-29 15:02  kobit

	* src/tigase/db/jdbc/JDBCRepository.java: Added synchronization
	  code around checking connection code

2006-11-29 15:02  kobit

	* src/tigase/conf/Configurator.java: Added some more test code to
	  change logging level after some timeout to diagnoze lockup
	  problem

2006-11-29 15:01  kobit

	* src/tigase/xmpp/RepositoryAccess.java: Changed loggin level from
	  warning to finest for usernotfound exception

2006-11-27 21:39  kobit

	* src/tigase/db/jdbc/JDBCRepository.java: Wrapped cache object in
	  synchronized Map

2006-11-27 14:38  kobit

	* src/tigase/util/SimpleCache.java: Moved to tigase-util subproject

2006-11-26 23:42  kobit

	* build.properties: Version change

2006-11-26 23:02  kobit

	* ant-definitions.xml, build.xml: Modied build system to
	  automatically create MANIFEST file

2006-11-26 22:43  kobit

	* MANIFEST.MF: Removed file which is automatically generated for
	  each JAR file

2006-11-26 22:43  kobit

	* MANIFEST.MF: Version change

2006-11-26 22:42  kobit

	* MANIFEST.MF, ant-definitions.xml, build.xml, package.html,
	  scripts/tigase.sh, src/tigase/db/jdbc/DrupalAuth.java: Added
	  timestamp for login and last access in Drupal database

2006-11-26 22:41  kobit

	* src/tigase/db/jdbc/JDBCRepository.java,
	  src/tigase/util/SimpleCache.java: Added simple caching for JDBC
	  connector

2006-11-25 08:50  kobit

	* MANIFEST.MF, ant-definitions.xml: Modified building function to
	  include new startup script

2006-11-20 00:16  kobit

	* MANIFEST.MF, src/tigase/server/xmppsession/SessionManager.java:
	  Fixed a bug with improperly handling disconnection in case of
	  user unregistration

2006-11-18 19:30  kobit

	* MANIFEST.MF, src/tigase/db/UserAuthRepository.java,
	  src/tigase/db/UserAuthRepositoryImpl.java,
	  src/tigase/db/jdbc/DrupalAuth.java,
	  src/tigase/db/jdbc/JDBCRepository.java,
	  src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/xmpp/RepositoryAccess.java,
	  src/tigase/xmpp/impl/JabberIqAuth.java,
	  src/tigase/xmpp/impl/SaslAuth.java: Implemented fix for long
	  lasting and idle jdbc connection disconnection from server side

2006-11-18 16:57  kobit

	* src/tigase/xmpp/impl/SaslAuth.java: Ticket #35:
	  http://server.tigase.org/ticket/35, removed printing tacktrace
	  into standatd output

2006-11-16 12:50  kobit

	* MANIFEST.MF, src/tigase/conf/Configurator.java,
	  src/tigase/db/RepositoryFactory.java,
	  src/tigase/db/jdbc/DrupalAuth.java,
	  src/tigase/server/MessageRouter.java,
	  src/tigase/server/Packet.java,
	  src/tigase/util/RepositoryUtils.java: Fixed many small bugs found
	  during migration to Drupal

2006-11-16 12:50  kobit

	* src/tigase/auth/SaslPLAIN.java: fixed the problem with the case
	  when client doesn't send authorization ID

2006-11-14 22:32  kobit

	* MANIFEST.MF, scripts/tigase.sh: Statrup script added

2006-11-13 23:02  kobit

	* MANIFEST.MF, src/tigase/util/RepositoryUtils.java: Added more
	  options and repository tests

2006-11-13 23:02  kobit

	* src/tigase/db/xml/XMLRepository.java: JavaDoc fix

2006-11-13 23:02  kobit

	* src/tigase/db/RepositoryFactory.java: Fixed problem with multiple
	  repository initialization for the same resource

2006-11-13 21:01  kobit

	* src/tigase/db/xml/XMLRepository.java: Fixed the problem with
	  repository initialization on fresh installation where XML user
	  repo does not exist

2006-11-12 19:25  kobit

	* MANIFEST.MF, src/tigase/util/RepositoryUtils.java: Added support
	  for UserAuthRepository

2006-11-12 19:25  kobit

	* src/tigase/db/jdbc/DrupalAuth.java: addUser() implementation
	  added and checking for user status in drupal database

2006-11-12 13:46  kobit

	* MANIFEST.MF, src/tigase/auth/SaslPLAIN.java,
	  src/tigase/db/UserAuthRepository.java,
	  src/tigase/db/UserAuthRepositoryImpl.java,
	  src/tigase/db/jdbc/DrupalAuth.java,
	  src/tigase/db/jdbc/JDBCRepository.java,
	  src/tigase/db/xml/XMLRepository.java,
	  src/tigase/io/SSLContextContainer.java,
	  src/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/tigase/xmpp/RepositoryAccess.java,
	  src/tigase/xmpp/XMPPResourceConnection.java,
	  src/tigase/xmpp/impl/JabberIqAuth.java,
	  src/tigase/xmpp/impl/SaslAuth.java: Authorization framework is
	  finished and polished, drupal authentication is implemented and
	  workssvn add src/tigase/db/UserAuthRepositoryImpl.java
	  src/tigase/db/jdbc/DrupalAuth.java

2006-11-11 20:28  kobit

	* MANIFEST.MF, certs/rsa-keystore, scripts/repo.sh,
	  src/tigase/auth/SaslPLAIN.java,
	  src/tigase/auth/TigaseSaslProvider.java,
	  src/tigase/auth/TigaseSaslServerFactory.java,
	  src/tigase/db/AuthorizationException.java,
	  src/tigase/db/UserAuthRepository.java,
	  src/tigase/db/jdbc/JDBCRepository.java,
	  src/tigase/db/xml/XMLRepository.java,
	  src/tigase/xmpp/RepositoryAccess.java,
	  src/tigase/xmpp/XMPPResourceConnection.java,
	  src/tigase/xmpp/impl/JabberIqAuth.java,
	  src/tigase/xmpp/impl/SaslAuth.java: Authorization framework
	  rewriten again, it works but not well tested

2006-11-06 23:58  kobit

	* MANIFEST.MF, src/tigase/auth/CommitHandler.java,
	  src/tigase/auth/DigestAuth.java,
	  src/tigase/auth/LoginHandler.java,
	  src/tigase/auth/PlainAuth.java,
	  src/tigase/auth/SaslCallbackHandler.java,
	  src/tigase/auth/SaslPLAIN.java,
	  src/tigase/auth/SessionCallback.java,
	  src/tigase/auth/TigaseConfiguration.java,
	  src/tigase/auth/TigaseSasl.java,
	  src/tigase/auth/TigaseSaslProvider.java,
	  src/tigase/auth/TigaseSaslServerFactory.java,
	  src/tigase/db/RepositoryFactory.java,
	  src/tigase/db/UserAuthRepository.java,
	  src/tigase/db/xml/XMLRepository.java,
	  src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/server/xmppsession/SessionManagerConfig.java,
	  src/tigase/util/RepositoryUtils.java,
	  src/tigase/xmpp/RepositoryAccess.java,
	  src/tigase/xmpp/XMPPResourceConnection.java,
	  src/tigase/xmpp/impl/JabberIqAuth.java,
	  src/tigase/xmpp/impl/SaslAuth.java: Authorization framework
	  rewritten and PLAIN SASL implemented

2006-11-06 22:18  kobit

	* src/tigase/auth/TigaseSasl.java: Small experiments with auth
	  framework

2006-11-02 19:54  kobit

	* MANIFEST.MF,
	  src/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/tigase/xmpp/XMPPIOService.java: Fixed the problem with 'to'
	  attribute in stream open element, ticket:
	  http://server.tigase.org/ticket/4

2006-10-30 22:38  kobit

	* MANIFEST.MF, src/tigase/util/RepositoryUtils.java: Modified to
	  allow print repository content only for one given user account

2006-10-30 21:27  kobit

	* scripts, scripts/config.sh, scripts/repo.sh: Command line tools
	  for repository and configuration maniulation

2006-10-30 21:21  kobit

	* MANIFEST.MF, database/mysql-schema.sql,
	  database/simple-sqldb.sql,
	  src/tigase/xmpp/impl/JabberIqRoster.java,
	  src/tigase/xmpp/impl/Presence.java,
	  src/tigase/xmpp/impl/Roster.java: Filename change to reflect
	  database

2006-10-30 15:13  kobit

	* MANIFEST.MF, src/tigase/conf/Configurator.java: Full off-line
	  configuration management implemented

2006-10-29 10:57  kobit

	* src/tigase/db/NonAuthUserRepository.java,
	  src/tigase/server/ConnectionManager.java,
	  src/tigase/xmpp/RepositoryAccess.java,
	  src/tigase/xmpp/XMPPResourceConnection.java,
	  src/tigase/xmpp/impl/OfflineMessages.java,
	  src/tigase/xmpp/impl/VCardTemp.java: Javadoc warning fixed -
	  javadoc is still not complete yet.

2006-10-29 00:16  kobit

	* MANIFEST.MF, src/tigase/xmpp/impl/Presence.java: Fixed a bug with
	  extra probe sent for each presence: ticket -
	  http://server.tigase.org/ticket/31

2006-10-29 00:08  kobit

	* MANIFEST.MF, src/tigase/conf/ConfigRepository.java,
	  src/tigase/conf/Configurator.java,
	  src/tigase/db/jdbc/JDBCRepository.java,
	  src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/server/xmppsession/SessionManagerConfig.java,
	  src/tigase/util/RepositoryUtils.java: Simple configuration and
	  repository management

2006-10-28 16:15  kobit

	* src/tigase/util/RepositoryUtils.java: JDBC module is ready and
	  tested

2006-10-28 15:26  kobit

	* MANIFEST.MF, src/tigase/db/jdbc/JDBCRepository.java,
	  src/tigase/util/RepositoryUtils.java: JDBC module is ready and
	  tested

2006-10-28 09:32  kobit

	* MANIFEST.MF, src/tigase/db/jdbc/JDBCRepository.java: Jdbc
	  repository implementation is finished now but untested

2006-10-27 16:10  kobit

	* MANIFEST.MF, database/simple-sqldb.sql,
	  src/tigase/auth/PlainAuth.java,
	  src/tigase/auth/SaslCallbackHandler.java,
	  src/tigase/db/DBInitException.java,
	  src/tigase/db/DataOverwriteException.java,
	  src/tigase/db/RepositoryFactory.java,
	  src/tigase/db/TigaseDBException.java,
	  src/tigase/db/UserExistsException.java,
	  src/tigase/db/UserNotFoundException.java,
	  src/tigase/db/UserRepository.java, src/tigase/db/jdbc,
	  src/tigase/db/jdbc/JDBCRepository.java,
	  src/tigase/db/xml/XMLRepository.java,
	  src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/xmpp/RepositoryAccess.java: JDBC database backend
	  implementation

2006-10-26 08:44  kobit

	* MANIFEST.MF, database/simple-sqldb.sql,
	  src/tigase/db/UserRepository.java,
	  src/tigase/db/xml/XMLRepository.java,
	  src/tigase/xmpp/RepositoryAccess.java,
	  src/tigase/xmpp/XMPPResourceConnection.java: Added getUsers()
	  method - should be used only for conversion process from one
	  database to another....

2006-10-26 08:05  kobit

	* database, database/simple-sqldb.sql: Database schema for SQL
	  databases

2006-10-24 22:31  kobit

	* MANIFEST.MF, src/tigase/db/RepositoryFactory.java,
	  src/tigase/db/UserRepository.java,
	  src/tigase/db/xml/XMLRepository.java,
	  src/tigase/server/ConnectionManager.java,
	  src/tigase/server/xmppsession/SessionManager.java: Separation
	  user repository from auth repository (ticket:
	  http://server.tigase.org/ticket/9 )and cleaned up repository
	  initialization api

2006-10-24 22:30  kobit

	* src/tigase/server/xmppsession/SessionManagerConfig.java:
	  Separated config constants from main class to make code cleaner

2006-10-24 14:48  kobit

	* src/tigase/xmpp/RepositoryAccess.java: Implementation of offline
	  and public data finished

2006-10-24 14:35  kobit

	* MANIFEST.MF, src/tigase/xmpp/impl/VCardTemp.java: Added support
	  for retrieving vCard info for off-line users.

2006-10-24 14:27  kobit

	* MANIFEST.MF, src/tigase/db/DataOverwriteException.java,
	  src/tigase/db/NonAuthUserRepository.java,
	  src/tigase/db/UserRepository.java,
	  src/tigase/db/WriteOnlyUserRepository.java,
	  src/tigase/db/xml/XMLRepository.java,
	  src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/xmpp/XMPPPostprocessorIfc.java,
	  src/tigase/xmpp/XMPPPreprocessorIfc.java,
	  src/tigase/xmpp/XMPPProcessorIfc.java,
	  src/tigase/xmpp/XMPPResourceConnection.java,
	  src/tigase/xmpp/XMPPStopListenerIfc.java,
	  src/tigase/xmpp/impl/BindResource.java,
	  src/tigase/xmpp/impl/JabberIqAuth.java,
	  src/tigase/xmpp/impl/JabberIqPrivacy.java,
	  src/tigase/xmpp/impl/JabberIqRegister.java,
	  src/tigase/xmpp/impl/JabberIqRoster.java,
	  src/tigase/xmpp/impl/JabberIqStats.java,
	  src/tigase/xmpp/impl/JabberIqVersion.java,
	  src/tigase/xmpp/impl/Message.java,
	  src/tigase/xmpp/impl/OfflineMessages.java,
	  src/tigase/xmpp/impl/Presence.java,
	  src/tigase/xmpp/impl/SaslAuth.java,
	  src/tigase/xmpp/impl/ServiceDiscovery.java,
	  src/tigase/xmpp/impl/SessionBind.java,
	  src/tigase/xmpp/impl/StartTLS.java,
	  src/tigase/xmpp/impl/VCardTemp.java: Implementation of offline
	  and public data finished

2006-10-20 08:48  kobit

	* MANIFEST.MF, src/tigase/server/xmppsession/SessionManager.java:
	  Serious bug fixed with infinite error message loop

2006-10-20 01:13  kobit

	* src/tigase/xmpp/impl/JabberIqVersion.java: Commented out double
	  attribute set

2006-10-20 01:12  kobit

	* src/tigase/server/Packet.java: Added from and to attributes in
	  'result' packet

2006-10-20 01:12  kobit

	* src/tigase/server/xmppsession/SessionManager.java: Fixed nasty
	  bug with infinite loop sending error packets

2006-10-20 01:11  kobit

	* src/tigase/xmpp/impl/VCardTemp.java: Added vCard implementation

2006-10-19 22:11  kobit

	* MANIFEST.MF, src/tigase/xmpp/XMPPResourceConnection.java,
	  src/tigase/xmpp/impl/JabberIqRoster.java: Fixed problem with
	  removing user from the last group.

2006-10-19 22:10  kobit

	* src/tigase/xmpp/impl/JabberIqVersion.java: Corrected version
	  retrieving between user clients.

2006-10-18 21:14  kobit

	* MANIFEST.MF, src/tigase/server/Packet.java,
	  src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/xmpp/impl/BindResource.java,
	  src/tigase/xmpp/impl/JabberIqAuth.java,
	  src/tigase/xmpp/impl/JabberIqPrivacy.java,
	  src/tigase/xmpp/impl/JabberIqRegister.java,
	  src/tigase/xmpp/impl/JabberIqRoster.java,
	  src/tigase/xmpp/impl/JabberIqStats.java,
	  src/tigase/xmpp/impl/JabberIqVersion.java,
	  src/tigase/xmpp/impl/Message.java,
	  src/tigase/xmpp/impl/OfflineMessages.java,
	  src/tigase/xmpp/impl/Presence.java,
	  src/tigase/xmpp/impl/SaslAuth.java,
	  src/tigase/xmpp/impl/ServiceDiscovery.java,
	  src/tigase/xmpp/impl/SessionBind.java,
	  src/tigase/xmpp/impl/StartTLS.java: Privacy lists full
	  implementation finished

2006-10-16 15:58  kobit

	* MANIFEST.MF, src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/xmpp/XMPPStopListenerIfc.java,
	  src/tigase/xmpp/impl/OfflineMessages.java,
	  src/tigase/xmpp/impl/Presence.java: Stop listener implementation
	  corrected

2006-10-16 15:13  kobit

	* src/tigase/db/WriteOnlyUserRepository.java: This is a workaround
	  to allow plugins to write to repository even if there is no
	  authorized session. It is needed for off-line message storage
	  plugin

2006-10-16 15:12  kobit

	* src/tigase/xmpp/OfflineMessageStorage.java: Reimplemented as
	  plugin not needed anymore

2006-10-16 15:11  kobit

	* MANIFEST.MF, certs/rsa-keystore,
	  src/tigase/db/UserRepository.java, src/tigase/server/Packet.java,
	  src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/xmpp/ProcessorFactory.java,
	  src/tigase/xmpp/XMPPImplIfc.java,
	  src/tigase/xmpp/XMPPPostprocessorIfc.java,
	  src/tigase/xmpp/XMPPPreprocessorIfc.java,
	  src/tigase/xmpp/XMPPProcessor.java,
	  src/tigase/xmpp/XMPPProcessorIfc.java,
	  src/tigase/xmpp/XMPPStopListenerIfc.java,
	  src/tigase/xmpp/impl/BindResource.java,
	  src/tigase/xmpp/impl/JabberIqAuth.java,
	  src/tigase/xmpp/impl/JabberIqPrivacy.java,
	  src/tigase/xmpp/impl/JabberIqRegister.java,
	  src/tigase/xmpp/impl/JabberIqRoster.java,
	  src/tigase/xmpp/impl/JabberIqStats.java,
	  src/tigase/xmpp/impl/JabberIqVersion.java,
	  src/tigase/xmpp/impl/Message.java,
	  src/tigase/xmpp/impl/OfflineMessages.java,
	  src/tigase/xmpp/impl/Presence.java,
	  src/tigase/xmpp/impl/SaslAuth.java,
	  src/tigase/xmpp/impl/ServiceDiscovery.java,
	  src/tigase/xmpp/impl/SessionBind.java,
	  src/tigase/xmpp/impl/StartTLS.java: Major refactoring to add
	  preprocessing/postprocessing, stopped handlers, offline messages
	  are now implemented as a plugin

2006-10-10 21:45  kobit

	* MANIFEST.MF, src/tigase/xmpp/impl/JabberIqPrivacy.java,
	  src/tigase/xmpp/impl/Privacy.java: Initial Privacy lists
	  implementation. You can manage privacy lists now but server
	  doesn't use them yet

2006-10-10 21:44  kobit

	* src/tigase/xmpp/impl/JabberIqRoster.java,
	  src/tigase/xmpp/impl/SessionBind.java: Because of overloading
	  okResult() method from Package class minor adjustemts in code
	  were necessary

2006-10-10 21:43  kobit

	* src/tigase/xmpp/XMPPResourceConnection.java: Changed log levels
	  from SEVERE to WARNING and added new method: getDataKeys()

2006-10-10 21:42  kobit

	* src/tigase/db/xml/XMLRepository.java: Added better support for
	  concurrent access to repository. Now each thread can initialize
	  and access repository indepedently even for the same resource
	  (data file)

2006-10-10 21:41  kobit

	* src/tigase/db/UserRepository.java: Added but commented out
	  method: getInstance(resource) as there is still no consistent
	  idea how it should work

2006-10-10 21:40  kobit

	* src/tigase/server/Packet.java: Added 2 more methods:
	  okResult(Element, int) and getElemChildren()

2006-10-10 21:38  kobit

	* src/tigase/server/xmppsession/SessionManager.java: Added privacy
	  component loading in default configuration and changed
	  initialization of XMLRepository to allow accessing repository
	  from different threads

2006-10-10 21:37  kobit

	* src/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Changes related to reconnecting connections

2006-10-10 21:36  kobit

	* src/tigase/server/ConnectionManager.java: All connections are
	  initialized with delay at startup time now to allow configuration
	  fully load first, especially initialization of SSL can take a bit
	  longer. Now all 'connect' type connections are not reconnecting
	  by default, you have to set counter for them to allow
	  reconnecting

2006-10-10 21:34  kobit

	* src/tigase/io/TLSWrapper.java: Corrected logger package ID

2006-10-09 16:02  kobit

	* package.html: Basic server documentation

2006-10-09 16:02  kobit

	* MANIFEST.MF, src/tigase/io/SSLContextContainer.java,
	  src/tigase/server/ConnectionManager.java,
	  src/tigase/server/MessageRouter.java: Changed
	  ClientConnectionManager component addressing

2006-10-09 16:02  kobit

	* src/tigase/server/xmppclient/ClientConnectionManager.java:
	  Changed ClientConnectionManager component addressing

2006-10-05 17:18  kobit

	* MANIFEST.MF, src/tigase/server/ConnectionManager.java,
	  src/tigase/server/MessageRouterConfig.java,
	  src/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/tigase/server/xmppsession/SessionManager.java: Component
	  addressing for ClientConnectionManager has been changed to make
	  it more consistent and make all hostnames setting mean the same

2006-10-04 16:37  kobit

	* libs: Added directory required by build file

2006-10-04 16:35  kobit

	* MANIFEST.MF, ant-definitions.xml, build.xml: Corrected build file

2006-10-04 16:35  kobit

	* src/tigase/xmpp/impl/ServiceDiscovery.java: Fixed null pointer
	  exception

2006-10-03 11:20  kobit

	* MANIFEST.MF, src/tigase/server/Packet.java,
	  src/tigase/xmpp/impl/Presence.java,
	  src/tigase/xmpp/impl/SaslAuth.java: Fixed broken presence

2006-10-02 21:43  kobit

	* src/tigase/xmpp/StanzaType.java: Added new - non-standard stanza
	  type used by kopete

2006-10-02 21:42  kobit

	* src/tigase/xmpp/impl/Presence.java: Fixed problem with updating
	  presence for multiple user connections

2006-09-30 16:48  kobit

	* MANIFEST.MF, src/tigase/xmpp/impl/JabberIqVersion.java: Null
	  pointer exception fixed

2006-09-30 16:37  kobit

	* MANIFEST.MF, src/tigase/server/AbstractMessageReceiver.java,
	  src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/xmpp/OfflineMessageStorage.java: Message to admin
	  implemented

2006-09-28 22:45  kobit

	* MANIFEST.MF, ant-definitions.xml,
	  src/tigase/server/XMPPServer.java,
	  src/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/xmpp/impl/ServiceDiscovery.java: Fixed service
	  discovery and statistics reports

2006-09-28 22:45  kobit

	* src/tigase/net/IOService.java: Commented out printing stack trace
	  on text console

2006-09-28 22:44  kobit

	* src/tigase/xmpp/impl/SaslAuth.java: Corrected SASL implementation
	  for RFC compliance

2006-09-28 22:44  kobit

	* src/tigase/xmpp/impl/Presence.java: Fixed null pointer exception
	  when probe was called for buddy not in roster

2006-09-26 06:24  kobit

	* MANIFEST.MF, src/tigase/io/SocketIO.java: Fixed incorrect logger
	  id

2006-09-26 06:23  kobit

	* src/tigase/xmpp/OfflineMessageStorage.java: Added time stamp and
	  off-line message delivery element

2006-09-26 06:23  kobit

	* src/tigase/xmpp/impl/Presence.java: Fixed missing 'from'
	  attribute when user send message to himself and implemented
	  off-line message delivery on receiving presence packet

2006-09-26 06:22  kobit

	* src/tigase/xmpp/impl/Message.java: Fixed missing 'from' attribute
	  when user send message to himself

2006-09-25 18:54  kobit

	* MANIFEST.MF, src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/xmpp/impl/Presence.java,
	  src/tigase/xmpp/impl/SaslAuth.java: Off-line messages for XMPP
	  1.0 fixed. Now all off-line messages are delivered after
	  receiving initial presence message.

2006-09-24 23:04  kobit

	* MANIFEST.MF, build.properties, build.xml,
	  src/tigase/io/BufferUnderflowException.java,
	  src/tigase/io/IOInterface.java, src/tigase/io/SocketIO.java,
	  src/tigase/io/TLSIO.java, src/tigase/io/TLSWrapper.java,
	  src/tigase/net/IOService.java: Fixed problem with disconnecting
	  SSL connection on receiving large packets of data. See ticket: #6
	  - http://server.tigase.org/ticket/6

2006-09-24 23:02  kobit

	* src/tigase/xmpp/XMPPDomBuilderHandler.java: Added error message
	  for error() method, now it easier to find out what caused the
	  error.

2006-09-19 14:00  kobit

	* MANIFEST.MF, src/tigase/server/xmppsession/SessionManager.java:
	  Fixed problem with Processors not loaded for specified ID, it
	  used to trow NullPointerException

2006-09-19 09:11  kobit

	* MANIFEST.MF,
	  src/tigase/server/xmppserver/ServerConnectionManager.java:
	  Another correction for the code disconnecting second channel if
	  one of dialback connection has been closed

2006-09-18 23:12  kobit

	* MANIFEST.MF, ant-definitions.xml, build.xml: Corrected build
	  process for generating distribution files

2006-09-18 23:12  kobit

	* src/tigase/conf/Configurator.java: Changed tigase log name from
	  java.log to tigase.log

2006-09-18 23:10  kobit

	* src/tigase/server/xmppserver/ServerConnectionManager.java: Some
	  servers disconnect one connection from s2s pair and don't accept
	  any data on the other connection, as a result communication is
	  broken. This fix closes other connection if one of them has been
	  closed by remote server

2006-09-18 13:09  kobit

	* src/tigase/server/ConnectionManager.java: Changed default
	  configuration to use rsa-keystore

2006-09-18 13:00  kobit

	* certs/rsa-keystore: Keystore with RSA, default contain DSA wich
	  is not liked by gaim

2006-09-18 12:33  kobit

	* build.properties: version numer change after bug fixes

2006-09-18 12:10  kobit

	* MANIFEST.MF, ant-definitions.xml,
	  src/tigase/server/xmppsession/SessionManager.java: Fixed problem
	  with gajim connection - now server sends back error for all
	  unsupported stanze received from the client, previously gajim
	  seemed to hang waiting for response on unsupported IQ stanzas

2006-09-18 12:09  kobit

	* src/tigase/server/ComponentRegistrator.java: Fixed broken javadoc
	  comment

2006-09-18 12:09  kobit

	* src/tigase/conf/Configurator.java: Changed default configuration,
	  handler for file logger is now setup correctly

2006-09-18 12:08  kobit

	* src/tigase/auth/SaslCallbackHandler.java: Fixed broken javadoc
	  comment

2006-09-17 18:48  kobit

	* MANIFEST.MF: This is version 2.2.0

2006-09-17 18:48  kobit

	* build.properties: Version number change

2006-09-17 18:47  kobit

	* src/tigase/server/xmppserver/ServerConnectionManager.java: Fixed
	  problem with remote server diconnect and impossible to establish
	  connection with that server later

2006-09-17 18:47  kobit

	* src/tigase/xmpp/OfflineMessageStorage.java: Small correction to
	  preven storring for off-line delivery stanzas other than
	  <message/>

2006-09-16 21:57  kobit

	* MANIFEST.MF, src/tigase/db/UserRepository.java,
	  src/tigase/db/xml/XMLRepository.java,
	  src/tigase/net/IOService.java, src/tigase/server/Command.java,
	  src/tigase/server/Packet.java,
	  src/tigase/server/XMPPServiceCollector.java,
	  src/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/util/ElementUtils.java,
	  src/tigase/xmpp/OfflineMessageStorage.java,
	  src/tigase/xmpp/XMPPIOService.java,
	  src/tigase/xmpp/XMPPProcessor.java,
	  src/tigase/xmpp/XMPPProcessorIfc.java,
	  src/tigase/xmpp/impl/BindResource.java,
	  src/tigase/xmpp/impl/JabberIqAuth.java,
	  src/tigase/xmpp/impl/JabberIqRegister.java,
	  src/tigase/xmpp/impl/SaslAuth.java,
	  src/tigase/xmpp/impl/SessionBind.java,
	  src/tigase/xmpp/impl/StartTLS.java: Offline messages storage
	  added and fixed various bugs

2006-09-14 12:17  kobit

	* MANIFEST.MF, src/tigase/xmpp/XMPPResourceConnection.java,
	  src/tigase/xmpp/XMPPSession.java,
	  src/tigase/xmpp/impl/JabberIqAuth.java: Fixed problem with
	  setting resources, later after authorization

2006-09-14 07:21  kobit

	* MANIFEST.MF,
	  src/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/tigase/xmpp/XMPPSession.java,
	  src/tigase/xmpp/impl/JabberIqAuth.java: Fixed problem with
	  reconnecting resource - the old session for the same resource was
	  not removed correctly

2006-09-14 04:54  kobit

	* MANIFEST.MF,
	  src/tigase/server/xmppserver/ServerConnectionManager.java:
	  Session id and dialback key is kept under different entries in
	  shared session data

2006-09-13 16:48  kobit

	* MANIFEST.MF, src/tigase/server/ConnectionManager.java,
	  src/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/tigase/xmpp/XMPPProcessor.java,
	  src/tigase/xmpp/XMPPSession.java: Corrected, simplified and
	  improved but not tested s2s - completely rewrited actually,
	  should handle google case easy

2006-09-13 16:48  kobit

	* src/tigase/auth/DialbackAuth.java: Not used anymore....

2006-09-13 16:47  kobit

	* src/tigase/xmpp/impl/Dialback.java: Not used anymore....

2006-09-13 16:47  kobit

	* src/tigase/xmpp/impl/Dialback.java: Not used anymore....

2006-09-11 19:35  kobit

	* MANIFEST.MF, src/tigase/server/MessageRouterConfig.java,
	  src/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/tigase/server/xmppsession/SessionManager.java: Switched to
	  use SRV DNS record for xmpp servcice

2006-09-11 19:35  kobit

	* src/tigase/net/IOService.java: Removed unused import statement

2006-09-11 19:34  kobit

	* src/tigase/xmpp/impl/Presence.java: Fixed problem with sending
	  presence notification just after subscription has been approved

2006-09-11 19:33  kobit

	* src/tigase/xmpp/impl/Roster.java: Added more logging code

2006-09-11 15:11  kobit

	* src/tigase/net/DNSResolver.java: Moved to tigase.util project

2006-09-11 15:11  kobit

	* src/tigase/net/DNSResolver.java: Changed function parameter to
	  'final'

2006-09-11 15:04  kobit

	* src/tigase/net/AllAddresses.java,
	  src/tigase/net/DNSResolver.java: Renamed to more appropropriate
	  name

2006-09-11 15:03  kobit

	* src/tigase/net/AllAddresses.java: Generic function implemented
	  for retrieving IP address for xmpp SRV DNS record

2006-09-11 13:02  kobit

	* src/tigase/net/ConnectionOpenThread.java: Server used to die on
	  SocketException, that was wrong, fixed now....

2006-09-11 13:01  kobit

	* src/tigase/server/xmppsession/SessionManager.java: Corrected
	  default configuration generated during first startup

2006-09-11 13:01  kobit

	* src/tigase/net/AllAddresses.java: Sample class showing how to
	  retrieve DNS records like SRV

2006-09-10 22:33  kobit

	* MANIFEST.MF, src/tigase/auth/DialbackAuth.java,
	  src/tigase/auth/SessionCallback.java,
	  src/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/tigase/xmpp/impl/Dialback.java, tests/data/tigase-config.xml:
	  s2s implementation finishedsvn status Finally.

2006-09-10 22:31  kobit

	* src/tigase/server/ConnectionManager.java: Due to asynchronouse
	  nature I had to exchange 2 lines. Now serviceStarted(serv) is
	  called before readThread.addSocketService(serv)

2006-09-10 22:30  kobit

	* src/tigase/server/MessageRouter.java: It may happen only due to a
	  bug in server code that packet.getTo() == null for packet
	  processing by this class. So just in case added checking at the
	  beginning of the processPacket method. Also replaced InetAddress
	  class call with new JID.getNodeHostIP method

2006-09-10 22:28  kobit

	* src/tigase/server/Packet.java: Added getElemCData() method

2006-09-10 22:27  kobit

	* src/tigase/xmpp/XMPPIOService.java: Added assert debug(data) code

2006-09-10 22:27  kobit

	* src/tigase/xmpp/impl/Presence.java: According to RFC server
	  should not resend 'out_(un)subscribed' notice but it make it very
	  difficuly to synchronize presence subscrition in case of earlier
	  problems. So for now my implemention will resend such notice

2006-09-10 22:24  kobit

	* src/tigase/xmpp/XMPPDomBuilderHandler.java: Support for
	  xmlns:elname added

2006-09-08 19:33  kobit

	* MANIFEST.MF, src/tigase/auth/DialbackAuth.java,
	  src/tigase/server/ConnectionManager.java,
	  src/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/tigase/xmpp/impl/Dialback.java, tests/data/tigase-config.xml:
	  s2s implementation continued...., connecting to remote server
	  now....

2006-09-08 19:32  kobit

	* src/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Changed code to make use of new method in IOService -
	  connectionType()

2006-09-08 19:31  kobit

	* src/tigase/server/xmppsession/SessionManager.java: A few more
	  logging messages added

2006-09-08 19:30  kobit

	* src/tigase/net/ConnectionOpenThread.java: A few more logging
	  messages added

2006-09-08 19:30  kobit

	* src/tigase/xmpp/XMPPIOService.java: New method added -
	  xmppStreamOpen()

2006-09-08 19:29  kobit

	* src/tigase/net/IOService.java: Fixed a bug in writeData method
	  for NULL data

2006-09-04 19:37  kobit

	* src/tigase/server/xmppclient/ClientConnectionManager.java: Fixed
	  bug when constructing stream_opened command some data were added
	  as pure string rather than DOM XML structure.

2006-08-31 06:04  kobit

	* MANIFEST.MF, src/tigase/auth/DialbackAuth.java,
	  src/tigase/auth/DigestAuth.java, src/tigase/auth/semantic.cache,
	  src/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/tigase/xmpp/XMPPSession.java,
	  src/tigase/xmpp/impl/Dialback.java, tests/data/tigase-config.xml:
	  s2s implementation in progress

2006-08-31 06:03  kobit

	* src/tigase/auth/TigaseConfiguration.java,
	  src/tigase/server/xmppsession/SessionManager.java: Changed
	  TigaseConfiguration to statis class

2006-08-31 06:01  kobit

	* src/tigase/io/TelnetClient.java, src/tigase/io/TelnetServer.java:
	  Added support for sending files to test large portion of data

2006-08-22 14:47  kobit

	* src/tigase/server/xmppserver/ServerConnectionManager.java:
	  Constant name change from SESSION_ID to SESSION_ID_KEY and
	  getUniqueId method corrected

2006-08-22 14:46  kobit

	* src/tigase/server/ConnectionManager.java: TODO comments addded
	  for serviceStarted method

2006-08-22 14:45  kobit

	* src/tigase/server/xmppcomponent/ComponentConnectionManager.java:
	  Constant name change from serv.SESSION_ID to serv.SESSION_ID_KEY

2006-08-22 14:45  kobit

	* src/tigase/server/xmppclient/ClientConnectionManager.java:
	  Constant name change from serv.SESSION_ID to serv.SESSION_ID_KEY

2006-08-22 14:44  kobit

	* src/tigase/net/IOService.java: Added ConnectionType and
	  remote/local address retrieving for connection service

2006-08-22 14:43  kobit

	* src/tigase/conf/Configurator.java: Changed depreciated code
	  accessing Logger.global

2006-08-22 14:43  kobit

	* src/tigase/xmpp/XMPPResourceConnection.java: Added java doc for
	  connectionId variable

2006-08-18 09:57  kobit

	* MANIFEST.MF, prj.el, src/tigase/server/Packet.java,
	  src/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/tigase/xmpp/StanzaType.java,
	  src/tigase/xmpp/impl/Dialback.java: s2s implementation and
	  Dialback implementation

2006-08-07 19:44  kobit

	* MANIFEST.MF, src/tigase/io/TelnetClient.java: It uses trust-all
	  mode si it doesn't get disconnected when server sends unknown
	  certificate

2006-08-07 19:42  kobit

	* MANIFEST.MF, src/tigase/io/SSLContextContainer.java,
	  src/tigase/io/TLSUtil.java, src/tigase/io/TLSWrapper.java: Added
	  support for trust-all SSLContext

2006-08-07 19:02  kobit

	* MANIFEST.MF, src/tigase/io/TelnetClient.java,
	  src/tigase/io/TelnetServer.java: SSL connection is working now
	  and debug options turns debuging on

2006-08-07 18:25  kobit

	* MANIFEST.MF, src/tigase/annotations/TODO.java,
	  src/tigase/auth/AuthorisationSystem.java,
	  src/tigase/auth/CommitHandler.java,
	  src/tigase/auth/DigestAuth.java, src/tigase/auth/PlainAuth.java,
	  src/tigase/auth/ResourceConnectionCallback.java,
	  src/tigase/auth/SaslCallbackHandler.java,
	  src/tigase/auth/TigaseConfiguration.java,
	  src/tigase/auth/TigaseSasl.java,
	  src/tigase/conf/ConfigComponent.java,
	  src/tigase/conf/ConfigRepository.java,
	  src/tigase/conf/Configurable.java,
	  src/tigase/conf/Configurator.java,
	  src/tigase/db/ConfigurationDB.java,
	  src/tigase/db/MessageHistoryDB.java,
	  src/tigase/db/MessageOfflineDB.java, src/tigase/db/UserDB.java,
	  src/tigase/db/UserExistsException.java,
	  src/tigase/db/UserNotFoundException.java,
	  src/tigase/db/UserRepository.java,
	  src/tigase/db/xml/XMLRepository.java,
	  src/tigase/http/HttpServer.java,
	  src/tigase/http/HttpService.java, src/tigase/io/IOInterface.java,
	  src/tigase/io/SSLContextContainer.java,
	  src/tigase/io/SocketIO.java, src/tigase/io/TLSIO.java,
	  src/tigase/io/TLSStatus.java, src/tigase/io/TLSUtil.java,
	  src/tigase/io/TLSWrapper.java, src/tigase/net/Accept.java,
	  src/tigase/net/ConnectionOpenListener.java,
	  src/tigase/net/ConnectionOpenThread.java,
	  src/tigase/net/ConnectionType.java,
	  src/tigase/net/IOService.java,
	  src/tigase/net/IOServiceListener.java,
	  src/tigase/net/ServiceCommand.java,
	  src/tigase/net/SocketReadThread.java,
	  src/tigase/net/SocketType.java,
	  src/tigase/server/AbstractComponentRegistrator.java,
	  src/tigase/server/AbstractMessageReceiver.java,
	  src/tigase/server/Command.java,
	  src/tigase/server/ComponentRegistrator.java,
	  src/tigase/server/ConnectionManager.java,
	  src/tigase/server/MessageReceiver.java,
	  src/tigase/server/MessageRouter.java,
	  src/tigase/server/MessageRouterConfig.java,
	  src/tigase/server/Packet.java,
	  src/tigase/server/ServerComponent.java,
	  src/tigase/server/ThreadExceptionHandler.java,
	  src/tigase/server/XMPPServer.java,
	  src/tigase/server/XMPPService.java,
	  src/tigase/server/XMPPServiceCollector.java,
	  src/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/stats/StatRecord.java,
	  src/tigase/stats/StatisticType.java,
	  src/tigase/stats/StatisticsCollector.java,
	  src/tigase/stats/StatisticsContainer.java,
	  src/tigase/stats/StatsComponent.java,
	  src/tigase/ui/UIComponent.java, src/tigase/ui/WebUI.java,
	  src/tigase/ui/XMPPServiceComponent.java,
	  src/tigase/util/ElementUtils.java,
	  src/tigase/util/LogFormatter.java,
	  src/tigase/util/RoutingsContainer.java,
	  src/tigase/xmpp/Authorization.java,
	  src/tigase/xmpp/NotAuthorizedException.java,
	  src/tigase/xmpp/ProcessorFactory.java,
	  src/tigase/xmpp/StanzaType.java,
	  src/tigase/xmpp/XMPPDomBuilderHandler.java,
	  src/tigase/xmpp/XMPPException.java,
	  src/tigase/xmpp/XMPPIOService.java,
	  src/tigase/xmpp/XMPPIOServiceListener.java,
	  src/tigase/xmpp/XMPPProcessor.java,
	  src/tigase/xmpp/XMPPProcessorIfc.java,
	  src/tigase/xmpp/XMPPResourceConnection.java,
	  src/tigase/xmpp/XMPPSession.java,
	  src/tigase/xmpp/impl/BindResource.java,
	  src/tigase/xmpp/impl/JabberIqAuth.java,
	  src/tigase/xmpp/impl/JabberIqRegister.java,
	  src/tigase/xmpp/impl/JabberIqRoster.java,
	  src/tigase/xmpp/impl/JabberIqStats.java,
	  src/tigase/xmpp/impl/JabberIqVersion.java,
	  src/tigase/xmpp/impl/Message.java,
	  src/tigase/xmpp/impl/Presence.java,
	  src/tigase/xmpp/impl/Roster.java,
	  src/tigase/xmpp/impl/SaslAuth.java,
	  src/tigase/xmpp/impl/ServiceDiscovery.java,
	  src/tigase/xmpp/impl/SessionBind.java,
	  src/tigase/xmpp/impl/StartTLS.java: e-mail address changed to
	  correct one in tigase.org domain

2006-08-07 18:24  kobit

	* src/tigase/io/TelnetClient.java, src/tigase/io/TelnetServer.java:
	  Added SSL support, not working yet though

2006-08-07 14:48  kobit

	* src/tigase/io/SampleSocketThread.java: Corrected error message,
	  when socket gets disconnected

2006-08-07 14:40  kobit

	* MANIFEST.MF, src/tigase/io/SampleSocketThread.java,
	  src/tigase/io/TelnetClient.java, src/tigase/io/TelnetServer.java:
	  Sample classes for plain connection using tigase.io API

2006-08-07 14:40  kobit

	* src/tigase/io/SocketIO.java: SocketIO now initializes
	  SocketChannel properly on its own, ie. set non-blocking mode and
	  so on

2006-08-07 14:19  kobit

	* MANIFEST.MF, src/tigase/io/TelnetServer.java: TelnetServer works
	  now for plain socket connection, test it with telnet linux
	  program

2006-08-07 10:35  kobit

	* MANIFEST.MF, src/tigase/io/SampleSocketThread.java,
	  src/tigase/io/SimpleReaderThread.java,
	  src/tigase/io/TelnetServer.java: Smaple classes implementation in
	  progress

2006-08-06 22:59  kobit

	* src/tigase/io/SimpleReaderThread.java,
	  src/tigase/io/TelnetClient.java, src/tigase/io/TelnetServer.java:
	  Sample classes presenting tigase.io use

2006-08-06 22:57  kobit

	* MANIFEST.MF, prj.el, src/tigase/io/TLSIO.java,
	  src/tigase/io/TLSWrapper.java, src/tigase/net/IOService.java,
	  src/tigase/server/ConnectionManager.java,
	  src/tigase/server/xmppclient/ClientConnectionManager.java: Added
	  support for client connection

2006-04-21 14:34  kobit

	* src/tigase/xmpp/impl/JabberIqAuth.java: Unblocked digest
	  authorization

2006-04-21 13:54  kobit

	* MANIFEST.MF, src/tigase/xmpp/XMPPIOService.java: Fixes to
	  multithreaded tests

2006-04-21 07:20  kobit

	* MANIFEST.MF, src/tigase/server/xmppsession/SessionManager.java,
	  tests/data/tigase-config.xml: Fixed a few minor configuration
	  bugs

2006-04-21 07:15  kobit

	* MANIFEST.MF, src/tigase/auth/AuthorisationSystem.java,
	  src/tigase/db/ConfigurationDB.java,
	  src/tigase/db/MessageHistoryDB.java,
	  src/tigase/db/MessageOfflineDB.java, src/tigase/db/UserDB.java,
	  src/tigase/http/HttpServer.java, src/tigase/server/Command.java,
	  src/tigase/server/XMPPService.java,
	  src/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/ui/UIComponent.java,
	  src/tigase/util/RoutingsContainer.java,
	  src/tigase/xmpp/XMPPIOService.java,
	  src/tigase/xmpp/XMPPSession.java,
	  src/tigase/xmpp/impl/StartTLS.java,
	  tests/data/tigase-config-1.xml, tests/data/tigase-config.xml:
	  Corrected thread synchronization issues

2006-04-20 13:41  kobit

	* MANIFEST.MF, src/tigase/auth/CommitHandler.java,
	  src/tigase/auth/PlainAuth.java,
	  src/tigase/auth/SaslCallbackHandler.java,
	  src/tigase/auth/semantic.cache,
	  src/tigase/net/SocketReadThread.java,
	  src/tigase/server/AbstractMessageReceiver.java,
	  src/tigase/server/ConnectionManager.java,
	  src/tigase/server/MessageRouter.java,
	  src/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/stats/StatRecord.java,
	  src/tigase/stats/StatisticType.java,
	  src/tigase/xmpp/XMPPIOService.java,
	  src/tigase/xmpp/XMPPResourceConnection.java,
	  src/tigase/xmpp/XMPPSession.java,
	  src/tigase/xmpp/impl/JabberIqAuth.java,
	  src/tigase/xmpp/impl/Message.java,
	  src/tigase/xmpp/impl/Presence.java,
	  tests/data/tigase-config-2.xml: Fixed a few concurency issues

2006-04-10 20:23  kobit

	* MANIFEST.MF, src/tigase/net/ConnectionOpenThread.java,
	  src/tigase/net/SocketReadThread.java,
	  tests/data/tigase-config-1.xml, tests/data/tigase-config-2.xml:
	  New XML-tools version support corrected, TestRoster now expects
	  XML data with " instead of '

2006-04-10 17:46  kobit

	* MANIFEST.MF: Compiler warnings fixed

2006-04-10 16:47  kobit

	* src/tigase/util/ClassComparator.java: Separation util code from
	  the rest of components

2006-04-10 16:46  kobit

	* src/tigase/util/ObjectComparator.java: Separation util code from
	  the rest of components

2006-04-10 16:44  kobit

	* MANIFEST.MF, src/tigase/util/ClassUtil.java: Separation util code
	  from the rest of components

2006-04-10 16:38  kobit

	* src/tigase/util/Algorithms.java, src/tigase/util/JID.java,
	  src/tigase/util/Telnet.java: Separation util code from the rest
	  of components

2006-04-06 07:18  kobit

	* MANIFEST.MF, build.properties, src/tigase/io/TLSIO.java,
	  src/tigase/net/IOService.java,
	  src/tigase/net/SocketReadThread.java,
	  src/tigase/server/AbstractMessageReceiver.java,
	  src/tigase/server/ConnectionManager.java,
	  src/tigase/server/MessageRouter.java,
	  src/tigase/server/Packet.java, src/tigase/server/XMPPServer.java,
	  src/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/tigase/xmpp/XMPPIOService.java,
	  src/tigase/xmpp/XMPPResourceConnection.java,
	  src/tigase/xmpp/impl/JabberIqAuth.java,
	  src/tigase/xmpp/impl/JabberIqStats.java,
	  src/tigase/xmpp/impl/JabberIqVersion.java,
	  src/tigase/xmpp/impl/Presence.java,
	  src/tigase/xmpp/impl/StartTLS.java,
	  tests/data/tigase-config-1.xml, tests/data/tigase-config-2.xml:
	  Fixes for bugs: TLS start, multithreaded I/0, uncautch exception
	  in main threads

2006-03-29 06:32  kobit

	* MANIFEST.MF, src/tigase/conf/Configurator.java,
	  src/tigase/server/AbstractComponentRegistrator.java,
	  src/tigase/server/AbstractMessageReceiver.java,
	  src/tigase/server/Command.java,
	  src/tigase/server/MessageRouter.java,
	  src/tigase/server/Packet.java,
	  src/tigase/server/ServerComponent.java,
	  src/tigase/server/XMPPService.java,
	  src/tigase/server/XMPPServiceCollector.java,
	  src/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/stats/StatRecord.java,
	  src/tigase/stats/StatisticsCollector.java,
	  src/tigase/util/ElementUtils.java,
	  src/tigase/xmpp/impl/BindResource.java,
	  src/tigase/xmpp/impl/JabberIqAuth.java,
	  src/tigase/xmpp/impl/JabberIqRegister.java,
	  src/tigase/xmpp/impl/JabberIqRoster.java,
	  src/tigase/xmpp/impl/JabberIqStats.java,
	  src/tigase/xmpp/impl/JabberIqVersion.java,
	  src/tigase/xmpp/impl/ServiceDiscovery.java,
	  src/tigase/xmpp/impl/StartTLS.java,
	  tests/data/tigase-config-2.xml: All basic implementations
	  comleted

2006-03-21 07:18  kobit

	* MANIFEST.MF, src/tigase/server/AbstractMessageReceiver.java,
	  src/tigase/server/Command.java, src/tigase/server/Packet.java,
	  src/tigase/server/XMPPServer.java,
	  src/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/xmpp/IqType.java, src/tigase/xmpp/StanzaType.java,
	  src/tigase/xmpp/XMPPIOService.java,
	  src/tigase/xmpp/XMPPProcessor.java,
	  src/tigase/xmpp/XMPPProcessorIfc.java,
	  src/tigase/xmpp/XMPPResourceConnection.java,
	  src/tigase/xmpp/XMPPSession.java,
	  src/tigase/xmpp/impl/BindResource.java,
	  src/tigase/xmpp/impl/JabberIqAuth.java,
	  src/tigase/xmpp/impl/JabberIqRegister.java,
	  src/tigase/xmpp/impl/JabberIqRoster.java,
	  src/tigase/xmpp/impl/JabberIqVersion.java,
	  src/tigase/xmpp/impl/Message.java,
	  src/tigase/xmpp/impl/Presence.java,
	  src/tigase/xmpp/impl/Roster.java,
	  src/tigase/xmpp/impl/SaslAuth.java,
	  src/tigase/xmpp/impl/SessionBind.java,
	  tests/data/tigase-config-1.xml, tests/data/tigase-config-2.xml:
	  Implemented presence, roster, message, version

2006-02-20 22:59  kobit

	* MANIFEST.MF, src/tigase/auth/DigestAuth.java,
	  src/tigase/auth/PlainAuth.java, src/tigase/auth/semantic.cache,
	  src/tigase/server/Packet.java,
	  src/tigase/xmpp/Authorization.java, src/tigase/xmpp/IqType.java,
	  src/tigase/xmpp/XMPPResourceConnection.java,
	  src/tigase/xmpp/impl/BindResource.java,
	  src/tigase/xmpp/impl/JabberIqAuth.java,
	  src/tigase/xmpp/impl/JabberIqRegister.java,
	  src/tigase/xmpp/impl/SaslAuth.java,
	  src/tigase/xmpp/impl/SessionBind.java,
	  tests/data/tigase-config-2.xml: Added session bind and bind
	  resource implementation

2006-02-20 21:05  kobit

	* src/tigase/xmpp/impl/SaslAuth.java,
	  src/tigase/xmpp/impl/XmppSasl.java: SASL authorization
	  implememted

2006-02-20 21:03  kobit

	* src/tigase/xmpp/impl/XMPPSasl.java,
	  src/tigase/xmpp/impl/XmppSasl.java: SASL authorization
	  implememted

2006-02-20 21:01  kobit

	* src/tigase/xmpp/impl/SaslAuth.java,
	  src/tigase/xmpp/impl/XMPPSasl.java: SASL authorization
	  implememted

2006-02-20 21:01  kobit

	* MANIFEST.MF, src/tigase/auth/SaslCallbackHandler.java,
	  src/tigase/auth/semantic.cache,
	  src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/xmpp/IqType.java,
	  src/tigase/xmpp/XMPPResourceConnection.java,
	  src/tigase/xmpp/impl/JabberIqAuth.java,
	  src/tigase/xmpp/impl/SaslAuth.java,
	  tests/data/tigase-config-2.xml: SASL authorization implememted

2006-02-20 16:42  kobit

	* tests/data/telnet-test.xml, tests/data/tigase-config-1.xml,
	  tests/data/tigase-config-2.xml, tests/data/tigase-config.xml:
	  Framework for authorization and some authorization implementation
	  is ready

2006-02-20 16:41  kobit

	* src/tigase/xmpp/Authorization.java, src/tigase/xmpp/IqType.java,
	  src/tigase/xmpp/NotAuthorizedException.java,
	  src/tigase/xmpp/ProcessorFactory.java,
	  src/tigase/xmpp/XMPPException.java,
	  src/tigase/xmpp/XMPPIOServiceListener.java,
	  src/tigase/xmpp/XMPPProcessor.java,
	  src/tigase/xmpp/XMPPProcessorIfc.java,
	  src/tigase/xmpp/XMPPResourceConnection.java,
	  src/tigase/xmpp/XMPPSession.java: Framework for authorization and
	  some authorization implementation is ready

2006-02-20 16:41  kobit

	* src/tigase/auth/CommitHandler.java,
	  src/tigase/auth/DigestAuth.java, src/tigase/auth/PlainAuth.java,
	  src/tigase/auth/ResourceConnectionCallback.java,
	  src/tigase/auth/SaslCallbackHandler.java,
	  src/tigase/auth/TigaseConfiguration.java,
	  src/tigase/auth/TigaseSasl.java, src/tigase/auth/semantic.cache,
	  src/tigase/db/UserExistsException.java,
	  src/tigase/db/UserNotFoundException.java,
	  src/tigase/db/UserRepository.java, src/tigase/db/xml,
	  src/tigase/db/xml/XMLRepository.java,
	  src/tigase/server/Command.java, src/tigase/util/Algorithms.java,
	  src/tigase/util/ClassComparator.java,
	  src/tigase/util/ClassUtil.java,
	  src/tigase/util/ObjectComparator.java,
	  src/tigase/util/RoutingsContainer.java, src/tigase/xmpp/impl,
	  src/tigase/xmpp/impl/JabberIqAuth.java,
	  src/tigase/xmpp/impl/JabberIqRegister.java,
	  src/tigase/xmpp/impl/SaslAuth.java: Framework for authorization
	  and some authorization implementation is ready

2006-02-20 16:39  kobit

	* MANIFEST.MF, src/tigase/net/IOService.java,
	  src/tigase/net/Reply.java,
	  src/tigase/server/ConnectionManager.java,
	  src/tigase/server/Packet.java,
	  src/tigase/server/XMPPIOService.java,
	  src/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/util/Telnet.java, src/tigase/xmpp,
	  src/tigase/xmpp/XMPPDomBuilderHandler.java,
	  src/tigase/xmpp/XMPPIOService.java: Framework for authorization
	  and some authorization implementation is ready

2006-02-07 07:45  kobit

	* MANIFEST.MF, src/tigase/net/IOService.java,
	  src/tigase/server/ConnectionManager.java,
	  src/tigase/server/XMPPIOService.java: Better separation network
	  layer from protocol layer

2006-02-06 22:21  kobit

	* MANIFEST.MF, prj.el, src/tigase/io,
	  src/tigase/io/IOInterface.java,
	  src/tigase/io/SSLContextContainer.java,
	  src/tigase/io/SocketIO.java, src/tigase/io/TLSIO.java,
	  src/tigase/io/TLSStatus.java, src/tigase/io/TLSUtil.java,
	  src/tigase/io/TLSWrapper.java, src/tigase/net,
	  src/tigase/net/Accept.java,
	  src/tigase/net/ConnectionOpenListener.java,
	  src/tigase/net/ConnectionOpenThread.java,
	  src/tigase/net/ConnectionType.java,
	  src/tigase/net/IOService.java,
	  src/tigase/net/IOServiceListener.java, src/tigase/net/Reply.java,
	  src/tigase/net/ServiceCommand.java,
	  src/tigase/net/SocketReadThread.java,
	  src/tigase/net/SocketType.java,
	  src/tigase/server/AbstractMessageReceiver.java,
	  src/tigase/server/ConnectionManager.java,
	  src/tigase/server/MessageReceiver.java,
	  src/tigase/server/MessageRouter.java,
	  src/tigase/server/MessageRouterConfig.java,
	  src/tigase/server/Packet.java,
	  src/tigase/server/ThreadExceptionHandler.java,
	  src/tigase/server/XMPPServer.java,
	  src/tigase/server/xmppclient/ClientConnectionManager.java,
	  src/tigase/server/xmppcomponent/ComponentConnectionManager.java,
	  src/tigase/server/xmppserver/ServerConnectionManager.java,
	  src/tigase/server/xmppsession/SessionManager.java,
	  src/tigase/util/JID.java, src/tigase/util/Telnet.java: Routing
	  between instances implemented

2006-01-23 00:04  kobit

	* MANIFEST.MF, src/tigase/server/AbstractMessageReceiver.java,
	  src/tigase/server/ConnectionManager.java,
	  src/tigase/server/MessageRouter.java,
	  src/tigase/server/xmppclient/ClientConnectionManager.java:
	  abstract ConnectionManager introduced

2006-01-15 23:48  kobit

	* MANIFEST.MF, src/tigase/conf/ConfigRepository.java,
	  src/tigase/server/AbstractComponentRegistrator.java,
	  src/tigase/server/AbstractMessageReceiver.java,
	  src/tigase/server/MessageReceiver.java,
	  src/tigase/server/MessageRouter.java,
	  src/tigase/server/MessageRouterConfig.java,
	  src/tigase/server/ServerComponent.java,
